<?php
$debugMode = 1;
$secret = emergencywp_option('cron_secret', '', true);
$getSecret ='';
if(isset($_GET['secret'])) {
    $getSecret = sanitize_text_field($_GET['secret']);
}
if ((isset($_GET[$secret])) ||
    ($getSecret == $secret) ||
    (isset($_SERVER['HTTP_SECRET']) && $_SERVER['HTTP_SECRET'] == $secret) ||
    (isset($argv[1]) && $argv[1] == $secret)) {

    if ($debugMode) {
        echo 'link is valid';
    }

    require_once EMERGENCY_WP_PLUGIN_DIR ."cron/cron_config.php";


    function walkThroughJobs($aliveInfo)
    {
        global $debugMode;
        echo "JobStatus: " . esc_attr($aliveInfo['jobStatus']) . "<br />";
        $trusteesPluginActive = emergencyWPAdmin::is_wpemergency_trusty_plugin_active();
        $trustyPluginJobPath = '';
        if (defined('EMERGENCY_WP_TRUSTIES_PLUGIN_DIR')) {
            $trustyPluginJobPath = EMERGENCY_WP_TRUSTIES_PLUGIN_DIR . "jobs/";
        }

        switch ($aliveInfo['jobStatus']) {
            case 'alive':
                include EMERGENCY_WP_PLUGIN_DIR . "jobs/alive.php";
                break;
            case 'holdA':
                include EMERGENCY_WP_PLUGIN_DIR . "jobs/holdA.php";
                break;
            case 'holdB':
                if ($trusteesPluginActive && is_file($trustyPluginJobPath . 'trusteesHoldB.php')) {
                    $jobReturn = include $trustyPluginJobPath . 'trusteesHoldB.php';
                }
                break;
            case 'finalHoldA':
                include EMERGENCY_WP_PLUGIN_DIR . "jobs/finalHoldA.php";
                break;
            case 'finalHoldB':
                if ($trusteesPluginActive && is_file($trustyPluginJobPath . 'trusteesFinalHoldB.php')) {
                    $jobReturn = include $trustyPluginJobPath . 'trusteesFinalHoldB.php';
                }
                break;
            case 'finalHoldC':
                if ($trusteesPluginActive && is_file($trustyPluginJobPath . 'trusteesFinalHoldC.php')) {
                    include $trustyPluginJobPath . 'trusteesFinalHoldC.php';
                }
                break;
            case 'finalHoldD':
                if ($trusteesPluginActive && is_file($trustyPluginJobPath . 'trusteesFinalHoldD.php')) {
                    $jobReturn = include $trustyPluginJobPath . 'trusteesFinalHoldD.php';
                }
                break;
            case 'noReactionsA':
                if ($trusteesPluginActive && is_file($trustyPluginJobPath . 'trusteesNoReactionsA.php')) {
                    $jobReturn = include $trustyPluginJobPath . 'trusteesNoReactionsA.php';
                }
                break;
            case 'noReactionsB':
                if ($trusteesPluginActive && is_file($trustyPluginJobPath . 'trusteesNoReactionsB.php')) {
                    $jobReturn = include $trustyPluginJobPath . 'trusteesNoReactionsB.php';
                }
                break;
            case 'dead':
                include EMERGENCY_WP_PLUGIN_DIR . "jobs/dead.php";
                break;
            default:
                echo "unknown";
                break;
        }

        if ($debugMode) {
            echo "jobReturn ? |" . esc_attr($jobReturn) . "|";
        }

        //get all messages and send notification if not dead
        if ($aliveInfo['jobStatus'] != 'dead') {

            $c = array(
                'gender' => array(
                    'placeholder' => __(EmailPlaceholdersTags::CONTACT_GENDER, 'emergencywp'),
                    'value' => ''
                ),
                'email' => array(
                    'placeholder' => __(EmailPlaceholdersTags::CONTACT_EMAIL, 'emergencywp'),
                    'value' => ''
                ),
                'firstName' => array(
                    'placeholder' => __(EmailPlaceholdersTags::CONTACT_FIRST_NAME, 'emergencywp'),
                    'value' => ''
                ),
                'lastName' => array(
                    'placeholder' => __(EmailPlaceholdersTags::CONTACT_LAST_NAME, 'emergencywp'),
                    'value' => ''
                )
            );

            $args = array(
                'posts_per_page' => -1,
                'offset' => 0,

                'include' => '',
                'exclude' => '',
                'meta_key' => '',
                'meta_value' => '',
                'post_type' => 'emergencywp_messages',
                'post_mime_type' => '',
                'post_parent' => '',
                'post_status' => 'any',
                'suppress_filters' => true
            );
            $messages = emergencyWPAdmin::getWpPost($args);
            if (count($messages)) {
                foreach ($messages as $message) {
                    $messageNotificationSent = get_post_meta($message->ID, emergencyWPMessages::$postTypeSlug . '_notification_sent', true);
                    if ($messageNotificationSent != '1') {
                        if (emergencyWPMessages::messageHasDeliveryConditionValues($message->ID)) {
                            if (emergencyWPMessages::messageReadyToSendNotificationBasedOnDeliveryConditionValues($message->ID, $aliveInfo, false)) {
                                update_post_meta(
                                    $message->ID,
                                    emergencyWPMessages::$postTypeSlug . '_notification_sent',
                                    1
                                );

                                EmergencyWPDCSystemEmails::setStd();
                                EmergencyWPDCSystemEmails::$aliveInfo = UserStatus::MESSAGE_NOTIFICATION;
                                EmergencyWPDCSystemEmails::$postStatus = 'life_status';
                                EmergencyWPDCSystemEmails::sendEmail();
                            }
                        }
                    }
                }
            }
        }
        $aliveStatus = emergencyWPJobController::getAliveStatus();
    }

    if (is_multisite()) {
        // get blogs from multisite application
        $blogs = emergencyWPJobController::getBlogs();

        if (count($blogs)) {
            // Plugin runs in a MULTIPAGE application
            foreach ($blogs as $key => $blog) {
                emergencyWPAdmin::setBlogId((int)$blog['blog_id']);
                emergencyWPSystemEmails::$blogId = $blog['blog_id']; // sollte später über emergencyWPAdmin::$blogIg gelöst werden!
                emergencyWPJobController::setBlogId($blog['blog_id']);

                $aliveStatus = emergencyWPJobController::getAliveStatus();
                if ($aliveStatus !== false) {
                    $jobSettings = emergencyWPJobController::getJobSettings();
                    if ($jobSettings['live_status_holdA_noFeedbackTime'] > 0) {
                        walkThroughJobs($aliveStatus);
                    }

                }
            }
        }
    } else {
        // Plugin runs as single application
        $aliveStatus = emergencyWPJobController::getAliveStatus();
        $jobSettings = emergencyWPJobController::getJobSettings();

        if ($debugMode) {
            echo "aliveStatus: <pre>";
            print_r(esc_attr($aliveStatus));
            echo "</pre>";
        }

        if ($jobSettings['live_status_holdA_noFeedbackTime'] > 0) {
            if ($jobSettings) {
                echo "walkThroughJobs ...<br />";
            }
            walkThroughJobs($aliveStatus);
        }
    }


    $last_hit = ewp_get_option('emergencywp_cron_lasthit', '', true);
    $microtime = microtime(true);

    if (empty($last_hit)) {
        $last_hit = array(
            'timestamp' => $microtime,
            'time' => 0,
            'timemax' => 0,
            'mail' => 0,
        );
    }

    $last_hit = array(
        'ip' => $last_hit['ip'],
        'timestamp' => $microtime,
        'user' => isset($_SERVER['HTTP_USER_AGENT']) ? $_SERVER['HTTP_USER_AGENT'] : 'unknown',
        'oldtimestamp' => $last_hit['timestamp'],
        'time' => $last_hit['timemax'],
        'timemax' => $last_hit['timemax'],
        'mail' => $last_hit['mail'],
    );

    ewp_update_option('emergencywp_cron_lasthit', $last_hit, true);

    //get trustees expired email
    if (emergencyWPAdmin::is_wpemergency_trusty_plugin_active()) {
        $approvedTrustees = emergencyWPJobController::getActiveTrustees();

        if (count($approvedTrustees) > 0) {
            $i = 0;
            foreach ($approvedTrustees as $tId => $trusty) {
                if (isset($trusty['postMeta']['emergencywp_trustees_approved'])) {
                    echo "<pre>";
                    print_r("\n".esc_attr($trusty['postMeta']['emergencywp_trustees_email']) ."\n");
                    echo "</pre>";
                    $jobSettings = emergencyWPJobController::getJobSettings();
                    $trustees_email_verification_date = new DateTime($trusty['postMeta']['emergencywp_trustees_approved']);
                    if (is_object($trustees_email_verification_date)) {
                        if ($trustees_email_verification_date->getTimestamp() <= time() - $jobSettings['trustees_email_verification_interval']) {
                            //Trustee send confirmation email
                            $hasEmailConfirmationSent = get_post_meta($trusty['post']->ID, 'emergencywp_trustees_confirm_email_sent');
                            if($hasEmailConfirmationSent == false) {
                                update_post_meta($trusty['post']->ID, 'emergencywp_trustees_confirm_email_sent', date('Y-m-d H:i:s', time()));
                                EmergencyWPTrusteesSystemEmails::verifyTrusteeEmailLink($trusty['post']->ID);
                            } else {
                                echo "<pre>";
                                print_r('trustee verification email already sent'."\n");
                                echo "</pre>";
                            }
                        } else {
                            echo "<pre>";
                            print_r('do not send trustee verification email'."\n");
                            echo "</pre>";
                        }
                    } else {
                        echo "<pre>";
                        print_r('error 1'."\n");
                        echo "</pre>";
                    }
                }
                if(isset($trusty['postMeta']['emergencywp_trustees_confirm_email_sent'])) {
                    $trustees_email_verification_date = new DateTime($trusty['postMeta']['emergencywp_trustees_confirm_email_sent']);
                    if (is_object($trustees_email_verification_date)) {
                        if ($trustees_email_verification_date->getTimestamp() <= time() - $jobSettings['live_status_finalHoldB_reactionTimeTrustees']) {
                            //Trustee didn't confirm his email
                            $hasEmailNotificationSent = get_post_meta($trusty['post']->ID, 'emergencywp_trustees_email_changed_notification_sent');
                            if($hasEmailNotificationSent == false) {
                                update_post_meta($trusty['post']->ID, 'emergencywp_trustees_email_changed_notification_sent', date('Y-m-d H:i:s', time()));
                                EmergencyWPTrusteesSystemEmails::notifyTrusteeEmailChanged($trusty['post']->ID);
                            }else {
                                echo "<pre>";
                                print_r('trustee email changed notification already sent'."\n");
                                echo "</pre>";
                            }
                        } else {
                            echo "<pre>";
                            print_r('do not send email to mandator about trustee email change'."\n");
                            echo "</pre>";
                        }
                    } else {
                        echo "<pre>";
                        print_r('error 2'."\n\r");
                        echo "</pre>";
                    }
                }

                echo "<pre>";
                print_r('----------------'."\n\r");
                echo "</pre>";
            }
        }
    }
} else {
    global $wp_query;
    $wp_query->set_404();
    status_header(404);
    get_template_part(404);
    exit();
}

?>