<?php

/**
 *    JOB: dead
 **/

defined('ABSPATH') or die("No script kiddies please!");

global $debugMode;

if (!isset($aliveStatus)) {
    $aliveStatus = emergencyWPJobController::getAliveStatus();
}

if (strlen($aliveStatus['jobEmails']['messages'])) {
    if (emergencyWPAdmin::is_wpemergency_dc_plugin_active()) {
        sendMessages($aliveStatus);
    }
} else if (strlen($aliveStatus['jobEmails']['dead'])) {
    sendMessages($aliveStatus);
    $zapierTriggerAction = emergencywp_option('zapier-trigger-process-finished', '0');
    if($zapierTriggerAction == '0') {
        do_action('emergencywp_mandator_process_finished');
        emergencywp_update_option('zapier-trigger-process-finished', '1');
    }
}

function sendMessages($aliveStatus)
{
    global $debugMode;
    $c = array(
        'gender' => array(
            'placeholder' => __(EmailPlaceholdersTags::CONTACT_GENDER, 'emergencywp'),
            'value' => ''
        ),
        'email' => array(
            'placeholder' => __(EmailPlaceholdersTags::CONTACT_EMAIL, 'emergencywp'),
            'value' => ''
        ),
        'firstName' => array(
            'placeholder' => __(EmailPlaceholdersTags::CONTACT_FIRST_NAME, 'emergencywp'),
            'value' => ''
        ),
        'lastName' => array(
            'placeholder' => __(EmailPlaceholdersTags::CONTACT_LAST_NAME, 'emergencywp'),
            'value' => ''
        )
    );

    if(class_exists('EmergencyWPVaults')) {
        $args = array(
            'posts_per_page' => -1,
            'offset' => 0,

            'include' => '',
            'exclude' => '',
            'meta_key' => '',
            'meta_value' => '',
            'post_type' => EmergencyWPVaults::$postTypeSlug,
            'post_mime_type' => '',
            'post_parent' => '',
            'post_status' => 'any',
            'suppress_filters' => true
        );
        $vaults = emergencyWPAdmin::getWpPost($args);
        foreach ($vaults as $vault) {
            update_post_meta(
                $vault->ID,
                'vault_enable_dead_access',
                1
            );
        }
    }
    $args = array(
        'posts_per_page' => -1,
        'offset' => 0,

        'include' => '',
        'exclude' => '',
        'meta_key' => '',
        'meta_value' => '',
        'post_type' => 'emergencywp_messages',
        'post_mime_type' => '',
        'post_parent' => '',
        'post_status' => 'any',
        'suppress_filters' => true
    );
    $messages = emergencyWPAdmin::getWpPost($args);

    if (count($messages)) {
        foreach ($messages as $message) {
            $messageSent = get_post_meta($message->ID, emergencyWPMessages::$postTypeSlug . '_sent', true);
            if ($messageSent != '1') {

                if (emergencyWPMessages::messageHasDeliveryConditionValues($message->ID)) {
                    if($debugMode){
                        echo esc_attr($message->ID).' has delivery settings';
                        print_r('<br>');
                    }
                    if (!defined('EMERGENCY_WP_DELIVERY_CONDITIONS_PLUGIN_NAME')) {
                        if($debugMode){
                            echo 'delivery not active';
                            print_r('<br>');
                        }
                        continue;
                    }
                    if (!emergencyWPMessages::messageReadyToSendBasedOnDeliveryConditionValues($message->ID, $aliveStatus, false, $debugMode)) {
                        if($debugMode){
                            echo 'message '.esc_attr($message->ID).' was not sent';
                            print_r('<br>');
                        }
                        continue;
                    }
                }
                // get contacts that are associated with the message
                $contacts = unserialize(emergencyWPAdmin::getWpPostMeta($message->ID, 'emergencywp_messages_contacts', true));
                if (is_array($contacts)) {
                    // get email subject and message
                    $emailSubject = $message->post_title;
                    $emailMessage = $message->post_content;
                    foreach ($contacts as $cId => $v) {
                        $subject = $emailSubject;
                        $customeMessage = $emailMessage;

                        // get contact data
                        $c['gender']['value'] = emergencyWPAdmin::getWpPostMeta($cId, 'emergencywp_contacts_gender', true);
                        $c['email']['value'] = emergencyWPAdmin::getWpPostMeta($cId, 'emergencywp_contacts_email', true);
                        $c['firstName']['value'] = emergencyWPAdmin::getWpPostMeta($cId, 'emergencywp_contacts_firstName', true);
                        $c['lastName']['value'] = emergencyWPAdmin::getWpPostMeta($cId, 'emergencywp_contacts_lastName', true);

                        // replace Placeholder with contact data
                        foreach ($c as $cType => $cVars) {
                            $subject = str_replace($cVars['placeholder'], $cVars['value'], $subject);
                            $customeMessage = str_replace($cVars['placeholder'], $cVars['value'], $customeMessage);
                        }

                        // send emails to contacts
                        // call adminSystemEmail class
                        emergencyWPSystemEmails::setStd($cId);
                        emergencyWPSystemEmails::setEmail($c['email']['value']);
                        emergencyWPSystemEmails::$aliveInfo = 'dead';
                        emergencyWPSystemEmails::$postStatus = 'live_status_dead';
                        emergencyWPSystemEmails::setSubject($subject);
                        emergencyWPSystemEmails::setContactPlaceholder($c);
                        emergencyWPSystemEmails::setMessage($customeMessage);
                        emergencyWPSystemEmails::sendEmail();
                    }
                }

                update_post_meta(
                    $message->ID,
                    emergencyWPMessages::$postTypeSlug . '_sent',
                    1
                );
            }
        }

        // set alive status
        emergencyWPJobController::setAliveStatus('messages');
    }
}
?>
