<?php

/**
 *	JOB: Final Hold A
 **/
 
defined( 'ABSPATH' ) or die( "No script kiddies please!" );

// check date of last 
if ( !isset($aliveStatus) ) {
	$aliveStatus = emergencyWPJobController::getAliveStatus();
}
if ( !isset($jobSettings) ) {
	$jobSettings = emergencyWPJobController::getJobSettings();
}


// Check whether the time span for confirmation (live_status_holdA_reminderTime) has expired.
if( $aliveStatus['jobEmails']['finalHoldA'] + ( $jobSettings['live_status_holdA_reminderTime'] ) <= time() ){
	/**
	 * 	Check if trusties plugin is installed and activated
	 */
	$approvedTrusties = 0;
	$trustiesdPluginActive = emergencyWPAdmin::is_wpemergency_trusty_plugin_active();

	$zapierTriggerAction = emergencywp_option('zapier-trigger-final-holdA', '0');
	if($zapierTriggerAction == '0') {
        do_action('emergencywp_mandator_final_holdA');
        emergencywp_update_option('zapier-trigger-final-holdA', '1');
    }
	if ( $trustiesdPluginActive ) {
	    $trustyPluginFinalHoldAFile = EMERGENCY_WP_TRUSTIES_PLUGIN_DIR . "jobs/trusteesFinalHoldA.php";

		if ( is_file( $trustyPluginFinalHoldAFile) ) {
	        $approvedTrusties = include $trustyPluginFinalHoldAFile;
	    }
	}

	if ( (int) $approvedTrusties === 0 ) {
		/**
		 *	The Trusty plugin is not installed/activated or there are no trusties present 
		 *	or no active trusties registered. Set the Mandator live status to dead.
		 **/
		if ( $trustiesdPluginActive ) {
			if ( $jobSettings['live_status_noReactionsB_sendMessages'] === 1 ){
				// set Job to JobStatus 'dead'
				emergencyWPJobController::setAliveStatus( 'dead' );
			} else {
				// set Job to JobStatus 'unknown'
				emergencyWPJobController::setAliveStatus( 'unknown' );
			}
		} else {
			/**
			 *	The Trusty plugin is not installed/activated or there are no trusties present 
			 *	or no active trusties registered. Set the Mandator live status to dead.
			 **/
			// set Job to JobStatus 'dead'
			emergencyWPJobController::setAliveStatus( 'dead' );
		}
	}
}
?>