<?php

use um\core\User;

class EWP_initPluginVars
{
    /**
     * @var emergencyWPConfig
     */
    public static $config = NULL;
    public static $wpCronInterval = 5;
    public static $wpCronType = 'wp_cron';
    public static $accessUserMinimumRole = 'administrator';
    public static $dateFormat = "d.m.Y";
    public static $timeFormat = "H:i";
    public static $aliveStatus = array();
    public static $pluginPages = array();
    public static $pluginCustomPostTypes = array();

    public function __construct()
    {
        self::getConfig();
        self::getPluginPage();
        self::getPluginCustomPostTypes();
    }

    static function getConfig()
    {
        if (!class_exists('emergencyWPConfig')) require EMERGENCY_WP_PLUGIN_DIR . "/lib/class.emergencyWPConfig.php";
        self::$config = new emergencyWPConfig();
    }

    static function setAliveStatusVar($setMandatorKey = false)
    {

        self::$aliveStatus = array(
            "jobStatus" => UserStatus::ALIVE,
            "lastFeedback" => date('Y-m-d H:i:s'), //"2015-12-18 10:10:10", // später leerer String
            "jobEmails" => array(
                'holdA' => '',
                'finalHoldA' => '',
                'finalHoldB' => '',
                'finalHoldCTrusteesInfo' => '',
                'finalHoldCMandator' => '',
                'finalHoldCTrusteesConfirm' => '',
                'finalHoldD' => '',
                'noReactionsA' => '',
                'noReactionsB' => '',
                'unknown' => '',
                'holdB' => '',
                'dead' => '',
                'messages' => ''
            ),
            "trustyFeedback" => array(
                "finalHoldB" => array(
                    'all' => array(),
                    'alive' => array(),
                    'dead' => array()
                ),
                "noReactionsA" => array(
                    'all' => array(),
                    'alive' => array(),
                    'dead' => array()
                ),
                "finalHoldC" => array(
                    "iteration" => 0,
                    "all" => array(),
                    "alive" => array(),
                    "dead" => array()
                ),
                "finalHoldD" => array(
                    "all" => array(),
                    "alive" => array(),
                    "dead" => array()
                )
            ),
            "passThroughKey" => ewp_getPassThroughKey()
        );

        if ($setMandatorKey === true) {
            self::$aliveStatus["mandatorKey"] = ewp_getPassThroughKey();
        }
    }

    static function getPluginPage()
    {
        self::$pluginPages = array(
            'trustees_activate_options' => array(
                'title' => 'emergencywp_trustees_activate_page_title',
                'slug' => 'emergencywp_trustees_activate_page_name',
                'pageId' => 'emergencywp_trustees_activate_page_id'
            ),
            'job_response_options' => array(
                'title' => 'emergencyWP_jobresponse_page_title',
                'slug' => 'emergencyWP_jobresponse_page_name',
                'pageId' => 'emergencyWP_jobresponse_page_id'
            )
        );
    }

    static function getPluginCustomPostTypes()
    {
        self::$pluginCustomPostTypes = array(
            'verifier_confirm' => array(
                'label' => 'verifierConfirmLabel',
                'text' => 'trustee-invitation',
                'public' => true,
                'exclude_from_search' => false,
                'show_in_admin_all_list' => false,
                'show_in_admin_status_list' => false,
                //'label_count'               => _n_noop( 'Unread <span class="count">(%s)</span>', 'Unread <span class="count">(%s)</span>' ),
            ),
            'verifier_confirm_rem' => array(
                'label' => 'verifierConfirmReminderLabel',
                'text' => 'trustee-invitation_reminder',
                'public' => true,
                'exclude_from_search' => false,
                'show_in_admin_all_list' => false,
                'show_in_admin_status_list' => false,
                //'label_count'               => _n_noop( 'Unread <span class="count">(%s)</span>', 'Unread <span class="count">(%s)</span>' ),
            ),
            'verifier_email_upd' => array(
                'label' => 'verifierEmailUpdateLabel',
                'text' => 'Verify Trustee Update Email',
                'public' => true,
                'exclude_from_search' => false,
                'show_in_admin_all_list' => false,
                'show_in_admin_status_list' => false,
                //'label_count'               => _n_noop( 'Unread <span class="count">(%s)</span>', 'Unread <span class="count">(%s)</span>' ),
            ),
            'verifier_email_acc' => array(
                'label' => 'verifierEmailAcceptedLabel',
                'text' => 'trustee-acceptance',
                'public' => true,
                'exclude_from_search' => false,
                'show_in_admin_all_list' => false,
                'show_in_admin_status_list' => false,
                //'label_count'               => _n_noop( 'Unread <span class="count">(%s)</span>', 'Unread <span class="count">(%s)</span>' ),
            ),
            'verifier_email_rej' => array(
                'label' => 'verifierEmailRejectedLabel',
                'text' => 'trustee-rejection',
                'public' => true,
                'exclude_from_search' => false,
                'show_in_admin_all_list' => false,
                'show_in_admin_status_list' => false,
                //'label_count'               => _n_noop( 'Unread <span class="count">(%s)</span>', 'Unread <span class="count">(%s)</span>' ),
            ),
            'life_status' => array(
                'label' => 'lifeStatusLabel',
                'text' => 'user-lifecheck',
                'public' => true,
                'exclude_from_search' => false,
                'show_in_admin_all_list' => false,
                'show_in_admin_status_list' => false,
                //'label_count'               => _n_noop( 'Unread <span class="count">(%s)</span>', 'Unread <span class="count">(%s)</span>' ),
            ),
            'life_status_reminder' => array(
                'label' => 'lifeStatusReminderLabel',
                'text' => 'user-lifecheck_reminder',
                'public' => true,
                'exclude_from_search' => false,
                'show_in_admin_all_list' => false,
                'show_in_admin_status_list' => false,
                //'label_count'               => _n_noop( 'Unread <span class="count">(%s)</span>', 'Unread <span class="count">(%s)</span>' ),
            ),
            'trusty_alive_status' => array(
                'label' => 'trustyAliveStatusLabel',
                'text' => 'trustee-request',
                'public' => true,
                'exclude_from_search' => false,
                'show_in_admin_all_list' => false,
                'show_in_admin_status_list' => false,
                //'label_count'               => _n_noop( 'Unread <span class="count">(%s)</span>', 'Unread <span class="count">(%s)</span>' ),
            ),
            'no_reaction_reminder' => array(
                'label' => 'noReactionReminderTrustyLabel',
                'text' => 'trustee-feedback_missing',
                'public' => true,
                'exclude_from_search' => false,
                'show_in_admin_all_list' => false,
                'show_in_admin_status_list' => false,
                //'label_count'               => _n_noop( 'Unread <span class="count">(%s)</span>', 'Unread <span class="count">(%s)</span>' ),
            ),
            'conflict_information' => array(
                'label' => 'finalHoldCTrustyInfoLabel',
                'text' => 'trustee-different_feedback_notice',
                'public' => true,
                'exclude_from_search' => false,
                'show_in_admin_all_list' => false,
                'show_in_admin_status_list' => false,
                //'label_count'               => _n_noop( 'Unread <span class="count">(%s)</span>', 'Unread <span class="count">(%s)</span>' ),
            ),
            'conflict_mandator' => array(
                'label' => 'finalHoldCMandatorConfirmLabel',
                'text' => 'user-different_trustee_feedback',
                'public' => true,
                'exclude_from_search' => false,
                'show_in_admin_all_list' => false,
                'show_in_admin_status_list' => false,
                //'label_count'               => _n_noop( 'Unread <span class="count">(%s)</span>', 'Unread <span class="count">(%s)</span>' ),
            ),
            'conflict_trusty_conf' => array(
                'label' => 'finalHoldCTrustyConfirmLabel',
                'text' => 'trustee-second_request',
                'public' => true,
                'exclude_from_search' => false,
                'show_in_admin_all_list' => false,
                'show_in_admin_status_list' => false,
                //'label_count'               => _n_noop( 'Unread <span class="count">(%s)</span>', 'Unread <span class="count">(%s)</span>' ),
            ),
            'live_status_hold_b' => array(
                'label' => 'holdBConfirmLabel',
                'text' => 'user-no_reaction_situation_unclear',
                'public' => true,
                'exclude_from_search' => false,
                'show_in_admin_all_list' => false,
                'show_in_admin_status_list' => false,
                //'label_count'               => _n_noop( 'Unread <span class="count">(%s)</span>', 'Unread <span class="count">(%s)</span>' ),
            ),
            'live_status_hold_d' => array(
                'label' => 'holdDConfirmLabel',
                'text' => 'trustee-feedback_missing',
                'public' => true,
                'exclude_from_search' => false,
                'show_in_admin_all_list' => false,
                'show_in_admin_status_list' => false,
                //'label_count'               => _n_noop( 'Unread <span class="count">(%s)</span>', 'Unread <span class="count">(%s)</span>' ),
            ),
            'live_status_dead' => array(
                'label' => 'deadConfirmLabel',
                'text' => 'contact-future_mail',
                'public' => true,
                'exclude_from_search' => false,
                'show_in_admin_all_list' => false,
                'show_in_admin_status_list' => false,
                //'label_count'               => _n_noop( 'Unread <span class="count">(%s)</span>', 'Unread <span class="count">(%s)</span>' ),
            ),

            'life_check_conf' => array(
                'label' => 'test life_check_conf',
                'text' => 'life_check_conf',
                'public' => true,
                'exclude_from_search' => false,
                'show_in_admin_all_list' => false,
                'show_in_admin_status_list' => false,
                //'label_count'               => _n_noop( 'Unread <span class="count">(%s)</span>', 'Unread <span class="count">(%s)</span>' ),
            ),
            'ewp_alive_log' => array(
                'label' => 'test ewp_alive_log',
                'text' => 'ewp_alive_log',
                'public' => true,
                'exclude_from_search' => false,
                'show_in_admin_all_list' => false,
                'show_in_admin_status_list' => false,
                //'label_count'               => _n_noop( 'Unread <span class="count">(%s)</span>', 'Unread <span class="count">(%s)</span>' ),
            ),
            'ewp_vault_invitation' => array(
                'label' => 'test ewp_vault_invitation',
                'text' => 'vault-invitation',
                'public' => true,
                'exclude_from_search' => false,
                'show_in_admin_all_list' => false,
                'show_in_admin_status_list' => false,
                //'label_count'               => _n_noop( 'Unread <span class="count">(%s)</span>', 'Unread <span class="count">(%s)</span>' ),
            ),
            'ewp_vault_access' => array(
                'label' => 'test ewp_vault_access',
                'text' => 'vault-access',
                'public' => true,
                'exclude_from_search' => false,
                'show_in_admin_all_list' => false,
                'show_in_admin_status_list' => false,
                //'label_count'               => _n_noop( 'Unread <span class="count">(%s)</span>', 'Unread <span class="count">(%s)</span>' ),
            ),
            'ewp_vault_create_account' => array(
                'label' => 'test ewp_vault_create_account',
                'text' => 'vault-create-account',
                'public' => true,
                'exclude_from_search' => false,
                'show_in_admin_all_list' => false,
                'show_in_admin_status_list' => false,
                //'label_count'               => _n_noop( 'Unread <span class="count">(%s)</span>', 'Unread <span class="count">(%s)</span>' ),
            ),

            'emergency_email' => array(
                'label' => 'test emergency_email',
                'text' => 'emergency-email',
                'public' => true,
                'exclude_from_search' => false,
                'show_in_admin_all_list' => false,
                'show_in_admin_status_list' => false,
                //'label_count'               => _n_noop( 'Unread <span class="count">(%s)</span>', 'Unread <span class="count">(%s)</span>' ),
            ),
            'emergency_verify_email' => array(
                'label' => 'test emergency_verify_email',
                'text' => 'emergency-verify-email',
                'public' => true,
                'exclude_from_search' => false,
                'show_in_admin_all_list' => false,
                'show_in_admin_status_list' => false,
                //'label_count'               => _n_noop( 'Unread <span class="count">(%s)</span>', 'Unread <span class="count">(%s)</span>' ),
            ),
            'emergency_user_email' => array(
                'label' => 'test emergency_user_email',
                'text' => 'emergency_user_email',
                'public' => true,
                'exclude_from_search' => false,
                'show_in_admin_all_list' => false,
                'show_in_admin_status_list' => false,
                //'label_count'               => _n_noop( 'Unread <span class="count">(%s)</span>', 'Unread <span class="count">(%s)</span>' ),
            ),
            'trigger_trustee' => array(
                'label' => 'test trigger_trustee',
                'text' => 'trigger_trustee',
                'public' => true,
                'exclude_from_search' => false,
                'show_in_admin_all_list' => false,
                'show_in_admin_status_list' => false,
                //'label_count'               => _n_noop( 'Unread <span class="count">(%s)</span>', 'Unread <span class="count">(%s)</span>' ),
            ),
            'trustee_email_conf' => array(
                'label' => 'test trustee_email_conf',
                'text' => 'trustee_email_conf',
                'public' => true,
                'exclude_from_search' => false,
                'show_in_admin_all_list' => false,
                'show_in_admin_status_list' => false,
                //'label_count'               => _n_noop( 'Unread <span class="count">(%s)</span>', 'Unread <span class="count">(%s)</span>' ),
            ),
            'trustee_email_change' => array(
                'label' => 'test trustee_email_change',
                'text' => 'trustee_email_change',
                'public' => true,
                'exclude_from_search' => false,
                'show_in_admin_all_list' => false,
                'show_in_admin_status_list' => false,
                //'label_count'               => _n_noop( 'Unread <span class="count">(%s)</span>', 'Unread <span class="count">(%s)</span>' ),
            )
        );
    }

    public static function getPluginJobStatus()
    {
        self::$pluginJobStatus = array(
            "jobStatus" => UserStatus::ALIVE,
            "lastFeedback" => "2014-12-18 10:10:10",
            "jobEmails" => array(
                'holdA' => '',
                'finalHoldA' => '',
                'finalHoldB' => '',
                'noReactionsA' => '',
                'noReactionsB' => '',
                'unknown' => '',
                'holdB' => '',
                'dead' => ''
            ),
            "trustyFeedback" => array(
                "finalHoldB" => array(
                    'all' => array(),
                    'alive' => array(),
                    'dead' => array(),
                )
            ),
            "passThroughKey" => ewp_getPassThroughKey()
        );
    }
}

$initPluginVars = new EWP_initPluginVars();
?>