<?php


class emergencyWPActivate
{
    private static $config;
    private static $blogId;

    static function load($blog_id = null)
    {

        if($blog_id == null) {
            $blog_id = get_current_blog_id();
        }

        self::$blogId = $blog_id;
        self::checkConfig();
        //self::setWording();
        self::setDBFields();
        self::setJobResponsePage();

        $eventInfo = array("label" => "emergencyWP_activated", "action_time" => date('d.m.Y H:m:i'));

    }

    static function network_new_blog_load($blog_id, $user_id, $domain, $path, $site_id, $meta)
    {
        self::load($blog_id);
        emergencyWPAdmin::emergencywp_add_user_role();
    }
    static function setDBFields()
    {
        // AliveStatus
        EWP_initPluginVars::setAliveStatusVar(true);
        $mandator_reaction_time = 604800;
        $mandator_reminder_time = 345600;
        $jobSettings = get_option('emergencyWP_job_settings');
        if (is_multisite()) {
            ewp_delete_option('emergencyWP_alive_status', true);
            ewp_update_option('emergencyWP_alive_status', EWP_initPluginVars::$aliveStatus, true);

            emergencywp_update_option('interval', EWP_initPluginVars::$wpCronInterval, true);
            emergencywp_update_option('cron_service', EWP_initPluginVars::$wpCronType, true);
            emergencywp_update_option(EWPSettingsData::ACCESS_USER_MINIMUM_ROLE, EWP_initPluginVars::$accessUserMinimumRole, true);
            emergencywp_update_option(EWPSettingsData::DATE_FORMAT, "d.m.Y", true);
            emergencywp_update_option(EWPSettingsData::TIME_FORMAT, "H:i", true);

            if ($jobSettings == false || !isset($jobSettings['live_status_holdA_noFeedbackTime'])) {
                $jobSettings['live_status_holdA_noFeedbackTime'] = $mandator_reaction_time;
                $jobSettings['live_status_finalHoldA_reminderTime'] = $mandator_reminder_time;
                $jobSettings['live_status_holdA_reminderTime'] = $mandator_reminder_time;
                $jobSettings['live_status_holdB_time_periode'] = $mandator_reminder_time;
            }

            ewp_update_option('emergencyWP_job_settings', $jobSettings, true);
        } else {
            delete_option('emergencyWP_alive_status');
            add_option('emergencyWP_alive_status', EWP_initPluginVars::$aliveStatus);
            emergencywp_update_option('interval', EWP_initPluginVars::$wpCronInterval);
            emergencywp_update_option('cron_service', EWP_initPluginVars::$wpCronType);
            emergencywp_update_option(EWPSettingsData::ACCESS_USER_MINIMUM_ROLE, EWP_initPluginVars::$accessUserMinimumRole);

            emergencywp_update_option(EWPSettingsData::DATE_FORMAT, "d.m.Y");
            emergencywp_update_option(EWPSettingsData::TIME_FORMAT, "H:i");

            if ($jobSettings == false || !isset($jobSettings['live_status_holdA_noFeedbackTime'])) {
                $jobSettings['live_status_holdA_noFeedbackTime'] = $mandator_reaction_time;
                $jobSettings['live_status_finalHoldA_reminderTime'] = $mandator_reminder_time;
                $jobSettings['live_status_holdA_reminderTime'] = $mandator_reminder_time;
                $jobSettings['live_status_holdB_time_periode'] = $mandator_reminder_time;
            }

            update_option('emergencyWP_job_settings', $jobSettings);
        }
    }

    static function setJobResponsePage()
    {
        $pageVars = array(
            'pageTitle' => array(EWP_initPluginVars::$pluginPages['job_response_options']['title'], __('Thank you for your response!', 'emergencywp')),
            'pageSlug' => array(EWP_initPluginVars::$pluginPages['job_response_options']['slug'], __('emergencyWP_job-response', 'emergencywp')),
            'pageId' => EWP_initPluginVars::$pluginPages['job_response_options']['pageId'],
            'pageAttr' => array(
                'postNameUrl' => __('thank-you-for-response', 'emergencywp'),
                'post_content' => __('<p></p>', 'emergencywp') . "[" . EWP_ShortCodes::JOB_HANDLER . "]",
                'post_status' => 'publish',
                'post_type' => 'page',
                'comment_status' => 'closed',
                'ping_status' => 'closed',
                'post_category' => array(1) // the default 'Uncatrgorised')
            )
        );

        self::setOptions($pageVars);
        self::buildPage($pageVars);
    }

    static function setOptions($pageVars)
    {
        if (is_multisite()) {
            // the menu entry...
            delete_blog_option(self::$blogId, $pageVars['pageTitle'][0]);
            add_blog_option(self::$blogId, $pageVars['pageTitle'][0], $pageVars['pageTitle'][1], '', 'yes');
            // the slug...
            delete_blog_option(self::$blogId, $pageVars['pageSlug'][0]);
            add_blog_option(self::$blogId, $pageVars['pageSlug'][0], $pageVars['pageSlug'][1], '', 'yes');
            // the id...
            delete_blog_option(self::$blogId, $pageVars['pageId']);
            add_blog_option(self::$blogId, $pageVars['pageId'], '0', '', 'yes');
        } else {
            // the menu entry...
            delete_option($pageVars['pageTitle'][0]);
            add_option($pageVars['pageTitle'][0], $pageVars['pageTitle'][1], '', 'yes');
            // the slug...
            delete_option($pageVars['pageSlug'][0]);
            add_option($pageVars['pageSlug'][0], $pageVars['pageSlug'][1], '', 'yes');
            // the id...
            delete_option($pageVars['pageId']);
            add_option($pageVars['pageId'], '0', '', 'yes');
        }
    }

    static function buildPage($pageVars)
    {
        global $wpdb;

        if (is_multisite()) {
            switch_to_blog(self::$blogId);
        }

        $pageId = self::createPage($pageVars);

        if (is_multisite()) {
            delete_blog_option(self::$blogId, $pageVars['pageId']);
            add_blog_option(self::$blogId, $pageVars['pageId'], $pageId);
            delete_blog_option(self::$blogId, EWP_initPluginVars::$pluginPages['job_response_options']['pageId']);
            add_blog_option(self::$blogId, EWP_initPluginVars::$pluginPages['job_response_options']['pageId'], $pageId);
            restore_current_blog();
        } else {
            delete_option($pageVars['pageId']);
            add_option($pageVars['pageId'], $pageId);

            delete_option(EWP_initPluginVars::$pluginPages['job_response_options']['pageId']);
            add_option(EWP_initPluginVars::$pluginPages['job_response_options']['pageId'], $pageId);
        }

        if(is_multisite() && strpos($_SERVER["HTTP_REFERER"], '/network/plugins.php') !== false) {
            $blogs = emergencyWPJobController::getBlogs();

            if ( count( $blogs ) ) {
                // Plugin runs in a MULTIPAGE application
                foreach ($blogs as $key => $blog) {
                    switch_to_blog($blog['blog_id']);
                    $pageId = self::createPage($pageVars);
                    delete_blog_option($blog['blog_id'], $pageVars['pageId']);
                    add_blog_option($blog['blog_id'], $pageVars['pageId'], $pageId);
                    delete_blog_option(self::$blogId, EWP_initPluginVars::$pluginPages['job_response_options']['pageId']);
                    add_blog_option(self::$blogId, EWP_initPluginVars::$pluginPages['job_response_options']['pageId'], $pageId);
                }
            }
            restore_current_blog();
        }
    }
    static function createPage($pageVars) {
        $the_page = get_page_by_title($pageVars['pageTitle'][1]);
        if (!$the_page) {
            // Create post object
            $_p = $pageVars['pageAttr'];
            $_p['post_name'] = $pageVars['postNameUrl'];
            $_p['post_title'] = $pageVars['pageTitle'][1];
            // Insert the post into the database
            $pageId = wp_insert_post($_p);
        } else {
            // the plugin may have been previously active and the page may just be trashed...
            $pageId = $the_page->ID;
            //make sure the page is not trashed...
            $the_page->post_status = 'publish';
            $pageId = wp_update_post($the_page);
        }
        return $pageId;
    }

    private static function checkConfig()
    {
        global $config;

        if (!is_object($config)) {
            require_once(EMERGENCY_WP_PLUGIN_DIR . "lib/class.emergencyWPConfig.php");
            self::$config = new emergencyWPConfig();
        } else self::$config = $config;
    }
}

?>