<?php

/**
 * Created by PhpStorm.
 * User: ionut
 * Date: 21/03/2019
 * Time: 20:37
 */
class emergencyWPCron {


	public function __construct() {
	    $this->init();
	}

	public function init() {
		add_filter( 'cron_schedules', array( &$this, 'filter_cron_schedules' ) );
		add_action( 'emergencywp_schedule_cron', array( &$this, 'schedule_cronjob' ) );

		add_action( 'emergencywp_cron_alive_status', array( &$this, 'emergencywp_cron_alive_status_cronjob' ), 30 );
		$cron = emergencywp_option( 'cron_service' );
		if($cron == false){
		    //set init cron value
            $cron = 'wp_cron';
		    emergencywp_update_option('cron_service', $cron);
        }
		if($cron == 'wp_cron') {
			$this->schedule_cronjob();
		}
	}

	public function check( $strict = false ) {
		//TODO implement real check
		return false;
	}


	public function filter_cron_schedules( $cron_schedules ) {
		//var_dump('1ok');
		$cron_schedules['emergencywp_cron_interval'] = array(
			'interval' => emergencywp_option( 'interval', 5 ) * 60, // seconds
			'display' => 'EmergencyWP Cronjob Interval',
		);
		return $cron_schedules;
	}

	/**
	 *
	 *
	 * @return unknown
	 */
	public function url( $alternative = false ) {

		if ( ! $alternative ) {
			return apply_filters( 'emergencywp_cron_url', add_query_arg( array(
				'secret' => emergencywp_option( 'cron_secret' , '', true),
                'jobController' => '1'
			), get_site_url() ), $alternative );
		} else {
			return apply_filters( 'emergencywp_cron_url', add_query_arg( array(
				'action' => 'emergencywp_cron',
				'secret' => emergencywp_option( 'cron_secret' ,'', true ),
			), admin_url( 'admin-ajax.php' ) ), $alternative );

		}

	}


	public function path( $arguments = false ) {

		$path = EMERGENCY_WP_PLUGIN_DIR . 'cron.php';

		if ( $arguments ) {
			$path .= ' ' . emergencywp_option( 'cron_secret' );
		}

		return $path;

	}



	public function schedule_cronjob( $unschedule = false ) {

		if ( $unschedule ) {
			$this->unschedule();
		}
		// add worker only once
		if ( ! wp_next_scheduled( 'emergencywp_cron_alive_status' ) ) {
			wp_schedule_event( time(), 'emergencywp_cron_interval', 'emergencywp_cron_alive_status');
		}
	}

	public function unschedule() {
		wp_clear_scheduled_hook( 'emergencywp_cron_alive_status' );
	}

	public function emergencywp_cron_alive_status_cronjob(){

        $secret = emergencywp_option( 'cron_secret' );
	    $_GET['secret'] = $secret;
		include(EMERGENCY_WP_PLUGIN_DIR.'cron/jobController.php');
		exit();
	}


	public function on_activate( $new ) {
		$this->schedule_cronjob();

		if ( $new ) {
			add_option( 'emergencywp_cron_lasthit', false, '', 'no' );
		}

	}
}