<?php


class emergencyWPLicences
{
	static $className = "emergencyWPLicences";

	public function __construct()
	{
		add_action('plugins_loaded', array(&$this, 'init'));
	}

	public function init()
	{
	}

	public static function view_licences()
	{
		global $pagenow;
		?>
        <div class="wrap emergencyWP_licensing">
            <h1><?php _e('EmergencyWP Licences', 'emergencywp'); ?></h1>
            <!--p><?php echo __('Do not use your bundle license - but individual license keys for each product', 'emergencywp'); ?></p-->
			<?php
			if (defined('EWP_SL_BUNDLE_WP_PRO_ITEM_ID')) {
				$nonceAction = 'emergencywp_edd_bundle_pro_nonce';
				//emergencyWPLicences::renderLicenceForm(EWP_SL_BUNDLE_WP_PRO_ITEM_ID, EWP_SL_BUNDLE_WP_PRO_ITEM_DESC,EWP_SL_BUNDLE_WP_PRO_ITEM_NAME, EWP_SL_BUNDLE_WP_PRO_LICENSE_KEY, $nonceAction);
			}
			if (defined('EWP_SL_BUNDLE_WP_PRO_ITEM_ID')) {
				$nonceAction = 'emergencywp_edd_bundle_pro_trustees_nonce';
				//emergencyWPLicences::renderLicenceForm(EWP_SL_BUNDLE_WP_PRO_TRUSTEES_ITEM_ID, EWP_SL_BUNDLE_WP_PRO_TRUSTEES_ITEM_DESC,EWP_SL_BUNDLE_WP_PRO_TRUSTEES_ITEM_NAME, EWP_SL_BUNDLE_WP_PRO_TRUSTEES_LICENSE_KEY, $nonceAction);
			}
			if (defined('EWP_SL_ITEM_ID')) {
				$nonceAction = 'emergencywp_edd_nonce';
				emergencyWPLicences::renderLicenceForm(EWP_SL_ITEM_ID, EWP_SL_ITEM_DESC, EWP_SL_ITEM_NAME, EWP_SL_LICENSE_KEY, $nonceAction);
			}

			if (defined('EWP_PRO_SL_ITEM_ID')) {
				$nonceAction = 'emergencywpPro_edd_nonce';
				emergencyWPLicences::renderLicenceForm(EWP_PRO_SL_ITEM_ID, EWP_PRO_SL_ITEM_DESC, EWP_PRO_SL_ITEM_NAME, EWP_PRO_SL_LICENSE_KEY, $nonceAction);
			}

			if (defined('EWP_MULTI_SITE_SL_ITEM_ID') && is_multisite()) {
				$nonceAction = 'emergencywpMultisite_edd_nonce';
				emergencyWPLicences::renderLicenceForm(EWP_MULTI_SITE_SL_ITEM_ID, EWP_MULTI_SITE_SL_ITEM_DESC, EWP_MULTI_SITE_SL_ITEM_NAME, EWP_MULTI_SITE_SL_LICENSE_KEY, $nonceAction);
			}


			if (defined('EWP_TRUSTEES_SL_ITEM_ID')) {
				$nonceAction = 'emergencywpTrustee_edd_nonce';
				emergencyWPLicences::renderLicenceForm(EWP_TRUSTEES_SL_ITEM_ID, EWP_TRUSTEES_SL_ITEM_DESC, EWP_TRUSTEES_SL_ITEM_NAME, EWP_TRUSTEES_SL_LICENSE_KEY, $nonceAction);
			}

			if (defined('EWP_SL_DC_ITEM_ID')) {
				$nonceAction = 'emergencywpDeliveryConditions_edd_nonce';
				emergencyWPLicences::renderLicenceForm(EWP_SL_DC_ITEM_ID, EWP_SL_DC_ITEM_DESC, EWP_SL_DC_ITEM_NAME, EWP_SL_DC_LICENSE_KEY, $nonceAction);
			}

			if (defined('EWP_VAULT_SL_ITEM_ID')) {
				$nonceAction = 'emergencywpVault_edd_nonce';
				emergencyWPLicences::renderLicenceForm(EWP_VAULT_SL_ITEM_ID, EWP_VAULT_SL_ITEM_DESC, EWP_VAULT_SL_ITEM_NAME, EWP_VAULT_SL_LICENSE_KEY, $nonceAction);
			}

			do_action('emergencyWP_licence_boxes');
			?>
        </div>
		<?php
	}

	public static function renderLicenceForm($itemID, $itemDescription, $itemName, $itemLicenceKey, $nonceAction)
	{
		if(is_multisite() && !is_network_admin()) {
			return;
		}
		$license = ewp_get_option($itemLicenceKey, '', true);
		$itemLicenceDataKey = str_replace('_key', '_data', $itemLicenceKey);

		$itemLicenseData = unserialize(ewp_get_option($itemLicenceDataKey, '', true));
		//$show_licence = $license;
		$ll = strlen($license);
		$show_licence = '';
		$i = 0;
		while ($i < ($ll - 4)) {
			$show_licence .= '*';
			$i++;
		}

		$show_licence .= substr($license, $ll - 4, 4);

		$licenceActive = false;
		$licenceIcon = 'assets/images/icons8-life_check_frequency.png';
		if (defined('EWP_SL_ITEM_ID') && $itemID == EWP_SL_ITEM_ID) {
			$licenceActive = ewp_is_licensed();
			$licenceIcon = 'assets/images/emergencyWP_logo.png';
		}
		if (defined('EWP_PRO_SL_ITEM_ID') && $itemID == EWP_PRO_SL_ITEM_ID) {
			$licenceActive = ewpPro_is_licensed();
			$licenceIcon = 'assets/images/emergencyWP_logo_pro.png';
		}
		if (defined('EWP_MULTI_SITE_SL_ITEM_ID') && $itemID == EWP_MULTI_SITE_SL_ITEM_ID) {
			$licenceActive = ewpMultiSite_is_licensed();
			$licenceIcon = 'assets/images/emergencyWP_multisite.png';
		}
		if (defined('EWP_TRUSTEES_SL_ITEM_ID') && $itemID == EWP_TRUSTEES_SL_ITEM_ID) {
			$licenceActive = ewpTrustees_is_licensed();
			$licenceIcon = 'assets/images/icons8-trustees.png';
		}
		if (defined('EWP_SL_DC_ITEM_ID') && $itemID == EWP_SL_DC_ITEM_ID) {
			$licenceActive = ewpDeliveryConditions_is_licensed();
			$licenceIcon = 'assets/images/icons8-delivery_conditions.png';
		}
		if (defined('EWP_ZAPIER_SL_ITEM_ID') && $itemID == EWP_ZAPIER_SL_ITEM_ID) {
			$licenceActive = eWPZapier_is_licensed();
			$licenceIcon = 'assets/images/icons8-zapier_addon.png';
		}
		if (defined('EWP_VAULT_SL_ITEM_ID') && $itemID == EWP_VAULT_SL_ITEM_ID) {
			$licenceActive = ewpVault_is_licensed();
			$licenceIcon = 'assets/images/vault_addOn.png';
		}
		?>
        <div class="ewp-extension-box">
            <h3 class="ewp-extension-title"><?php echo $itemName; ?></h3>
            <a href="https://emergencywp.net" title="<?php echo $itemName; ?>" class="wp-post-image">
                <img src="<?php echo EMERGENCY_WP_PLUGIN_URL; ?><?php echo $licenceIcon; ?>"
                     class="attachment-download-grid-thumb size-download-grid-thumb wp-post-image" alt=""
                     title="<?php echo $itemName; ?>" width="540" height="270">
            </a>
            <p></p>
            <p><?php echo $itemDescription; ?></p>
			<?php if (is_object($itemLicenseData)) {
				$expirationData = date_create_from_format('Y-m-d H:i:s', $itemLicenseData->expires);
				if (is_object($expirationData)) {
					?>
                    <p><?php echo __('Valid until: ', 'emergencywp'); ?><?php echo $expirationData->format(emergencyWPAdmin::getDateFormat()); ?></p>
				<?php }
			} else { ?>
			<?php } ?>
            <form action="<?php echo (is_multisite())?'':'options.php'; ?>" method="post">
                <input type="hidden" name="action" value="emergency-wp_update_license">
                <input type="hidden" name="_wp_http_referer" value="/wp-admin/admin.php?page=emergencywp-licences">

                <input type="hidden" id="<?php echo $nonceAction; ?>" name="<?php echo $nonceAction; ?>"
                       value="<?php echo wp_create_nonce($nonceAction); ?>">

                <table>
                    <tbody>
                    <tr>
                        <td class="emergency-wp-name">
                            License Key
                        </td>
                    </tr>
                    <tr>
                        <td class="emergency-wp-value">
                            <input style="width: 100%;" name="<?php echo $itemLicenceKey; ?>" type="text"
                                   class="regular-text"
                                   value="<?php echo $show_licence; ?>">
							<?php if ($licenceActive) { ?>
                                <input style="width: auto; float: right; margin-top: 10px;" type="submit"
                                       class="button-secondary"
                                       name="<?php echo str_replace('_key', '_deactivate', $itemLicenceKey); ?>"
                                       value="Deactivate License">
							<?php } else { ?>
                                <input style="width: auto; float: right; margin-top: 10px;" type="submit"
                                       class="button-secondary"
                                       name="<?php echo str_replace('_key', '_activate', $itemLicenceKey); ?>"
                                       value="Activate License">
							<?php } ?>
                        </td>
                    </tr>
					<?php if ($licenceActive) { ?>
                        <tr>
                            <td>
                                <div class="emergency-wp-description">
                                    Your licence is active and you will receive automatic updates
                                </div>
                            </td>
                        </tr>
					<?php } else { ?>
                        <tr>
                            <td>
                                <div class="emergency-wp-description">
                                    A license key must be entered and activated to enable automatic plugin updates
                                </div>
                            </td>
                        </tr>
					<?php } ?>
                    </tbody>
                </table>
            </form>
            <div class="clearfix"></div>
        </div>
		<?php
	}
}

?>