<?php

class emergencyWPShortcodes
{

    public static function job_handling_shortcode($output = true)
    {
        global $wpdb;
        $return = $error = $success = '';
        $aliveInfo = get_option('emergencyWP_alive_status');

        switch (sanitize_text_field(@$_REQUEST['type'])) {
            case md5('life_status'):
            case md5('life_status_reminder'):
            case md5('conflict_mandator'):
            case md5('life_status_holdB'):
            case md5(UserStatus::EMERGENCY_USER_EMAIL):
                if ($aliveInfo['jobStatus'] === UserStatus::DEAD && strlen($aliveInfo['jobEmails']['messages'])) {
                    $mandatorData = emergencyWPAdmin::getMandatorData(get_current_blog_id());
                    $error = sprintf(__('Hallo %s, <br />Great to hear that you are alive. But... the JobStatus is already \'Finished\' and we had to send your future messages ...<br /> ', 'emergencywp'), $mandatorData['userMeta']->first_name);

                    if (class_exists('EmergencyWPAliveConfirmationLog')) {
                        if ($output === false) {
                            EmergencyWPAliveConfirmationLog::saveConfirmationLog('zapier', $error);
                        } else {
                            EmergencyWPAliveConfirmationLog::saveConfirmationLog('email', $error);
                        }
                    }
                } else if (sanitize_key(@$_REQUEST['mandatorKey']) === $aliveInfo['mandatorKey']) {
                    $success = __('We are glad to hear that you are still alive. ', 'emergencywp');
                    $confirmation_method = 'email';
                    if ($output === false) {
                        emergencyWPJobController::setAliveStatus(UserStatus::ALIVE, 'zapier', $success);
                        $confirmation_method = 'zapier';
                    } else {
                        emergencyWPJobController::setAliveStatus(UserStatus::ALIVE, 'email', $success);
                        $confirmation_method = 'email';
                    }
                    emergencywp_update_option('zapier-trigger-process-finished', '0');
                    emergencywp_update_option('zapier-trigger-final-holdA', '0');


                    $life_check_confirm_email = emergencywp_option('emergencyWPPro_life_check_confirm_email');
                    if(!empty($life_check_confirm_email)) {
                        // save email to db (post)
                        $subject = __('EmergencyWP Lifecheck confirmation', 'emergencywp');

                        $mandator = emergencyWPAdmin::getMandatorData();
                        $user_email = $mandator['email'];
                        $user_first_name = $mandator['firstName'];
                        $user_last_name = $mandator['lastName'];
                        $message = sprintf(esc_html( __('%s, a life check was detected and recorded in the confirmation log for e-mail address: %s Confirmation method: %s', 'emergencywp')), $user_first_name . ' '. $user_last_name, $user_email, $confirmation_method);
                        $args = array(
                            'post_title' => $subject,
                            'post_content' => $message,
                            'post_name' => '',
                            'post_status' => 'life_check_conf',
                            'post_type' => emergencyWPSystemEmails::$postTypeSlug,
                            'post_parent' => 0,
                            'post_date' => date('Y-m-d H:i:s', time()),
                            'post_date_gmt' => gmdate('Y-m-d H:i:s', time()),
                            'comment_status' => 'closed',
                        );
                        $header = 'MIME-Version: 1.0' . "\r\n" .
                            'Content-type: text/html; charset=utf-8' . "\r\n" .
                            'From: EmergencyWP <no-reply@' . $_SERVER['SERVER_NAME'] . '>' . "\r\n";

                        if (wp_mail($life_check_confirm_email, $subject, $message, $header)) {
                            /*
                             *	Return -> The ID of the post if the post is successfully added to the database. On failure, it returns 0 if $wp_error is set to false, or a WP_Error object if $wp_error is set to true.
                             */
                            $res = emergencyWPAdmin::insertWpPost($args, true);

                            update_post_meta($res, EmergencyWPAliveConfirmationLog::$postTypeSlug . '_firstName', 'Lifecheck');
                            update_post_meta($res, EmergencyWPAliveConfirmationLog::$postTypeSlug . '_lastName', 'Confirmation');
                            update_post_meta($res, EmergencyWPAliveConfirmationLog::$postTypeSlug . '_email', $life_check_confirm_email);
                        }
                    }

                    //store response time
                    $last_hit = ewp_get_option('emergencywp_cron_lasthit','',true);

                    $date = new DateTime();
                    $timeDifference = intval($date->getTimestamp() - $last_hit['timestamp']);
                    $responseTimes = get_option(UserStatus::RESPONSE_TIME_USER);
                    $time = 0;
                    $index = 0;
                    if (is_array($responseTimes)) {
                        if (count($responseTimes) == 5) {
                            $time = $responseTimes[0];
                            foreach ($responseTimes as $key => $responseTime) {
                                if (intval($time) > intval($responseTime)) {
                                    $time = $responseTime;
                                    $index = $key;
                                }
                            }
                            $responseTimes[$index] = $timeDifference;
                        } else {
                            array_push($responseTimes, $timeDifference);
                        }
                    } else {
                        $responseTimes = array();
                        array_push($responseTimes, $timeDifference);
                    }
                    update_option(UserStatus::RESPONSE_TIME_USER, $responseTimes);

                } else {
                    $error = __('Sorry, the key in your url is incorrect.<br />Please try again or contact our support! <span class="error-code">[ErrorCode: ERR-JOB-999]</span> ', 'emergencywp');
                }
                break;
            case md5('trusty_alive_status'):
            case md5('noReactionsA'):
            case md5('no_reaction_reminder'):
            case md5('conflict_trusty_conf'):
            case md5('hold_d_conf'): // ??
            case md5('live_status_hold_d'):
                if (sanitize_key(@$_REQUEST['key']) === $aliveInfo['passThroughKey']) {
                    // Trusty response check
                    $check = emergencyWPJobController::checkTrustyResponse(sanitize_key(@$_REQUEST['hash']), $aliveInfo['jobStatus'], sanitize_text_field($_REQUEST['status']));
                    if ($check > 0) $success = emergencyWPJobController::getTrustyResponseText($check, $aliveInfo['jobStatus']);
                    else $error = $error = emergencyWPJobController::getTrustyResponseText($check, $aliveInfo['jobStatus']);

                    $last_hit = get_option('emergencywp_cron_lasthit');
                    $date = new DateTime();
                    $timeDifference = intval($date->getTimestamp() - $last_hit['timestamp']);

                    $responseTimes = get_option(UserStatus::RESPONSE_TIME_TRUSTEE);
                    $time = 0;
                    $index = 0;
                    if (is_array($responseTimes)) {
                        if (count($responseTimes) == 5) {
                            $time = $responseTimes[0];
                            foreach ($responseTimes as $key => $responseTime) {
                                if (intval($time) > intval($responseTime)) {
                                    $time = $responseTime;
                                    $index = $key;
                                }
                            }
                        } else {
                            array_push($responseTimes, $timeDifference);
                        }
                        $responseTimes[$index] = $timeDifference;
                    } else {
                        $responseTimes = array();
                        array_push($responseTimes, $timeDifference);
                    }
                    update_option(UserStatus::RESPONSE_TIME_TRUSTEE, $responseTimes);
                } else $error = __('Sorry, but your response is out of time.', 'emergencywp');
                break;
            default:
                $error = emergencyWPJobController::getMessageText(-99);
        }

        if(strlen($error)){
            $life_check_failed_confirm_email = emergencywp_option('emergencyWPPro_life_check_failed_confirm_email');
            if(!empty($life_check_failed_confirm_email)) {
                // save email to db (post)
                $subject = __('EmergencyWP Lifecheck confirmation FAILED', 'emergencywp');
                $message = esc_html( __('A life check attempt failed. Reason: '. $error, 'emergencywp'));

                $header = 'MIME-Version: 1.0' . "\r\n" .
                    'Content-type: text/html; charset=utf-8' . "\r\n" .
                    'From: EmergencyWP <no-reply@' . $_SERVER['SERVER_NAME'] . '>' . "\r\n";

                wp_mail($life_check_failed_confirm_email, $subject, $message, $header);
            }
        }

        if ($output === false) {
            if (strlen($success)) {
                $return = array('result' => 'success', 'msg' => $success);
            }
            else if (strlen($error)){
                $return = array('result' => 'error', 'msg' => $error);
            }

            return json_encode($return);
        }
        if (empty($output) || $output != false) {
            if (strlen($success)) $return = '<div class="shortcode-success-message">' . $success . '</div>';
            else if (strlen($error)) $return = '<div class="shortcode-error-message">' . $error . '</div>';

            return $return;
        }
    }
}

?>