<?php

class emergencyWPSystemEmails
{
    static $parentId;
    static $postStatus;
    static $header;
    static $attachments;
    static $sendTo;
    static $subject;
    static $emailFramework;
    static $message;
    static $customeMessage = '';
    static $privateMessage = null;
    static $sendStatus = false;
    static $aliveInfo = false;
    static $blogId = null;
    static $templatefileType = 'php';
    static $hash = null;
    static $passThroughKey;
    static $contactPlaceholder = array();
    static private $setManuallyEmail = false;

    static $emailList = array();

    static $postTypeSlug = "emergencywp_email";


    public function __construct()
    {
        self::setStd();
        self::generateEmailList();
        add_action('add_meta_boxes', array(&$this, 'my_remove_wp_seo_meta_box'), 100);
    }

    static function generateEmailList()
    {
        self::$emailList = emergencyWPAdmin::getEmailList();
    }

    function my_remove_wp_seo_meta_box()
    {
        remove_meta_box('wpseo_meta', self::$postTypeSlug, 'normal');
    }

    static function setStd($pId = 0)
    {
        self::$parentId = $pId;
        self::$sendStatus = 'init';

        if (is_null(self::$blogId)) {
            self::$blogId = get_current_blog_id();
        }

        $locale = get_locale();
        if ($locale === '') {
            $locale = 'en_US';
        }

        self::$emailFramework = '{email_template}';
        $userPath = get_template_directory() . "/emergencywp/main/" . $locale . "/emailTemplate.html";
        $userPath = apply_filters('emergencywp_email_template_file_path', $userPath, '/main/', $locale, 'emailTemplate', 'html', self::$blogId);
        if (file_exists($userPath)) {
            self::$emailFramework = file_get_contents($userPath);
        } else if (file_exists(EMERGENCY_WP_PLUGIN_DIR . "/templates/" . $locale . "/emailTemplate.html")) {
            self::$emailFramework = file_get_contents(EMERGENCY_WP_PLUGIN_DIR . "/templates/" . $locale . "/emailTemplate.html");
        }

        self::$header = 'MIME-Version: 1.0' . "\r\n" .
            'Content-type: text/html; charset=utf-8' . "\r\n" .
            'From: EmergencyWP <no-reply@' . $_SERVER['SERVER_NAME'] . '>' . "\r\n";
        self::generateEmailList();
    }

    static public function setEmail($email)
    {
        self::$sendTo = $email;
        self::$setManuallyEmail = true;
    }

    static public function setContactPlaceholder($c)
    {
        self::$contactPlaceholder = $c;
    }

    static public function replacePalceholders()
    {

        // AliveStatus
        $aliveStatus = emergencyWPJobController::getAliveStatus();

        // Settings
        $jobSettings = emergencyWPJobController::getJobSettings();

        // UserData
        emergencyWPJobController::$blogId = self::$blogId;
        $mandatorData = emergencyWPAdmin::getMandatorData(emergencyWPJobController::$blogId);

        // TrustyData
        $instancePostMetaKeys = array(
            'emergencywp_trustees_email',
            'emergencywp_trustees_relationship',
            'emergencywp_trustees_lastName',
            'emergencywp_trustees_firstName',
            'emergencywp_trustees_email_message',
            'emergencywp_trustees_hashCode'
        );
        $trustyPostMetas = self::getInstancePostMetas($instancePostMetaKeys);

        // set mandator EmailAddress, is not set
        if (!self::$setManuallyEmail) {
            self::$sendTo = $mandatorData['email'];
        }

        // URLs
        $structure = get_option('permalink_structure');
        $responseUrlStart = '?';
        if (strpos($structure, '?') !== false || empty($structure)) {
            $responseUrlStart = '&amp;';
        }

        $responseUrl = emergencyWPAdmin::getPermalink('job_response_options') . $responseUrlStart . "type=" . md5(self::$postStatus) . "&amp;mandatorKey=" . $aliveStatus['mandatorKey'];

        // Subject
        self::$subject = str_replace(EmailPlaceholdersTags::USER_FULL_NAME, $mandatorData['firstName'] . " " . $mandatorData['lastName'], self::$subject);
        self::$subject = str_replace(EmailPlaceholdersTags::USER_FIRST_NAME, $mandatorData['firstName'], self::$subject);
        self::$subject = str_replace(EmailPlaceholdersTags::USER_LAST_NAME, $mandatorData['lastName'], self::$subject);
        self::$subject = str_replace(EmailPlaceholdersTags::TRUSTEE_FULL_NAME, $trustyPostMetas['emergencywp_trustees_firstName'] . " " . $trustyPostMetas['emergencywp_trustees_lastName'], self::$subject);
        self::$subject = str_replace(EmailPlaceholdersTags::TRUSTEE_FIRST_NAME, $trustyPostMetas['emergencywp_trustees_firstName'], self::$subject);
        self::$subject = str_replace(EmailPlaceholdersTags::TRUSTEE_LAST_NAME, $trustyPostMetas['emergencywp_trustees_lastName'], self::$subject);

        // Message
        self::$message = str_replace(EmailPlaceholdersTags::USER_FULL_NAME, $mandatorData['firstName'] . " " . $mandatorData['lastName'], self::$message);
        self::$message = str_replace(EmailPlaceholdersTags::USER_FIRST_NAME, $mandatorData['firstName'], self::$message);
        self::$message = str_replace(EmailPlaceholdersTags::USER_LAST_NAME, $mandatorData['lastName'], self::$message);
        self::$message = str_replace(EmailPlaceholdersTags::WEBSITE_URL, EMERGENCY_WP_FRONTEND_URL, self::$message);
        self::$message = str_replace(EmailPlaceholdersTags::TRUSTEE_FULL_NAME, $trustyPostMetas['emergencywp_trustees_firstName'] . " " . $trustyPostMetas['emergencywp_trustees_lastName'], self::$message);
        self::$message = str_replace(EmailPlaceholdersTags::TRUSTEE_FIRST_NAME, $trustyPostMetas['emergencywp_trustees_firstName'], self::$message);
        self::$message = str_replace(EmailPlaceholdersTags::TRUSTEE_LAST_NAME, $trustyPostMetas['emergencywp_trustees_lastName'], self::$message);

        self::$message = str_replace(EmailPlaceholdersTags::LIFE_CHECK_FREQUENCY, ewp_settingtimesToDays($jobSettings['live_status_holdA_noFeedbackTime'], 'd', 4), self::$message);
        self::$message = str_replace(EmailPlaceholdersTags::LIFE_CHECK_TIME_FRAME, ewp_settingtimesToDays($jobSettings['live_status_holdA_reminderTime'], 'd', 4), self::$message);

        // Contact Data
        if (count(self::$contactPlaceholder) > 0) {
            if (null !== self::$contactPlaceholder['firstName']) {
                self::$subject = str_replace(EmailPlaceholdersTags::CONTACT_FIRST_NAME, self::$contactPlaceholder['firstName']['value'], self::$subject);
                self::$message = str_replace(EmailPlaceholdersTags::CONTACT_FIRST_NAME, self::$contactPlaceholder['firstName']['value'], self::$message);
            }
            if (null !== self::$contactPlaceholder['lastName']) {
                self::$subject = str_replace(EmailPlaceholdersTags::CONTACT_LAST_NAME, self::$contactPlaceholder['lastName']['value'], self::$subject);
                self::$message = str_replace(EmailPlaceholdersTags::CONTACT_LAST_NAME, self::$contactPlaceholder['lastName']['value'], self::$message);
            }
            if (null !== self::$contactPlaceholder['email']) {
                self::$message = str_replace(EmailPlaceholdersTags::CONTACT_EMAIL, self::$contactPlaceholder['email']['value'], self::$message);
            }
        }

        switch (self::$postStatus) {
            // Trusty: Emails
            case 'verifier_confirm':
            case 'verifier_email_upd':
            case 'conflict_information':
            case 'verifier_reminder':
                self::$sendTo = $trustyPostMetas['emergencywp_trustees_email'];
                self::$privateMessage = $trustyPostMetas['emergencywp_trustees_email_message'];
                // set the responseUrl
                $trustyResponseUrl = emergencyWPAdmin::getPermalink('trustees_activate_options') . $responseUrlStart . "trusty=" . self::$hash;

                self::$message = str_replace(EmailPlaceholdersTags::TRUSTEE_ACCEPTANCE_URL, $trustyResponseUrl . '&iwill=' . md5('approved'), self::$message);
                self::$message = str_replace(EmailPlaceholdersTags::TRUSTEE_REJECTION_URL, $trustyResponseUrl . '&iwill=' . md5('rejected'), self::$message);
                break;
            // JobStatus: Alive
            case 'life_status':
            case 'finalHoldCMandator':
                $responseUrl = emergencyWPAdmin::getPermalink('job_response_options') . $responseUrlStart . "type=" . md5(self::$postStatus) . "&amp;mandatorKey=" . $aliveStatus['mandatorKey'];
                break;
            case 'trusty_alive_status':
            case 'noReactionsA':
            case 'conflict_trusty_conf':
            case 'live_status_hold_d':
                //case 'verifier_confirm':
                //case 'verifier_email_upd':
                self::$sendTo = $trustyPostMetas['emergencywp_trustees_email'];
                $responseUrlAlive = emergencyWPAdmin::getPermalink('job_response_options') . $responseUrlStart . "type=" . md5(self::$postStatus) . "&amp;key=" . self::$passThroughKey . "&amp;status=" . md5('alive') . "&amp;hash=" . $trustyPostMetas['emergencywp_trustees_hashCode'];
                $responseUrlDead = emergencyWPAdmin::getPermalink('job_response_options') . $responseUrlStart . "type=" . md5(self::$postStatus) . "&amp;key=" . self::$passThroughKey . "&amp;status=" . md5('dead') . "&amp;hash=" . $trustyPostMetas['emergencywp_trustees_hashCode'];
                break;
            default:
        }

        // set URLs
        self::$message = str_replace(EmailPlaceholdersTags::USER_CONFIRMATION_URL, $responseUrl, self::$message);
        self::$message = str_replace(EmailPlaceholdersTags::TRUSTEE_ALIVE_URL, $responseUrlAlive, self::$message);
        self::$message = str_replace(EmailPlaceholdersTags::TRUSTEE_DECEASED_URL, $responseUrlDead, self::$message);
        self::$message = self::$message;
    }

    public static function initPostType()
    {
        self::customePostType();
    }

    public static function customePostType()
    {
        register_post_type(self::$postTypeSlug,
            array(
                "public" => true,
                "menu_icon" => "dashicons-universal-access",
                "label" => __('System emails', 'emergencywp'),
                "show_in_menu" => false,
                "menu_position" => 101,
                "supports" => array(
                    "custom_fields",
                ),
            )
        );
    }

    static public function sendEmail()
    {
        self::buildEmailMessage();

        if (self::$aliveInfo === false) {
            return false;
        }

        // save email to db (post)
        $args = array(
            'post_title' => self::$subject,
            'post_content' => esc_html(self::$message),
            'post_name' => '',
            'post_status' => self::$postStatus,
            'post_type' => self::$postTypeSlug,
            'post_parent' => self::$parentId,
            'post_date' => date('Y-m-d H:i:s', time()),
            'post_date_gmt' => gmdate('Y-m-d H:i:s', time()),
            'comment_status' => 'closed',
        );

        if (wp_mail(self::$sendTo, self::$subject, self::$message, self::$header, self::$attachments)) {
            /*
             *	Return -> The ID of the post if the post is successfully added to the database. On failure, it returns 0 if $wp_error is set to false, or a WP_Error object if $wp_error is set to true.
             */
            $res = emergencyWPAdmin::insertWpPost($args, true);
            self::$sendStatus = true;
        } else {
            self::$sendStatus = false;
        }
    }

    static public function setSubject($subject)
    {
        self::$subject = $subject;
    }

    static public function setMessage($message, $nl2br = true)
    {
        $text = $message;
        if ($nl2br) {
            $text = nl2br($text);
        }
        self::$customeMessage = $text;
    }

    static private function buildEmailMessage()
    {
        // set body of email message
        self::$message = self::$emailFramework;

        if (self::$postStatus == 'live_status_dead') {
            self::getJobEmailMessage();
            self::replacePalceholders();
            if (strpos(self::$message, EmailPlaceholdersTags::FUTURE_MESSAGE) !== false) {
                self::$message = str_replace(EmailPlaceholdersTags::FUTURE_MESSAGE, self::$customeMessage, self::$message);
            }
        } else {
            self::getJobEmailMessage();
            self::replacePalceholders();
            self::$message = str_replace(EmailPlaceholdersTags::USER_INVITATION_MESSAGE, self::$customeMessage, self::$message);
        }
    }

    static private function getEmailPath()
    {
        $locale = get_locale();
        if ($locale === '') {
            $locale = 'en_US';
        }

        $emailFileName = self::getEmailFileByAliveInfo();

        $userPath = get_template_directory() . "/emergencywp/main/" . $locale . "/" . $emailFileName . "." . self::$templatefileType;
        $userPath = apply_filters('emergencywp_email_template_file_path', $userPath, '/main/', $locale, $emailFileName, self::$templatefileType, self::$blogId);
        //var_dump($userPath);
        $path = EMERGENCY_WP_PLUGIN_DIR . "templates/" . $locale . "/" . $emailFileName . "." . self::$templatefileType;
        $fallbackPath = EMERGENCY_WP_PLUGIN_DIR . "templates/en_US/" . $emailFileName . "." . self::$templatefileType;

        if (file_exists($userPath)) {
            return $userPath;
        } elseif (file_exists($path)) {
            return $path;
        } else {
            return $fallbackPath;
        }
    }

    static private function getEmailFileByAliveInfo()
    {
        $emailFileName = '';
        foreach (self::$emailList As $emailItem) {
            if ($emailItem['aliveInfo'] == self::$aliveInfo) {
                $emailFileName = $emailItem['file'];
            }
        }
        return $emailFileName;
    }

    static private function stripPhpCommentHeader($templateContent)
    {
        if (($s = strpos($templateContent, '?>')) !== false) {
            $templateContent = substr($templateContent, $s + 2, (strlen($templateContent) - $s));
        }
        return $templateContent;
    }

    static private function getJobEmailMessage()
    {
        $templatePath = self::getEmailPath();

        if (file_exists($templatePath)) {
            $templateContent = file_get_contents($templatePath);
            $templateContent = nl2br(self::stripPhpCommentHeader($templateContent));
            $headers = self::getTemplateFileHeaders();
            self::$subject = stripslashes($headers['Subject']);
        } else {
            self::$aliveInfo === false;

            return "";
        }

        self::$message = str_replace(EmailPlaceholdersTags::EMAIL_TEMPLATE, $templateContent, self::$message);
    }

    static private function getPrivateMessage()
    {
        if (is_null(self::$privateMessage)) {
            $privateText = is_multisite() ?
                get_site_option('emergencywp' . '_' . self::$postStatus . '_mail', false) :
                get_option('emergencywp' . '_' . self::$postStatus . '_mail', false);

            return (!$privateText) ? '' : nl2br(unserialize($privateText['message']));
        }

        return self::$privateMessage;
    }

    static private function getInstancePostMetas($postMetas = false)
    {
        if (!$postMetas) {
            return false;
        } else {
            if (is_array($postMetas)) {
                if (count($postMetas) > 0) {
                    $wpPostMetas = array();
                    if (is_multisite()) {
                        switch_to_blog(self::$blogId);
                    }
                    foreach ($postMetas as $postMeta) {
                        $wpPostMetas[$postMeta] = self::getInstancePostMeta($postMeta);
                    }
                    if (is_multisite()) {
                        restore_current_blog();
                    }

                    return $wpPostMetas;
                }

                return false;
            }

            return self::getInstancePostMeta($postMetas);
        }
    }

    static private function getInstancePostMeta($postMeta = false)
    {
        if (!$postMeta) {
            return false;
        } else {
            return get_post_meta(self::$parentId, $postMeta, true);
        }
    }

    static function saveUserEmailTemplate($text, $headers)
    {
        $locale = get_locale();
        if ($locale === '') {
            $locale = 'de_DE';
        }

        //var_dump(self::$aliveInfo);
        $emailFileName = self::getEmailFileByAliveInfo();

        $userDir = get_template_directory() . "/emergencywp/main/";
        $userPath = $userDir . $locale . "/" . $emailFileName . "." . self::$templatefileType;
        $userPath = apply_filters('emergencywp_email_template_file_path', $userPath, '/main/', $locale, $emailFileName, self::$templatefileType, self::$blogId);

        if (!file_exists($userDir)) {
            if (!file_exists(get_template_directory() . "/emergencywp")) {
                mkdir(get_template_directory() . "/emergencywp", 0777, true);
            }
            if (!file_exists(get_template_directory() . "/emergencywp/main/")) {
                mkdir(get_template_directory() . "/emergencywp/main/", 0777, true);
            }
            mkdir($userDir . $locale, 0777, true);
        } else {
            if (!file_exists($userDir . $locale)) {
                mkdir($userDir . $locale, 0777, true);
            }
        }

        $userEmailTemplateFile = fopen($userPath, "w") or die("Unable to open file!");

        $fileHeader = "<?php \n/* \n";
        foreach ($headers AS $key => $header) {
            $fileHeader .= $key . ':' . $header . "\n";
        }
        $fileHeader .= "*/\n ?>\n";

        fwrite($userEmailTemplateFile, $fileHeader);
        fwrite($userEmailTemplateFile, stripcslashes($text));
        fclose($userEmailTemplateFile);
    }

    static function getEmailsArray()
    {
        return self::$emailList;
    }

    static function getEmailEditableContent($emailId)
    {
        $template = false;
        $error = false;
        foreach (self::$emailList AS $emailItem) {
            if (intval($emailItem['id']) === intval($emailId)) {
                self::$aliveInfo = $emailItem['aliveInfo'];
                $templatePath = self::getEmailPath();

                if (file_exists($templatePath)) {
                    $template = self::stripPhpCommentHeader(file_get_contents($templatePath));
                    $error = false;
                    break;
                } else {
                    $error = "Content not found!!";
                }
            }
        }
        if ($error != false) {
            $error = "Unknown error occurred!!";
        }

        if ($error == false) {
            return $template;
        } else {
            return $error;
        }
    }

    static function getEmailSubject($emailId)
    {
        self::setupAliveInfoByEmailId($emailId);
        $headers = self::getTemplateFileHeaders();

        if (isset($headers['Subject'])) {
            return $headers['Subject'];
            //return get_option('emergencyWP_email_subject_' . $emailId);
        } else {
            return "";
        }
    }

    static function getEmailDescription($emailId)
    {
        self::setupAliveInfoByEmailId($emailId);
        $headers = self::getTemplateFileHeaders();

        if (isset($headers['Description'])) {
            return $headers['Description'];
            //return get_option('emergencyWP_email_description_' . $emailId);
        } else {
            return "";
        }
    }

    static function getEmailHeaderInfo($emailId)
    {
        self::setupAliveInfoByEmailId($emailId);
        $headers = self::getTemplateFileHeaders();
        return $headers;
        //return get_option('emergencyWP_email_description_' . $emailId);
    }

    static function setupAliveInfoByEmailId($emailId)
    {
        foreach (self::$emailList AS $emailItem) {
            if ($emailItem['id'] == $emailId) {
                self::$aliveInfo = $emailItem['aliveInfo'];
            }
        }
    }

    static function getTemplateFileHeaders()
    {
        $templatePath = self::getEmailPath();
        $headers = '';
        if (file_exists($templatePath)) {
            $headers = get_file_data($templatePath, array(
                'Subject' => 'Subject',
                'Description' => 'Description',
                'Author' => 'Author',
                'Version' => 'Version',
                'Language' => 'Language',
                'Source-URL' => 'Source-URL'
            ));
        }
        return $headers;
    }

    static function getTemplateFileModifiedDate($emailId)
    {
        self::setupAliveInfoByEmailId($emailId);
        $templatePath = self::getEmailPath();
        $fileTime = '';
        if (file_exists($templatePath)) {
            $fileTime = filemtime($templatePath);
            $fileTime = date(emergencyWPAdmin::getFullDateFormat(), $fileTime);
        }
        return $fileTime;
    }
}

?>
