<?php

// declare needed variables
$error = array();
$pagepath = "admin.php?page=emergencywp_logs";

// declare tabs
$tabs = array(
	'1' => __('System E-Mails', 'emergencywp'),
	'2' => __('System Errors', 'emergencywp'),
);

// set active tab
$actTab = 1;
if( isset($_REQUEST['tab'])) $actTab = sanitize_text_field($_REQUEST['tab']);
/**
 *	HTML OUTPUT
 */
?>

<!-- start page tiltle -->
<h2><?php _e('EmergencyWP Email-Logs', 'emergencywp'); ?></h2>
<!-- eof page tiltle -->

<!-- start tab navigation -->
<h3 class="nav-tab-wrapper">
	<?php
		if( count( $tabs ) ){
			foreach( $tabs as $k => $tab ){
				if( $actTab == $k ) $actTabClass = " nav-tab-active";
				else $actTabClass = '';
				echo '<a href="' . esc_url(get_admin_url() . $pagepath . "&tab=" . $k) . '" class="nav-tab' . esc_attr($actTabClass) . '">' . esc_attr($tab) . '</a>' . "\n";
			}
		}
	?>
</h3>
<!-- eof tab navigation -->

<!-- start accordions -->
<div class="panel-group" id="accordion">
<?php
if( count( $tabs ) ){
	foreach( $tabs as $tabIndex => $tab ){
		if( $actTab == $tabIndex ){ 
			echo '<div class="panel">';
			if( $tabIndex === 1 ){
				$args = array( 
					'posts_per_page' => 1500, 
					'offset'=> 0, 
					'post_type' => 'emergencyWP_system_email'
				);
				$emailLogs = new WP_Query($args);
				?>
				<table class="table table-striped table-hover">
				<thead>
					<tr>
					<th>#</th>
					<th>recipient</th>
					<th>email</th>
					<th>date</th>
					<th>subject</th>
					<th>email type</th>
					<th>action</th>
					</tr>
				</thead>
				
				<?php
					if( !count($emailLogs->posts) ){
						?>
						<tr>
							<td colspan="6" align="center">no systems emails logged</td>
						</tr>						
						<?php
					} else {
						foreach($emailLogs->posts as $key => $eLog){
							$firstname = "firstname";
							$lastname = "lastname";
							$email = "email";
							switch( $eLog->post_status ) {
								case 'life_status':
								case 'life_status_reminder':
								case 'verifier_email_acc':
								case 'verifier_email_rej':
								case 'conflict_mandator':
								case 'live_status_hold_b':
									// Mandator emails
									//$mandatorData = emergencyWPJobController::getUserData(emergencyWPJobController::$blogId);
									//$mandatorData = emergencyWPJobController::getUserData(get_current_blog_id());
									$mandatorData = emergencyWPAdmin::getMandatorData(get_current_blog_id());
									$firstname = $mandatorData['userMeta']->first_name;
									$lastname = $mandatorData['userMeta']->last_name;
									$email = $mandatorData['userData']->data->user_email;
									break;
								case 'live_status_dead':
									// contact emails
									$firstname = get_post_meta($eLog->post_parent, 'emergencywp_contacts_firstName', true);
									$lastname = get_post_meta($eLog->post_parent, 'emergencywp_contacts_lastName', true);
									$email = get_post_meta($eLog->post_parent, 'emergencywp_contacts_email', true);
									break;
								default:
									// Trustees emails
									$firstname = get_post_meta($eLog->post_parent, EmergencyWPTrustees::$postTypeSlug . '_firstName', true);
									$lastname = get_post_meta($eLog->post_parent, EmergencyWPTrustees::$postTypeSlug . '_lastName', true);
									$email = get_post_meta($eLog->post_parent, EmergencyWPTrustees::$postTypeSlug . '_email', true);
							}
							echo 	'<tr>'.
									'	<td>#EMAIL-ID-' . esc_html($eLog->ID) . '</td>'.
									'	<td>' . esc_html($firstname . ' ' . $lastname) . '</td>'.
									'	<td>' . esc_html($email) . '</td>' .
									'	<td>' . esc_html(ewp_mysqlDate2Date( $eLog->post_date, 1 ) ). '</td>' .
									'	<td>' . esc_html(ewp_utcTimestampToSystemTimestamp($eLog->post_date) . '|' . $eLog->post_date ). '</td>' .
									'	<td>' . esc_html($eLog->post_title) . '</td>' .
									'	<td>' . esc_html($wording[EWP_initPluginVars::$pluginCustomPostTypes[$eLog->post_status]['label']] ).'|</td>' .
									'	<td><a href="' . esc_url(EMERGENCY_WP_PLUGIN_URL . 'ajax/loadSystemEmail.php?pid=' . $eLog->ID). '" class="btn btn-primary" data-toggle="modal" data-target="#eLogModal-' . esc_attr($key) . '">E-Mail anzeigen</a></td>' .
									'</tr>';
							?>
								<!-- Modal -->
								<div class="modal ewp-modal" id="eLogModal-<?php echo esc_attr($key); ?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
									<div class="modal-dialog modal-lg">
										<div class="modal-content ewp-modal-content">
										<div class="modal-header">
											<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
											<h4 class="modal-title" id="myModalLabel"></h4>
										</div>
										<div class="modal-body">
											<div style="text-align: center;margin: 50px 0;"><img src="<?php echo EMERGENCY_WP_PLUGIN_URL; ?>assets/gfx/ajaxLoader/325.gif" alt="" /></div>
										</div>
									</div>
								</div>
							<?php			
						}
					}
				?>
				</table>
				<?php
			}
			echo '</div>';
		}
	}
}
		
		
						

?>