<?php
$pagepath    = "admin.php?page=emergencywp&subpage=cron";
$cron_status = emergencyWP( 'cron' )->check();

if ( is_wp_error( $cron_status ) ) : ?>
	<div class="error inline"><p><strong><?php echo esc_url($cron_status->get_error_message()) ?></strong></p></div>
<?php endif;


if ( @$_POST['cron-save'] == "save" ) {
	foreach ( $_POST['emergencywp_options'] AS $key => $value ) {
		emergencywp_update_option( $key, sanitize_text_field($value), true );
		if($key == 'cron_service' && $value == 'cron') {
			emergencyWP('cron')->unschedule();
		}
	}
}
if(isset($_GET['debug']) && sanitize_key($_GET['debug']) == '1') {
	$cron = _get_cron_array();
	foreach ( $cron as $time => $hook_name ) {
		echo "<h1>" . esc_html($time) . "</h1>";
		print_r( $hook_name );
	}
}
?>

<h3><?php echo __('Cron job','emergencywp'); ?></h3>
<form id="emergencyWP_cron-form" method="post" action="<?php echo esc_url(get_admin_url() . $pagepath); ?>" method="post" autocomplete="off">
	<p class="bold"><?php esc_html_e( 'Interval for sending life checks and mails', 'emergencywp' ) ?></p>
	<div class="email-period">
		<p><?php printf( __( 'Run EmergencyWP cron at a maximum of %1$s minutes', 'emergencywp' ), '<input type="text" name="emergencywp_options[interval]" value="' . emergencywp_option( 'interval', 0, true ) . '" class="small-text">' ) ?> (<?php esc_html_e( 'Optional if a real cron service is used', 'emergencywp' ); ?>)</p>
	</div>

	<hr>			

	<p class="bold"><?php esc_html_e( 'Cron Service', 'emergencywp' ) ?></p>
	<?php $cron = emergencywp_option( 'cron_service', 'wp_cron', true); ?>
	<div class="cron-service">
		<label>
			<input type="radio" class="cron_radio" name="emergencywp_options[cron_service]"  value="wp_cron" <?php checked( $cron == 'wp_cron' ); ?> > <?php esc_html_e( 'Use the wp_cron function to send mails and life checks', 'emergencywp' ) ?>
        </label>
		<label>
			<input type="radio" class="cron_radio" name="emergencywp_options[cron_service]" value="cron" <?php checked( $cron == 'cron' ) ?> > <?php esc_html_e( 'Use a real cron to send emails', 'emergencywp' ) ?>
		</label> 
        <span class="description"><?php esc_html_e( 'recommended if not much traffic on site', 'emergencywp' ) ?></span>
	</div>
	<hr>	

	<div class="cron cron_opts" <?php if ( $cron != 'cron' ) { echo ' style="display:none"'; } ?>>
		<p class="bold"><?php esc_html_e( 'Cron Settings', 'emergencywp' ) ?></p>
		<p class="description">
			<?php printf( __( 'Use the alternative Cron URL if you have troubles with this one by clicking %s.', 'emergencywp' ), '<a class="switch-cron-url" href="#">' . __( 'here', 'emergencywp' ) . '</a>' ) ?>
		</p>

		<div>
			<p>
				<input type="text" name="emergencywp_options[cron_secret]" value="<?php echo esc_attr( emergencywp_option( 'cron_secret', '',true ) ); ?>" class="regular-text"> <span
						class="description"><?php esc_html_e( 'a secret hash which is required to execute the cron', 'emergencywp' ) ?></span>
			</p>
			<?php $cron_url = emergencyWP( 'cron' )->url(); ?>
			<?php $cron_url2 = emergencyWP( 'cron' )->url( true ); ?>
			<?php $cron_path = emergencyWP( 'cron' )->path( true ); ?>
			<p><?php esc_html_e( 'You can keep a browser window open with following URL', 'emergencywp' ) ?>
			</p>
			<div class="verified regular-cron-url">
                <a href="<?php echo esc_url($cron_url) ?>" class="external"><code id="copy-cronurl-1"><?php echo esc_url($cron_url) ?></code></a>
                <a class="clipboard" data-clipboard-target="#copy-cronurl-1"><?php esc_html_e( 'copy', 'emergencywp' ) ?></a></div>
			<div class="verified alternative-cron-url"><a href="<?php echo esc_url($cron_url2); ?>" class="external"><code id="copy-cronurl-2"><?php echo esc_url($cron_url2) ?></code></a> <a
						class="clipboard" data-clipboard-target="#copy-cronurl-2"><?php esc_html_e( 'copy', 'emergencywp' ) ?></a></div>
			<p><?php esc_html_e( 'or setup a crontab with one of the following commands:', 'emergencywp' ) ?></p>
			<ul>
				<li class="regular-cron-url">
					<code id="copy-cmd-1">wget -O- '<?php echo esc_url($cron_url) ?>' > /dev/null</code>
					<a class="clipboard"  data-clipboard-target="#copy-cmd-1"><?php esc_html_e( 'copy', 'emergencywp' ) ?></a>
				</li>
				<li class="alternative-cron-url">
					<code id="copy-cmd-2">wget -O- '<?php echo esc_url($cron_url2) ?>' > /dev/null</code>
					<a class="clipboard"  data-clipboard-target="#copy-cmd-2"><?php esc_html_e( 'copy', 'emergencywp' ) ?></a>
				</li>
				<li class="regular-cron-url">
					<code id="copy-cmd-3">curl --silent '<?php echo esc_url($cron_url) ?>'</code>
					<a class="clipboard"   data-clipboard-target="#copy-cmd-3"><?php esc_html_e( 'copy', 'emergencywp' ) ?></a>
				</li>
				<li class="alternative-cron-url">
					<code id="copy-cmd-4">curl --silent '<?php echo esc_url($cron_url2) ?>'</code>
					<a class="clipboard"   data-clipboard-target="#copy-cmd-4"><?php esc_html_e( 'copy', 'emergencywp' ) ?></a>
				</li>
				<li class="regular-cron-url">
					<code id="copy-cmd-5">GET '<?php echo esc_url($cron_url) ?>' > /dev/null</code>
					<a class="clipboard"  data-clipboard-target="#copy-cmd-5"><?php esc_html_e( 'copy', 'emergencywp' ) ?></a>
				</li>
				<li class="alternative-cron-url">
					<code id="copy-cmd-6">GET '<?php echo esc_url($cron_url2) ?>' > /dev/null</code>
					<a class="clipboard"   data-clipboard-target="#copy-cmd-6"><?php esc_html_e( 'copy', 'emergencywp' ) ?></a>
				</li>
				<li><code id="copy-cmd-7">php <?php echo esc_url($cron_url) ?> > /dev/null</code>
					<a class="clipboard"  data-clipboard-target="#copy-cmd-7"><?php esc_html_e( 'copy', 'emergencywp' ) ?></a>
				</li>
			</ul>
		</div>
	</div>

	<p class="bold"><?php esc_html_e( 'Last hit', 'emergencywp' ) ?></p>
	<?php $last_hit = get_option( 'emergencywp_cron_lasthit' ); ?>
	<ul class="lasthit highlight">
		<?php if ( $last_hit ) :
			$interv = round( ( $last_hit['timestamp'] - $last_hit['oldtimestamp'] ) / 60 );
			?>
			<li>IP: <?php echo esc_html($last_hit['ip']);
				if ( $last_hit['ip'] == emergencywp_get_ip() ) {
					echo ' (' . __( 'probably you', 'emergencywp' ) . ')';
				} ?></li>
			<li><?php echo esc_html($last_hit['user']); ?></li>
			<?php
			$timeformat = emergencyWPAdmin::getFullDateFormat();
			?>
			<li><?php echo esc_html(date( $timeformat, $last_hit['timestamp']  ) . ', <strong>' . sprintf( __( '%s ago', 'emergencywp' ), human_time_diff( $last_hit['timestamp'] ) )) . '</strong>' ?></li>
			<?php if ( $interv ) : ?>
			<li><?php echo esc_html__( 'Interval', 'emergencywp' ) . ': <strong>' . esc_html($interv) . ' ' . _x( 'min', 'short for minute', 'emergencywp' ) . '</strong>'; ?></li>
		<?php endif; ?>
			<?php if ( $last_hit['mail'] ) : ?>
			<?php $mails_per_sec = round( 1 / $last_hit['mail'], 2 ); ?>
			<li><?php echo esc_html__( 'Throughput', 'emergencywp' ) . ': ' . round( $last_hit['mail'], 3 ) . ' ' . _x( 'sec', 'short for second', 'emergencywp' );
				echo '/' . esc_html__( 'mail', 'emergencywp' ) ?>
				(<?php printf( _n( '%s mail per second', '%s mails per second', $mails_per_sec, 'emergencywp' ), $mails_per_sec ) ?>)
			</li>
		<?php endif; ?>
			<?php if ( $last_hit['timemax'] ) : ?>
			<li><?php echo esc_html__( 'Max Execution Time', 'emergencywp' ) . ': ' . round( $last_hit['timemax'], 3 ) . ' ' . _x( 'sec', 'short for second', 'emergencywp' ); ?></li>
		<?php endif; ?>
		<?php else : ?>
			<li><strong><?php esc_html_e( 'never', 'emergencywp' ) ?></strong>
				(<a href="https://emergencywp.net/" class="external" target="_blank"><?php esc_html_e( 'why?', 'emergencywp' ) ?></a>)
			</li>
		<?php endif; ?>
	</ul>

	<div class="submit-actions">
		<button class="button button-primary" name="cron-save" value="save" type="submit">Save</button>
	</div>

</form>
<script type="text/javascript">

  jQuery(document).ready(function ($) {
    enableCronSettings();
  });

</script>
