<h3><?php echo __('Dashboard', 'emergencywp'); ?></h3>

<div class="dashboard-steps">
    <?php
    $aliveInfo = get_option('emergencyWP_alive_status');
    //to test we setup manually the step value
    ?>
    <ul class="step d-flex flex-nowrap">
        <li class="step-item <?php if ($aliveInfo['jobStatus'] === UserStatus::ALIVE) echo ' active'; ?>">
            <a href="#!" class="">
                <span class="step-label">All well</span>
            </a>
        </li>
        <li class="step-item <?php if ($aliveInfo['jobStatus'] === UserStatus::HOLD_A) echo ' active'; ?>">
            <a href="#!" class="">
                <span class="step-label">Pending confirmation</span>
            </a>
        </li>
        <li class="step-item <?php if ($aliveInfo['jobStatus'] === UserStatus::FINAL_HOLD_A) echo ' active'; ?>">
            <a href="#!" class="">
                <span class="step-label">Last call (urgent)</span>
            </a>
        </li>
        <?php if (is_plugin_active('emergencywp-trustees/emergencywp-trustees.php')) { ?>
            <li class="step-item <?php if ($aliveInfo['jobStatus'] === UserStatus::FINAL_HOLD_B) echo ' active'; ?>">
                <a href="#!" class="">
                    <span class="step-label">Pending trustees confirmation</span>
                </a>
            </li>
            <li class="step-item <?php if ($aliveInfo['jobStatus'] === UserStatus::NO_REACTIONS_A) echo ' active'; ?>">
                <a href="#!" class="">
                    <span class="step-label">Last call for trustees</span>
                </a>
            </li>
            <li class="step-item <?php if ($aliveInfo['jobStatus'] === UserStatus::FINAL_HOLD_C) echo ' active'; ?>">
                <a href="#!" class="">
                    <span class="step-label">Awaiting trustees consensus</span>
                </a>
            </li>
            <li class="step-item <?php if ($aliveInfo['jobStatus'] === UserStatus::HOLD_B) echo ' active'; ?>">
                <a href="#!" class="">
                    <span class="step-label">Final verification after trustees confirmation</span>
                </a>
            </li>
            <li class="step-item <?php if ($aliveInfo['jobStatus'] === UserStatus::FINAL_HOLD_D) echo ' active'; ?>">
                <a href="#!" class="">
                    <span class="step-label">Missing information</span>
                </a>
            </li>
            <li class="step-item <?php if ($aliveInfo['jobStatus'] === UserStatus::UNKNOWN) echo ' active'; ?>">
                <a href="#!" class="">
                    <span class="step-label">Unknown</span>
                </a>
            </li>
        <?php } ?>
        <li class="step-item <?php if ($aliveInfo['jobStatus'] === UserStatus::DEAD) echo ' active'; ?>">
            <a href="#!" class="">
                <span class="step-label">Process finished</span>
            </a>
        </li>
    </ul>
</div>
<div class="dashboard statistics">
    <div class="row column-container">
        <?php
        $dashboardColumns = array(
            array("id" => '1', "default-columns" => array(DashboardWidgets::LIFE_CHECK, DashboardWidgets::LAST_LIFE_CHECK)),
            array("id" => '2', "default-columns" => array(DashboardWidgets::REACTION_TIME_FRAME, DashboardWidgets::NEXT_LIFE_CHECK)),
            array("id" => '3', "default-columns" => array(DashboardWidgets::MESSAGES, DashboardWidgets::CONTACTS, DashboardWidgets::TRUSTEES))
        );

        $dashboardColumnsVisibility = array(
            DashboardWidgets::LIFE_CHECK => 1,
            DashboardWidgets::LAST_LIFE_CHECK => 1,
            DashboardWidgets::REACTION_TIME_FRAME => 1,
            DashboardWidgets::CONTACTS => 1,
            DashboardWidgets::NEXT_LIFE_CHECK => 1,
            DashboardWidgets::MESSAGES => 1,
            DashboardWidgets::TRUSTEES => 1
        );
        if (is_array(get_option('emergencyWP_dashboard_widgets_visibility'))) {
            $dashboardColumnsVisibility = get_option('emergencyWP_dashboard_widgets_visibility');
        }

        $hasTrusteesWidgetInDatabase = false;
        foreach ($dashboardColumns AS $key => $column) {
            $columnWidgets = $column['default-columns'];
            if (is_array(get_option('emergencyWP_dashboard_widgets_column_' . $column['id']))) {
                $columnWidgets = get_option('emergencyWP_dashboard_widgets_column_' . $column['id']);
            }
            $dashboardColumns[$key]['default-columns'] = $columnWidgets;
            if (in_array("ewp-trustees", $columnWidgets)) {
                $hasTrusteesWidgetInDatabase = true;
            }
        }
        if (emergencyWPAdmin::is_wpemergency_trusty_plugin_active() && !$hasTrusteesWidgetInDatabase) {
            array_push($dashboardColumns[2]['default-columns'], DashboardWidgets::TRUSTEES);
        }

        foreach ($dashboardColumns AS $column) {
            echo '<div class="column column-' . esc_attr($column['id']) . '">';

            $columnWidgets = $column['default-columns'];

            foreach ($columnWidgets AS $widgetName) {
                emergencyWPAdmin::renderDashboardWidget($widgetName, $dashboardColumnsVisibility);
            }

            echo '</div>';
        }
        ?>
    </div>
</div>
<div class="clearfix"></div>
<script>
    jQuery(function () {
        jQuery(".column").sortable({
            connectWith: ".column",
            handle: ".header",
            cancel: ".info-box-toggle",
            placeholder: "info-box-placeholder ui-corner-all",
            update: function (event, ui) {
                <?php
                foreach ($dashboardColumns AS $column) {
                    echo 'var dataColumn' . esc_attr($column['id']) . ' = jQuery( ".column-' . esc_attr($column['id']) . '" ) . sortable( "toArray" );';
                }
                ?>
                // POST to server using $.post or $.ajax
                jQuery.ajax({
                    data: {
                        <?php
                        foreach ($dashboardColumns AS $column) {
                            echo '"column-' . esc_attr($column['id']) . '" : dataColumn' . esc_attr($column['id']) . ',';
                        }
                        ?>
                        'action': 'save_ewp_dashboard_widgets'
                    },
                    type: 'POST',
                    url: '/wp-admin/admin-ajax.php'
                });
            }
        });

        jQuery(".info-box")
            .addClass("ui-widget ui-widget-content ui-helper-clearfix ui-corner-all")
            .find(".header")
            .addClass("ui-widget-header ui-corner-all");

        jQuery(".info-box-toggle").on("click", function () {
            var icon = jQuery(this);
            icon.closest(".info-box").find(".content").toggle();

            var visible = 1;
            if (!icon.closest(".info-box").find(".content").is(':visible')) {
                visible = 0
            }
            var id = icon.closest(".info-box").attr("id");

            jQuery.ajax({
                data: {
                    'column': id,
                    'state': visible,
                    'action': 'save_ewp_dashboard_widget_visibility'
                },
                type: 'POST',
                url: '/wp-admin/admin-ajax.php'
            });
        });
    });
</script>

<h3><?php echo __('Available add-ons', 'emergencywp'); ?></h3>
<?php
$trusteesAddOn = new stdClass;
$trusteesAddOn->pluginDir = 'emergencywp-trustees';
$trusteesAddOn->pluginSlug = 'emergencywp-trustees/emergencywp-trustees.php';
$trusteesAddOn->link = 'https://emergencywp.net';
?>
<div class="dashboard addon">
    <div class="line">

        <?php
        $emergencyProAddOn = new stdClass;
        $emergencyProAddOn->pluginDir = 'emergencywp-pro';
        $emergencyProAddOn->pluginSlug = 'emergencywp-pro/emergencywp-pro.php';
        $emergencyProAddOn->link = 'https://emergencywp.net';
        ?>
        <div class="info-box two add-on">
            <div class="header"><?php echo __('EmergencyWP PRO', 'emergencywp'); ?></div>
            <div class="content">
                <div class="icon">
                    <img class="icon"
                         src="<?php echo WP_CONTENT_DIR; ?>/plugins/emergencywp/assets/images/icons8-delivery_conditions.png"
                         width="100" alt="contacts"/>
                </div>
                <div class="text">
                    <div class="title">
                        <h4>
                            <?php echo __('EmergencyWP PRO', 'emergencywp'); ?>
                        </h4>
                    </div>
                    <?php echo __('Get extra life check frequencies, unlimited contacts, confirmation logs and many more features with EmergencyWP Pro.', 'emergencywp'); ?>
                </div>
            </div>
            <?php if (1 == 2 && function_exists('ewpPro_is_licensed') && !ewpPro_is_licensed()) { ?>
                <div class="ewp-delimiter">
                    <hr>
                </div>
                <div class="ewp-licence-form">
                    <?php
                    do_action("emergencyWPPro_licence_form");
                    ?>
                </div>
            <?php } ?>
            <div class="ewp-action-links">
                <?php if (!empty($emergencyProAddOn->pluginDir)) { ?>

                    <?php
                    if (is_dir(WP_PLUGIN_DIR . '/' . $emergencyProAddOn->pluginDir)) { ?>
                        <?php if (is_plugin_active($emergencyProAddOn->pluginSlug)) : ?>
                            <?php if (function_exists('ewpPro_is_licensed') && !ewpPro_is_licensed()) { ?>
                                <span class="status orange"><?php esc_html_e('Plugin active but unlicensed', 'emergencywp'); ?></span>
                                <a class="status"
                                   href="admin.php?page=emergencywp-licences"><?php echo __('Activate license now', 'emergencywp'); ?></a>
                            <?php } else { ?>
                                <span class="status orange"><?php esc_html_e('Plugin active', 'emergencywp'); ?></span>
                            <?php } ?>
                        <?php elseif (is_plugin_inactive($emergencyProAddOn->pluginSlug)) : ?>
                            <a class="button"
                               href="<?php echo wp_nonce_url('plugins.php?action=activate&amp;plugin=' . esc_attr($emergencyProAddOn->pluginSlug), 'activate-plugin_' . esc_attr($emergencyProAddOn->pluginSlug)) ?>"><?php esc_html_e('Activate', 'emergencywp'); ?></a>
                        <?php endif; ?>
                    <?php } else { ?>
                        <a class="button button-primary" target="_blank"
                           href="<?php echo esc_url($emergencyProAddOn->link) ?>">
                            <?php esc_html_e('Get it now', 'emergencywp'); ?>
                        </a>
                    <?php } ?>

                <?php } else { ?>

                    <a class="button button-primary external" target="_blank"
                       href="<?php echo esc_url($emergencyProAddOn->link) ?>"><?php esc_html_e('More Information', 'emergencywp'); ?></a>

                <?php } ?>
            </div>
        </div>
        <div class="info-box two add-on">
            <div class="header"><?php echo __('Trustees Add-On', 'emergencywp'); ?></div>
            <div class="content">
                <div class="icon">
                    <img class="icon"
                         src="<?php echo WP_CONTENT_DIR; ?>/plugins/emergencywp/assets/images/icons8-trustees.png"
                         width="100" alt="contacts"/>
                </div>
                <div class="text">
                    <div class="title">
                        <h4>
                            <?php echo __('Trustees', 'emergencywp'); ?>
                        </h4>
                    </div>
                    <?php echo __('Trustees ensure that your processes won’t run too early. They’ll give feedback if you won’t confirm your life checks any more. They are a security layer for your entire EmergencyWP Installation.', 'emergencywp'); ?>
                </div>
            </div>
            <div class="ewp-action-links">
                <?php
                if (!empty($trusteesAddOn->pluginDir)) : ?>

                    <?php if (is_dir(WP_PLUGIN_DIR . '/' . $trusteesAddOn->pluginDir)) : ?>
                        <?php if (is_plugin_active($trusteesAddOn->pluginSlug)) : ?>
                            <?php if (function_exists('ewpTrustees_is_licensed') && !ewpTrustees_is_licensed()) { ?>
                                <span class="status orange"><?php esc_html_e('Plugin active but unlicensed', 'emergencywp'); ?></span>
                                <a class="status"
                                   href="admin.php?page=emergencywp-licences"><?php echo __('Activate license now', 'emergencywp'); ?></a>
                            <?php } else { ?>
                                <span class="status orange"><?php esc_html_e('Plugin active', 'emergencywp'); ?></span>
                            <?php } ?>
                        <?php elseif (is_plugin_inactive($trusteesAddOn->pluginSlug)) : ?>
                            <a class="button"
                               href="<?php echo wp_nonce_url('plugins.php?action=activate&amp;plugin=' . esc_attr($trusteesAddOn->pluginSlug), 'activate-plugin_' . esc_attr($trusteesAddOn->pluginSlug)) ?>"><?php esc_html_e('Activate', 'emergencywp'); ?></a>
                        <?php endif; ?>
                    <?php else : ?>
                        <a class="button button-primary" target="_blank" href="https://emergencywp.net/">
                            <?php esc_html_e('Get it now', 'emergencywp'); ?>
                        </a>
                    <?php endif; ?>

                <?php else : ?>

                    <a class="button button-primary external" target="_blank"
                       href="<?php echo esc_url($trusteesAddOn->link) ?>"><?php esc_html_e('More Information', 'emergencywp'); ?></a>

                <?php endif; ?>
            </div>
        </div>
        <?php
        $deliveryAddOn = new stdClass;
        $deliveryAddOn->pluginDir = 'emergencywp-delivery-conditions';
        $deliveryAddOn->pluginSlug = 'emergencywp-delivery-conditions/emergencywp-delivery-conditions.php';
        $deliveryAddOn->link = 'https://emergencywp.net';
        ?>
        <div class="info-box two add-on">
            <div class="header"><?php echo __('Delivery Conditions Add-On', 'emergencywp'); ?></div>
            <div class="content">
                <div class="icon">
                    <img class="icon"
                         src="<?php echo WP_CONTENT_DIR; ?>/plugins/emergencywp/assets/images/icons8-delivery_conditions.png"
                         width="100" alt="contacts"/>
                </div>
                <div class="text">
                    <div class="title">
                        <h4>
                            <?php echo __('Delivery Conditions', 'emergencywp'); ?>
                        </h4>
                    </div>
                    <?php echo __('With this add-on, messages and information can be send after a specific date or occasion that you can define (i.e. “18th birthday of my son”)', 'emergencywp'); ?>
                </div>
            </div>
            <div class="ewp-action-links">
                <?php if (!empty($deliveryAddOn->pluginDir)) : ?>

                    <?php if (is_dir(WP_PLUGIN_DIR . '/' . $deliveryAddOn->pluginDir)) : ?>
                        <?php if (is_plugin_active($deliveryAddOn->pluginSlug)) : ?>
                            <?php if (function_exists('ewpDeliveryConditions_is_licensed') && !ewpDeliveryConditions_is_licensed()) { ?>
                                <a class="status"
                                   href="admin.php?page=emergencywp-licences"><?php echo __('Activate license now', 'emergencywp'); ?></a>
                                <span class="status orange"><?php esc_html_e('Plugin active but unlicensed', 'emergencywp'); ?></span>
                            <?php } else { ?>
                                <span class="status orange"><?php esc_html_e('Plugin active', 'emergencywp'); ?></span>
                            <?php } ?>
                        <?php elseif (is_plugin_inactive($deliveryAddOn->pluginSlug)) : ?>
                            <a class="button"
                               href="<?php echo wp_nonce_url('plugins.php?action=activate&amp;plugin=' . esc_attr($deliveryAddOn->pluginSlug), 'activate-plugin_' . esc_attr($deliveryAddOn->pluginSlug)) ?>"><?php esc_html_e('Activate', 'emergencywp'); ?></a>
                        <?php endif; ?>
                    <?php else : ?>
                        <a class="button button-primary" target="_blank" href="https://emergencywp.net/">
                            <?php esc_html_e('Get it now', 'emergencywp'); ?>
                        </a>
                    <?php endif; ?>

                <?php else : ?>

                    <a class="button button-primary external" target="_blank"
                       href="<?php echo esc_url($deliveryAddOn->link) ?>"><?php esc_html_e('More Information', 'emergencywp'); ?></a>

                <?php endif; ?>
            </div>
        </div>
        <?php
        $zapierAddonAvailable = 1;

        $zapierAddOn = new stdClass;
        $zapierAddOn->pluginDir = 'emergencywp-zapier';
        $zapierAddOn->pluginSlug = 'emergencywp-zapier/emergencywp-zapier.php';
        $zapierAddOn->link = 'https://emergencywp.net';
        if ($zapierAddonAvailable == 1) {
            ?>
            <div class="info-box two add-on">
                <div class="header"><?php echo __('Zapier Add-On', 'emergencywp'); ?><span
                            class="dashicons dashicons-arrow-down"></span></div>

                <div class="content">
                    <div class="icon">
                        <img class="icon"
                             src="<?php echo WP_CONTENT_DIR; ?>/plugins/emergencywp/assets/images/icons8-zapier_addon.png"
                             width="80" alt="zapier" style="padding: 22px 15px;"/>
                    </div>
                    <div class="text">
                        <div class="title">
                            <h4>
                                <?php echo __('EmergencyWP Zapier connection', 'emergencywp'); ?>
                            </h4>
                        </div>
                        <?php echo __('Connect EmergencyWP with more than a thousand apps to confirm life checks with habitual actions and run 3rd party processes in case of an emergency.', 'emergencywp'); ?>
                    </div>
                </div>

                <div class="ewp-action-links">
                    <?php
                    if (!empty($zapierAddOn->pluginDir)) : ?>

                        <?php if (is_dir(WP_PLUGIN_DIR . '/' . $zapierAddOn->pluginDir)) : ?>
                            <?php if (is_plugin_active($zapierAddOn->pluginSlug)) : ?>
                                <?php if (function_exists('ewpTrustees_is_licensed') && !ewpTrustees_is_licensed()) { ?>
                                    <span class="status orange"><?php esc_html_e('Plugin active but unlicensed', 'emergencywp'); ?></span>
                                    <a class="status"
                                       href="admin.php?page=emergencywp-licences"><?php echo __('Activate license now', 'emergencywp'); ?></a>
                                <?php } else { ?>
                                    <span class="status orange"><?php esc_html_e('Plugin active', 'emergencywp'); ?></span>
                                <?php } ?>
                            <?php elseif (is_plugin_inactive($zapierAddOn->pluginSlug)) : ?>
                                <a class="button"
                                   href="<?php echo wp_nonce_url('plugins.php?action=activate&amp;plugin=' . esc_attr($zapierAddOn->pluginSlug), 'activate-plugin_' . esc_attr($zapierAddOn->pluginSlug)) ?>"><?php esc_html_e('Activate', 'emergencywp'); ?></a>
                            <?php endif; ?>
                        <?php else : ?>
                            <a class="button button-primary" target="_blank" href="https://emergencywp.net/">
                                <?php esc_html_e('Get it now', 'emergencywp'); ?>
                            </a>
                        <?php endif; ?>

                    <?php else : ?>

                        <a class="button button-primary external" target="_blank"
                           href="<?php echo esc_url($zapierAddOn->link) ?>"><?php esc_html_e('More Information', 'emergencywp'); ?></a>

                    <?php endif; ?>
                </div>
            </div>
        <?php } ?>
        <?php
        $vaultAddonAvailable = 1;

        $vaultAddOn = new stdClass;
        $vaultAddOn->pluginDir = 'emergencywp-vault';
        $vaultAddOn->pluginSlug = 'emergencywp-vault/emergencywp-vault.php';
        $vaultAddOn->link = 'https://emergencywp.net';
        if ($vaultAddonAvailable == 1) {
            ?>
            <div class="info-box two add-on">
                <div class="header"><?php echo __('Vault Add-On', 'emergencywp'); ?><span
                            class="dashicons dashicons-arrow-down"></span></div>

                <div class="content">
                    <div class="icon">
                        <img class="icon"
                             src="<?php echo WP_CONTENT_DIR; ?>/plugins/emergencywp/assets/images/vault_addOn.png"
                             width="80" alt="vault" style="padding: 22px 15px;"/>
                    </div>
                    <div class="text">
                        <div class="title">
                            <h4>
                                <?php echo __('EmergencyWP Vault', 'emergencywp'); ?>
                            </h4>
                        </div>
                        <?php echo __('The Vault can hold secret information from more than 15 categories (and encrypt them securely in your database) to be sent to one or more contacts after an accident or death.', 'emergencywp'); ?>
                    </div>
                </div>

                <div class="ewp-action-links">
                    <?php
                    if (!empty($vaultAddOn->pluginDir)) : ?>

                        <?php if (is_dir(WP_PLUGIN_DIR . '/' . $vaultAddOn->pluginDir)) : ?>
                            <?php if (is_plugin_active($vaultAddOn->pluginSlug)) : ?>
                                <?php if (function_exists('ewpTrustees_is_licensed') && !ewpTrustees_is_licensed()) { ?>
                                    <span class="status orange"><?php esc_html_e('Plugin active but unlicensed', 'emergencywp'); ?></span>
                                    <a class="status"
                                       href="admin.php?page=emergencywp-licences"><?php echo __('Activate license now', 'emergencywp'); ?></a>
                                <?php } else { ?>
                                    <span class="status orange"><?php esc_html_e('Plugin active', 'emergencywp'); ?></span>
                                <?php } ?>
                            <?php elseif (is_plugin_inactive($vaultAddOn->pluginSlug)) : ?>
                                <a class="button"
                                   href="<?php echo wp_nonce_url('plugins.php?action=activate&amp;plugin=' . esc_attr($vaultAddOn->pluginSlug), 'activate-plugin_' . esc_attr($vaultAddOn->pluginSlug)) ?>"><?php esc_html_e('Activate', 'emergencywp'); ?></a>
                            <?php endif; ?>
                        <?php else : ?>
                            <a class="button button-primary" target="_blank" href="https://emergencywp.net/">
                                <?php esc_html_e('Get it now', 'emergencywp'); ?>
                            </a>
                        <?php endif; ?>

                    <?php else : ?>

                        <a class="button button-primary external" target="_blank"
                           href="<?php echo esc_url($vaultAddOn->link) ?>"><?php esc_html_e('More Information', 'emergencywp'); ?></a>

                    <?php endif; ?>
                </div>
            </div>
        <?php } ?>
        <?php
        $password_protection_add_on_done = false;
        if ($password_protection_add_on_done) {
            ?>
            <div class="info-box three">
                <div class="header"><?php echo __('Password Protection Add-On', 'emergencywp'); ?><span
                            class="dashicons dashicons-arrow-down"></span></div>
                <div class="content">
                    <div class="title">
                        <div class="icon">
                            <svg width="32" height="32" viewBox="0 0 32 32" fill="none"
                                 xmlns="http://www.w3.org/2000/svg">
                                <circle cx="15.9999" cy="16" r="16" fill="#DFF1FF"/>
                                <path d="M20.9059 13.976V10.456C20.9059 7.75005 18.7059 5.55005 15.9999 5.55005C13.2939 5.55005 11.0939 7.75005 11.0939 10.456V13.976C9.68593 15.296 8.78394 17.166 8.78394 19.256C8.78394 23.238 12.0179 26.472 15.9999 26.472C19.9819 26.472 23.2159 23.238 23.2159 19.256C23.2159 17.166 22.3139 15.274 20.9059 13.976ZM12.8979 10.456C12.8979 8.74005 14.2839 7.35405 15.9999 7.35405C17.7159 7.35405 19.1019 8.74005 19.1019 10.456V12.744C18.1559 12.304 17.1219 12.04 15.9999 12.04C14.8779 12.04 13.8439 12.304 12.8979 12.744V10.456ZM15.9999 24.646C13.0079 24.646 10.5879 22.226 10.5879 19.234C10.5879 16.242 13.0079 13.822 15.9999 13.822C18.9919 13.822 21.4119 16.242 21.4119 19.234C21.4119 22.226 18.9919 24.646 15.9999 24.646Z"
                                      fill="#008DFA"/>
                                <path d="M17.4519 17.2981L15.4719 19.2781L14.5259 18.3321C14.1739 17.9801 13.6019 17.9801 13.2499 18.3321C12.8979 18.6841 12.8979 19.2561 13.2499 19.6081L14.8119 21.1701C14.9879 21.3461 15.2079 21.4341 15.4499 21.4341C15.6699 21.4341 15.9119 21.3461 16.0879 21.1701L18.7059 18.5521C19.0579 18.2001 19.0579 17.6281 18.7059 17.2761C18.3759 16.9461 17.8039 16.9461 17.4519 17.2981Z"
                                      fill="#008DFA"/>
                            </svg>
                        </div>
                        <h4>
                            <?php echo __('Password Protection', 'emergencywp'); ?>
                        </h4>
                    </div>
                    <div class="text">
                        <?php echo __('Messages and information can be password protected, so recipients need to unlock before reading them.', 'emergencywp'); ?>
                    </div>
                </div>
            </div>
        <?php } ?>
    </div>
    <?php
    $password_protection_add_on_done = false;
    if ($password_protection_add_on_done) {
        ?>
        <div class="line">
            <div class="info-box two">
                <div class="header"><?php echo __('Asset management Add-On', 'emergencywp'); ?><span
                            class="dashicons dashicons-arrow-down"></span></div>
                <div class="content">
                    <div class="title">
                        <div class="icon">
                            <svg width="32" height="32" viewBox="0 0 32 32" fill="none"
                                 xmlns="http://www.w3.org/2000/svg">
                                <circle cx="16" cy="16" r="16" fill="#EDDFED"/>
                                <path fill-rule="evenodd" clip-rule="evenodd"
                                      d="M16 26C14.0222 26 12.0888 25.4135 10.4443 24.3147C8.79978 23.2159 7.51808 21.6541 6.7612 19.8268C6.00433 17.9996 5.8063 15.9889 6.19215 14.0491C6.57801 12.1093 7.53039 10.3274 8.92892 8.92892C10.3274 7.53039 12.1093 6.57801 14.0491 6.19215C15.9889 5.8063 17.9996 6.00433 19.8268 6.7612C21.6541 7.51808 23.2159 8.7998 24.3147 10.4443C25.4135 12.0888 26 14.0222 26 16C26 18.6522 24.9464 21.1957 23.0711 23.0711C21.1957 24.9464 18.6522 26 16 26ZM16 7.66666C14.3518 7.66666 12.7406 8.1554 11.3702 9.07108C9.99981 9.98676 8.93175 11.2882 8.30102 12.811C7.67029 14.3337 7.50523 16.0092 7.82678 17.6257C8.14832 19.2423 8.94202 20.7271 10.1075 21.8926C11.2729 23.058 12.7577 23.8517 14.3742 24.1732C15.9907 24.4948 17.6663 24.3297 19.189 23.699C20.7117 23.0683 22.0132 22.0001 22.9289 20.6297C23.8446 19.2593 24.3333 17.6482 24.3333 16C24.3333 13.7899 23.4553 11.6702 21.8925 10.1074C20.3297 8.54463 18.2101 7.66666 16 7.66666ZM19.3333 20.1667C19.2243 20.1666 19.1164 20.1449 19.0158 20.1029C18.9152 20.0608 18.8239 19.9993 18.7472 19.9218C18.6705 19.8444 18.61 19.7525 18.569 19.6515C18.528 19.5505 18.5073 19.4423 18.5083 19.3333V15.175C18.5083 14.9562 18.5953 14.7464 18.75 14.5916C18.9047 14.4369 19.1145 14.35 19.3333 14.35C19.5521 14.35 19.762 14.4369 19.9167 14.5916C20.0714 14.7464 20.1583 14.9562 20.1583 15.175V19.3333C20.1593 19.4423 20.1387 19.5505 20.0977 19.6515C20.0567 19.7525 19.9961 19.8444 19.9194 19.9218C19.8427 19.9993 19.7515 20.0608 19.6509 20.1029C19.5503 20.1449 19.4423 20.1666 19.3333 20.1667ZM16 20.1667C15.779 20.1667 15.567 20.0789 15.4108 19.9226C15.2545 19.7663 15.1667 19.5543 15.1667 19.3333V12.6667C15.1667 12.4456 15.2545 12.2337 15.4108 12.0774C15.567 11.9211 15.779 11.8333 16 11.8333C16.221 11.8333 16.433 11.9211 16.5892 12.0774C16.7455 12.2337 16.8333 12.4456 16.8333 12.6667V19.3333C16.8333 19.5543 16.7455 19.7663 16.5892 19.9226C16.433 20.0789 16.221 20.1667 16 20.1667ZM12.6667 20.1667C12.5576 20.1666 12.4497 20.1449 12.3491 20.1029C12.2485 20.0608 12.1573 19.9993 12.0806 19.9218C12.0039 19.8444 11.9433 19.7525 11.9023 19.6515C11.8613 19.5505 11.8407 19.4423 11.8417 19.3333V16.8425C11.8417 16.6237 11.9286 16.4139 12.0833 16.2591C12.238 16.1044 12.4479 16.0175 12.6667 16.0175C12.8855 16.0175 13.0953 16.1044 13.25 16.2591C13.4047 16.4139 13.4917 16.6237 13.4917 16.8425V19.3333C13.4926 19.4423 13.472 19.5505 13.431 19.6515C13.39 19.7525 13.3294 19.8444 13.2528 19.9218C13.1761 19.9993 13.0848 20.0608 12.9842 20.1029C12.8836 20.1449 12.7757 20.1666 12.6667 20.1667Z"
                                      fill="#6D0B6F"/>
                            </svg>
                        </div>
                        <h4>
                            <?php echo __('Asset Management', 'emergencywp'); ?>
                        </h4>
                    </div>
                    <div class="text">
                        <?php echo __('Organize your licenses, codes  in one place and define who will get access to them once you can’t use them anymore. You can even put a price tag to it, so your relatives can still benefit from it! EmergencyWP will work as an intermediary to handle the transfer.', 'emergencywp'); ?>
                    </div>
                </div>
            </div>
            <div class="info-box two">
                <div class="header"><?php echo __('Zapier Add-On', 'emergencywp'); ?><span
                            class="dashicons dashicons-arrow-down"></span></div>
                <div class="content">
                    <div class="title">
                        <div class="icon">
                            <svg width="32" height="32" viewBox="0 0 32 32" fill="none"
                                 xmlns="http://www.w3.org/2000/svg">
                                <circle cx="16" cy="16" r="16" fill="#FFD8E1"/>
                                <path fill-rule="evenodd" clip-rule="evenodd"
                                      d="M16 26C14.0222 26 12.0888 25.4135 10.4443 24.3147C8.79978 23.2159 7.51808 21.6541 6.7612 19.8268C6.00433 17.9996 5.8063 15.9889 6.19215 14.0491C6.57801 12.1093 7.53039 10.3274 8.92892 8.92892C10.3274 7.53039 12.1093 6.57801 14.0491 6.19215C15.9889 5.8063 17.9996 6.00433 19.8268 6.7612C21.6541 7.51808 23.2159 8.7998 24.3147 10.4443C25.4135 12.0888 26 14.0222 26 16C26 18.6522 24.9464 21.1957 23.0711 23.0711C21.1957 24.9464 18.6522 26 16 26ZM16 7.66666C14.3518 7.66666 12.7406 8.1554 11.3702 9.07108C9.99981 9.98676 8.93175 11.2882 8.30102 12.811C7.67029 14.3337 7.50523 16.0092 7.82678 17.6257C8.14832 19.2423 8.94202 20.7271 10.1075 21.8926C11.2729 23.058 12.7577 23.8517 14.3742 24.1732C15.9907 24.4948 17.6663 24.3297 19.189 23.699C20.7117 23.0683 22.0132 22.0001 22.9289 20.6297C23.8446 19.2593 24.3333 17.6482 24.3333 16C24.3333 13.7899 23.4553 11.6702 21.8925 10.1074C20.3297 8.54463 18.2101 7.66666 16 7.66666ZM19.3333 20.1667C19.2243 20.1666 19.1164 20.1449 19.0158 20.1029C18.9152 20.0608 18.8239 19.9993 18.7472 19.9218C18.6705 19.8444 18.61 19.7525 18.569 19.6515C18.528 19.5505 18.5073 19.4423 18.5083 19.3333V15.175C18.5083 14.9562 18.5953 14.7464 18.75 14.5916C18.9047 14.4369 19.1145 14.35 19.3333 14.35C19.5521 14.35 19.762 14.4369 19.9167 14.5916C20.0714 14.7464 20.1583 14.9562 20.1583 15.175V19.3333C20.1593 19.4423 20.1387 19.5505 20.0977 19.6515C20.0567 19.7525 19.9961 19.8444 19.9194 19.9218C19.8427 19.9993 19.7515 20.0608 19.6509 20.1029C19.5503 20.1449 19.4423 20.1666 19.3333 20.1667ZM16 20.1667C15.779 20.1667 15.567 20.0789 15.4108 19.9226C15.2545 19.7663 15.1667 19.5543 15.1667 19.3333V12.6667C15.1667 12.4456 15.2545 12.2337 15.4108 12.0774C15.567 11.9211 15.779 11.8333 16 11.8333C16.221 11.8333 16.433 11.9211 16.5892 12.0774C16.7455 12.2337 16.8333 12.4456 16.8333 12.6667V19.3333C16.8333 19.5543 16.7455 19.7663 16.5892 19.9226C16.433 20.0789 16.221 20.1667 16 20.1667ZM12.6667 20.1667C12.5576 20.1666 12.4497 20.1449 12.3491 20.1029C12.2485 20.0608 12.1573 19.9993 12.0806 19.9218C12.0039 19.8444 11.9433 19.7525 11.9023 19.6515C11.8613 19.5505 11.8407 19.4423 11.8417 19.3333V16.8425C11.8417 16.6237 11.9286 16.4139 12.0833 16.2591C12.238 16.1044 12.4479 16.0175 12.6667 16.0175C12.8855 16.0175 13.0953 16.1044 13.25 16.2591C13.4047 16.4139 13.4917 16.6237 13.4917 16.8425V19.3333C13.4926 19.4423 13.472 19.5505 13.431 19.6515C13.39 19.7525 13.3294 19.8444 13.2528 19.9218C13.1761 19.9993 13.0848 20.0608 12.9842 20.1029C12.8836 20.1449 12.7757 20.1666 12.6667 20.1667Z"
                                      fill="#EF416B"/>
                            </svg>
                        </div>
                        <h4>
                            <?php echo __('Zapier Connection', 'emergencywp'); ?>
                        </h4>
                    </div>
                    <div class="text">
                        <?php echo __('Connect EmergencyWP to more than a thousand other apps to run processes after an emergency is being detected. For example publish a facebook post or even send a text message to someone’s mobile phone.', 'emergencywp'); ?>
                    </div>
                </div>
            </div>
        </div>
    <?php } ?>
</div>
<?php


/**
 * Created by PhpStorm.
 * User: ionut
 * Date: 07/08/2019
 * Time: 08:47
 */