<?php
$aliveInfo = get_option('emergencyWP_alive_status');
$jobSettings = emergencyWPJobController::getJobSettings();
?>
<h3><?php echo __('Debug-Info', 'emergencywp'); ?></h3>
<!-- alive -->
<div class="debugContainer<?php if ($aliveInfo['jobStatus'] ===  UserStatus::ALIVE) echo ' activeJob'; ?>">
    <header><?php echo __('Alive (All well)', 'emergencywp'); ?></header>
    <section class="settingDesc">
        <?php echo __('
Mandator has returned or logged in within the specified time period.', 'emergencywp'); ?>
    </section>
    <section class="additionInformations">
        <?php
        $lastFeedback = __('not set!', 'emergencywp');
        if (strlen($aliveInfo['lastFeedback'])) $lastFeedback = ewp_systemDate($aliveInfo['lastFeedback'], 1);
        ?>
        <span class="label"><?php echo __('Last Mandator Response: ', 'emergencywp'); ?></span><span
                class="labelContent"><?php echo $lastFeedback; ?></span><br/>
    </section>
    <section class="resetAliveStatus">
        <button type="button" class="button button-warning btn btn-warning"
                id="resetAliveStatus"><?php echo __('Reset to alive status', 'emergencywp'); ?></button>
    </section>
    <!-- Modal -->
    <div class="modal ewp-modal fade" id="resetAliveStatusModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content ewp-modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span
                                aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                    <h4 class="modal-title"
                        id="myModalLabel"><?php echo @__('Reset Alive Status ', 'emergencywp'); ?></h4>
                </div>
                <div class="modal-body">
                    <?php echo @__('You are about to reset the life status, <br /> This means that the current workflow will be terminated and the status \'Alive\' will be set. <br /> <br /> Are you sure you want to do this? ', 'emergencywp'); ?>
                </div>
                <div class="modal-footer">
                    <a class="button" href="#close-modal" rel="modal:close"><?php echo @__('Abort ', 'emergencywp'); ?></a>
                    <button type="button" class="button button-primary" id="reset-aliveStatus-confirmed"
                            data-blog-id="<?php echo $blogID; ?>"><?php echo @__('
Yes, reset status ', 'emergencywp'); ?></button>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- holdA | live_status_holdA_noFeedbackTime -->
<div class="debugContainer<?php if( $aliveInfo['jobStatus'] === 'holdA') echo ' activeJob'; ?>">
    <header><?php echo __('Hold A (= Pending)', 'emergencywp'); ?></header>
    <section class="settingDesc">
        <?php echo __('System sends verification e-mail when the client does not report back to the specified period<br /><br />Verification periode: ', 'emergencywp'); ?>
    </section>
    <section class="settingInputArea">
        <input type="text" name="live_status_holdA_noFeedbackTime" value="<?php echo ewp_settingtimesToDays($jobSettings['live_status_holdA_noFeedbackTime']); ?>" disabled />
        <span class="inputHelp"><?php echo __('Hold A Help', 'emergencywp'); ?></span>
    </section>
    <section class="additionInformations">
        <?php
        $systemEmailSend = __('not send yet', 'emergencywp');
        $mandatorFeedbackExpires = date('Y-m-d H:i:s', ( ewp_mysqlDate2timestamp($aliveInfo['lastFeedback'], 1) + $jobSettings['live_status_holdA_noFeedbackTime'] ));
        $lapsOfTime = ewp_systemDate($mandatorFeedbackExpires, 1);
        if( strlen($aliveInfo['jobEmails']['holdA']) ) $systemEmailSend = ewp_systemDate(date('Y-m-d H:i:s', $aliveInfo['jobEmails']['holdA']), 1); //date('d.m.Y H:i:s', utcTimestampToSystemTimestamp($aliveInfo['jobEmails']['holdA']));
        ?>
        <span class="label"><?php echo __('Mandator feedback period expires: ', 'emergencywp'); ?></span><span class="labelContent"><?php echo $lapsOfTime; ?></span><br />
        <span class="label"><?php echo __('System Email send: ', 'emergencywp'); ?></span><span class="labelContent"><?php echo $systemEmailSend; ?></span>
    </section>
</div>

<!-- finalHoldA | live_status_finalHoldA_reminderTime -->
<div class="debugContainer<?php if ($aliveInfo['jobStatus'] ===  UserStatus::FINAL_HOLD_A) echo ' activeJob'; ?>">
    <header><?php echo __('Final Hold A (= Last call (urgent))', 'emergencywp'); ?></header>
    <section class="settingDesc">
        <?php echo __('System sends reminder email for verification if the client does not report back to the specified period<br /><br />Reminder periode: ', 'emergencywp'); ?>
    </section>
    <section class="settingInputArea">
        <input type="text" name="live_status_finalHoldA_reminderTime"
               value="<?php echo ewp_settingtimesToDays($jobSettings['live_status_finalHoldA_reminderTime']); ?>" disabled/>
        <span class="inputHelp"><?php echo __('Final Hold A Help', 'emergencywp'); ?></span>
    </section>
    <section class="additionInformations">
        <?php
        $reminderSendTimeExpires = ($mandatorFeedbackExpires + $jobSettings['live_status_finalHoldA_reminderTime']);
        $reminderSendTime = __('not send yet', 'emergencywp');//date( 'd.m.Y H:i:s', utcTimestampToSystemTimestamp($reminderSendTimeExpires) );
        $systemEmailSend = __('not send yet', 'emergencywp');

        if (strlen($aliveInfo['jobEmails']['holdA'])) {
            $reminderSendTimeExpires = ($aliveInfo['jobEmails']['holdA'] + $jobSettings['live_status_finalHoldA_reminderTime']);
            $reminderSendTime = date('d.m.Y H:i:s', ewp_utcTimestampToSystemTimestamp($reminderSendTimeExpires));
        }
        if (strlen($aliveInfo['jobEmails']['finalHoldA'])) $systemEmailSend = date('d.m.Y H:i:s', ewp_utcTimestampToSystemTimestamp($aliveInfo['jobEmails']['finalHoldA']));
        ?>
        <span class="label"><?php echo __('Reminder period expires:  ', 'emergencywp'); ?></span><span
                class="labelContent"><?php echo $reminderSendTime; ?></span><br/>
        <span class="label"><?php echo __('System Email send:  ', 'emergencywp'); ?></span><span
                class="labelContent"><?php echo $systemEmailSend; ?></span>
    </section>
</div>

<?php if (emergencyWPAdmin::is_wpemergency_trusty_plugin_active()) { ?>
    <!-- finalHoldB | live_status_finalHoldB_reactionTimeTrustees-->
    <div class="debugContainer<?php if ($aliveInfo['jobStatus'] ===  UserStatus::FINAL_HOLD_B) echo ' activeJob'; ?>">
        <header><?php echo __('Final Hold B ', 'emergencywp'); ?></header>
        <section class="settingDesc">
            <?php echo __('System sends email to trustees for response the livestatus of mandator, after mandator feedback period expires. ', 'emergencywp'); ?>
        </section>
        <section class="additionInformations">
            <?php
            $mandatorFeedbackTimeExpires = ($reminderSendTimeExpires + $jobSettings['live_status_finalHoldA_reminderTime']);
            $mandatorFeedbackTime = date('d.m.Y H:i:s', ewp_utcTimestampToSystemTimestamp($mandatorFeedbackTimeExpires));
            $systemTrusteesEmailSend = __('not send yet ', 'emergencywp');
            if (strlen($aliveInfo['jobEmails']['finalHoldA'])) {
                $mandatorFeedbackTimeExpires = ($aliveInfo['jobEmails']['finalHoldA'] + $jobSettings['live_status_finalHoldA_reminderTime']);
                $mandatorFeedbackTime = date('d.m.Y H:i:s', ewp_utcTimestampToSystemTimestamp($mandatorFeedbackTimeExpires));
            }
            if (strlen($aliveInfo['jobEmails']['finalHoldB'])) $systemTrusteesEmailSend = date('d.m.Y H:i:s', ewp_utcTimestampToSystemTimestamp($aliveInfo['jobEmails']['finalHoldB']));
            ?>
            <span class="label"><?php echo __('Mandator feedback period expires:  ', 'emergencywp'); ?></span><span
                    class="labelContent"><?php echo $mandatorFeedbackTime; ?></span><br/>
            <span class="label"><?php echo __('System emails to Trustees send:  ', 'emergencywp'); ?></span><span
                    class="labelContent"><?php echo $systemTrusteesEmailSend; ?></span>
            <?php if(isset($aliveInfo['jobEmails']['emergency_email'])){
                $systemTrusteesEmailSend = date('d.m.Y H:i:s', ewp_utcTimestampToSystemTimestamp($aliveInfo['jobEmails']['emergency_email'])); ?>
                <br/> <span class="label"><?php echo __('External Trigger:  ', 'emergencywp'); ?></span><span
                    class="labelContent"><?php echo $systemTrusteesEmailSend; ?></span>
            <?php } ?>
        </section>
        <br class="clear"/>
        <section class="settingDesc">
            <?php echo __('Trusty confirm period (alive/death) ', 'emergencywp'); ?>
        </section>
        <section class="settingInputArea">
            <input type="text" name="live_status_finalHoldB_reactionTimeTrustees"
                   value="<?php echo ewp_settingtimesToDays($jobSettings['live_status_finalHoldB_reactionTimeTrustees']); ?>"
                   disabled/>
            <span class="inputHelp"><?php echo __('Final Hold B Reaction Time Help ', 'emergencywp'); ?></span>
        </section>
        <section class="additionInformations">
            <?php
            $trustyFeedbackTimeExpires = ($mandatorFeedbackTimeExpires + $jobSettings['live_status_finalHoldB_reactionTimeTrustees']);
            $trustyFeedbackTime = date('d.m.Y H:i:s', ewp_utcTimestampToSystemTimestamp($trustyFeedbackTimeExpires));
            if (strlen($aliveInfo['jobEmails']['finalHoldB'])) {
                $trustyFeedbackTimeExpires = ($aliveInfo['jobEmails']['finalHoldB'] + $jobSettings['live_status_finalHoldB_reactionTimeTrustees']);
                $trustyFeedbackTime = date('d.m.Y H:i:s', ewp_utcTimestampToSystemTimestamp($trustyFeedbackTimeExpires));
            }
            ?>
            <span class="label"><?php echo __('Trusty confirm period expires:  ', 'emergencywp'); ?></span><span
                    class="labelContent"><?php echo $trustyFeedbackTime; ?></span><br/>
        </section>
    </div>

    <!-- NO REACTION A | live_status_noReactionsA_reactionTimeTrustees -->
    <div class="debugContainer<?php if ($aliveInfo['jobStatus'] ===  UserStatus::NO_REACTIONS_A) echo ' activeJob'; ?>">
        <?php
        $trustyFeedbackAlive = count($aliveInfo['trustyFeedback']['finalHoldB']['alive']);
        $trustyFeedbackDead = count($aliveInfo['trustyFeedback']['finalHoldB']['dead']);
        $trustyFeedbackAll = ($trustyFeedbackAlive + $trustyFeedbackDead);
        $neededFeedbackClass = "jobNeededTrustyFeedbackSuccess";
        if ($jobSettings['live_status_finalHoldB_minResponseTrustees'] > $trustyFeedbackAlive or $jobSettings['live_status_finalHoldB_minResponseTrustees'] > $trustyFeedbackDead) $neededFeedbackClass = "jobNeededTrustyFeedbackFailed";
        $trustyReminderFeedbackTimeExpires = __('not send yet ', 'emergencywp');
        if (strlen($aliveInfo['jobEmails']['noReactionsA']) > 0) $trustyReminderFeedbackTimeExpires = date('d.m.Y H:i:s', (ewp_utcTimestampToSystemTimestamp($aliveInfo['jobEmails']['noReactionsA']) + $jobSettings['live_status_noReactionsA_reactionTimeTrustees']));
        ?>
        <header><?php echo __('No Reaction A ', 'emergencywp'); ?></header>
        <section class="settingDesc">
            <?php echo sprintf(__('System sends \'Alive Status\' emails to the trustees if none of the trustees have responded and / or the mandator has not logged in to the% s (Mandator confirm period expires). ', 'emergencywp'), $mandatorFeedbackTime); ?>
        </section>

        <section class="settingDesc">
            <?php echo sprintf(__('
System will send reminder emails to trustees if none of the trustees has returned to% s (Trusty confirm period expires). ', 'emergencywp'), $trustyFeedbackTime); ?>
        </section>
        <section class="settingInputArea">
            <input type="text" name="live_status_noReactionsA_reactionTimeTrustees"
                   value="<?php echo ewp_settingtimesToDays($jobSettings['live_status_noReactionsA_reactionTimeTrustees']); ?>"
                   disabled/>
            <span class="inputHelp"><?php echo __('No Reactions A Reminder Time Help ', 'emergencywp'); ?></span>
        </section>
        <section class="additionInformations">
            <?php
            $trustyFeedbackAlive = count($aliveInfo['trustyFeedback']['noReactionsA']['alive']);
            $trustyFeedbackDead = count($aliveInfo['trustyFeedback']['noReactionsA']['dead']);
            $trustyFeedbackAll = ($trustyFeedbackAlive + $trustyFeedbackDead);
            $trustyReminderFeedbackSend = __('not send yet ', 'emergencywp');
            if (strlen($aliveInfo['jobEmails']['noReactionsA']) > 0) $trustyReminderFeedbackSend = date('d.m.Y H:i:s', ewp_utcTimestampToSystemTimestamp($aliveInfo['jobEmails']['noReactionsA']));
            ?>
            <span class="label"><?php echo __('Trusty confirm reminder send: ', 'emergencywp'); ?></span><span
                    class="labelContent"><?php echo $trustyReminderFeedbackSend; ?></span><br/>
            <span class="label"><?php echo __('Trusty confirm reminder expires:  ', 'emergencywp'); ?></span><span
                    class="labelContent"><?php echo $trustyReminderFeedbackTimeExpires; ?></span><br/>
            <span class="label"><?php echo __('Trustees with reminder feedback:  ', 'emergencywp'); ?></span><span
                    class="labelContent"><?php echo sprintf(__('alive: %d | dead: %d | all: %d ', 'emergencywp'), $trustyFeedbackAlive, $trustyFeedbackDead, $trustyFeedbackAll); ?></span><br/>
        </section>
        <br class="clear"/>
    </div>

    <!-- NO REACTION B | live_status_noReactionsB_sendMessages -->
    <div class="debugContainer<?php if ($aliveInfo['jobStatus'] ===  UserStatus::NO_REACTIONS_B) echo ' activeJob'; ?>">
        <header><?php echo __('No Reaction B ', 'emergencywp'); ?></header>
        <section class="settingDesc">
            <?php echo sprintf(__('None of the trustees reported on the Reminder email (JobStatus: noReactionA). Please specify here how to proceed further. <br /> <br /> Should the emails deposited by Mandator be sent or should the job status be set to \'unknown\' and the emails not be sent? ', 'emergencywp'), $mandatorFeedbackTime); ?>
        </section>
        <br class="clear"/>
        <section class="settingDesc">
            <?php echo __('Sending E-mails:', 'emergencywp'); ?>
        </section>
        <section class="settingInputArea">
            <input type="checkbox" name="live_status_noReactionsB_sendMessages"
                   value="1" <?php if ($jobSettings['live_status_noReactionsB_sendMessages'] == 1) echo 'checked="checked"'; ?> /><br/>
            <span class="smallText"><?php echo __('(or set status to \'unknown\' and no emails will be sent!)', 'emergencywp'); ?></span>
        </section>
    </div>

    <!-- FinalHold C -->
    <div class="debugContainer<?php if ($aliveInfo['jobStatus'] ===  UserStatus::FINAL_HOLD_C) echo ' activeJob'; ?>">
        <header><?php echo __('Final Hold C', 'emergencywp'); ?></header>
        <section class="settingDesc">
            <?php
            //$cylePeriode = ( Config::$jobFinalHoldCMandatorResponseTime / 86400 );
            $cylePeriode = ewp_settingtimesToDays(emergencyWPConfig::$jobFinalHoldCMandatorResponseTime);
            echo sprintf(__('If the trustees give different feedback (on \'Final Hold B\' or \'no Reaction A\'), the conflict management becomes active (Final Hold C). <br /> <br /> All trustees who have returned will receive one further e-mail. In this e-mail, you will be notified that there has been a conflict in the feedback <br /> and now the mandator is contacted again. If the mandator has not reported within% s, all trustees will receive an email again to confirm <br /> the life status of the mandator. <br /> For the response, the trustees have% s time again. <Br /> <br /> This cycle repeats in case of discrepancies up to a maximum of% s times. Then the life status is set to \'unknown\'.', 'emergencywp'), $cylePeriode, $cylePeriode, emergencyWPConfig::$jobFinalHoldCMaxRepeat);
            ?>
            Wird nur angezeigt im Debug Modus
        </section>
        <section class="additionInformations">
            <?php
            $finalHoldCtrusteesSends = __('not send yet', 'emergencywp');
            if (strlen($aliveInfo['jobEmails']['finalHoldCTrusteesInfo']) > 0) $finalHoldCtrusteesSends = date('d.m.Y H:i:s', ewp_utcTimestampToSystemTimestamp($aliveInfo['jobEmails']['finalHoldCTrusteesInfo']));
            $finalHoldCsends = __('not send yet', 'emergencywp');
            if (strlen($aliveInfo['jobEmails']['finalHoldCMandator']) > 0) $finalHoldCsends = date('d.m.Y H:i:s', ewp_utcTimestampToSystemTimestamp($aliveInfo['jobEmails']['finalHoldCMandator']));
            $finalHoldCresponseExpires = __('not send yet', 'emergencywp');
            if (strlen($aliveInfo['jobEmails']['finalHoldCMandator']) > 0) $finalHoldCresponseExpires = date('d.m.Y H:i:s', (ewp_utcTimestampToSystemTimestamp($aliveInfo['jobEmails']['finalHoldCMandator']) + emergencyWPConfig::$jobFinalHoldCMandatorResponseTime));
            $confirmTrusteesSend = __('not send yet', 'emergencywp');
            if (strlen($aliveInfo['jobEmails']['finalHoldCTrusteesConfirm']) > 0) $confirmTrusteesSend = date('d.m.Y H:i:s', ewp_utcTimestampToSystemTimestamp($aliveInfo['jobEmails']['finalHoldCTrusteesConfirm']));
            $confirmTrusteesExpires = __('not send yet', 'emergencywp');
            if (strlen($aliveInfo['jobEmails']['finalHoldCTrusteesConfirm']) > 0) $confirmTrusteesExpires = date('d.m.Y H:i:s', (ewp_utcTimestampToSystemTimestamp($aliveInfo['jobEmails']['finalHoldCTrusteesConfirm']) + emergencyWPConfig::$jobFinalHoldCMandatorResponseTime));

            ?>
            <span class="label"><?php echo __('Trustees information email sends:  ', 'emergencywp'); ?></span><span
                    class="labelContent"><?php echo $finalHoldCtrusteesSends; ?></span><br/>
            <span class="label"><?php echo __('Mandator Feedback sends:  ', 'emergencywp'); ?></span><span
                    class="labelContent"><?php echo $finalHoldCsends; ?></span><br/>
            <span class="label"><?php echo __('Mandator Feedback expires:  ', 'emergencywp'); ?></span><span
                    class="labelContent"><?php echo $finalHoldCresponseExpires; ?></span><br/>
            <span class="label"><?php echo __('Trusty confirmation sends:  ', 'emergencywp'); ?></span><span
                    class="labelContent"><?php echo $confirmTrusteesSend; ?></span><br/>
            <span class="label"><?php echo __('Trusty confirmation expires:  ', 'emergencywp'); ?></span><span
                    class="labelContent"><?php echo $confirmTrusteesExpires; ?></span><br/><br/>
            <span class="label"><?php echo __('Final Hold C Iteration:  ', 'emergencywp'); ?></span><span
                    class="labelContent"><?php echo $aliveInfo['trustyFeedback']['finalHoldC']['iteration']; ?></span><br/><br/>
        </section>
        <br class="clear"/>
    </div>

    <!-- Hold B | live_status_holdB_time_periode -->
    <div class="debugContainer<?php if ($aliveInfo['jobStatus'] ===  UserStatus::HOLD_B) echo ' activeJob'; ?>">
        <header><?php echo __('Hold B', 'emergencywp'); ?></header>
        <section class="settingDesc">
            <?php
            echo __('System sends verification e-mail to mandator to report back his alive status<br /><br />Verification periode: ', 'emergencywp');
            ?>
        </section>
        Option hinzufügen . Auswahl ob Mandator noch einmal abgefragt werden soll. Standrd Nein.<br/>
        Wenn ja, dann Angabe der Reaktionzeit
        <section class="settingInputArea">
            <input type="text" name="live_status_holdB_time_periode"
                   value="<?php echo ewp_settingtimesToDays($jobSettings['live_status_holdB_time_periode']); ?>" disabled/>
            <span class="inputHelp"><?php echo __('Hold B Help', 'emergencywp'); ?></span>
        </section>
        <section class="additionInformations">
            <?php
            $systemEmailSend = __('not send yet', 'emergencywp');
            $systemEmailExpires = __('not send yet', 'emergencywp');
            if (strlen($aliveInfo['jobEmails']['holdB'])) {
                $systemEmailSend = date('d.m.Y H:i:s', ewp_utcTimestampToSystemTimestamp($aliveInfo['jobEmails']['holdB']));
                $systemEmailExpires = date('d.m.Y H:i:s', ewp_utcTimestampToSystemTimestamp($aliveInfo['jobEmails']['holdB']) + $jobSettings['live_status_holdB_time_periode']);
            }
            ?>
            <span class="label"><?php echo __('System Email send: ', 'emergencywp'); ?></span><span
                    class="labelContent"><?php echo $systemEmailSend; ?></span><br/>
            <span class="label"><?php echo __('Mandator confirm period expires: ', 'emergencywp'); ?></span><span
                    class="labelContent"><?php echo $systemEmailExpires; ?></span>
        </section>
    </div>

    <!-- Final Hold D | live_status_finalHoldD_response_periode -->
    <div class="debugContainer<?php if ($aliveInfo['jobStatus'] ===  UserStatus::FINAL_HOLD_D) echo ' activeJob'; ?>">
        <header><?php echo __('Final Hold D', 'emergencywp'); ?></header>
        <section class="settingDesc">
            <?php
            echo __('Life status is \'deadIncomplete\'. <br /> This means that not all Trustees have returned. However, the trustees who reported back have reported the dead status back. <br /> The mandator has been emailed, but unfortunately has not returned by the appointed time. <br /> Now everyone will be back Trustees who have not yet reported back, emailed and asked to report the life status of the mandator back.', 'emergencywp');
            ?>
            Verwende hier die Reaktionszeit von FinalHoldB
        </section>
        <section class="settingInputArea">
            <input type="text" name="live_status_finalHoldD_response_periode"
                   value="<?php echo ewp_settingtimesToDays($jobSettings['live_status_finalHoldD_response_periode']); ?>"
                   disabled/>
            <span class="inputHelp"><?php echo __('Final Hold D Help ', 'emergencywp'); ?></span>
        </section>
        <section class="additionInformations">
            <?php
            $finalHoldDTrusteesEmailSend = __('not send yet ', 'emergencywp');
            $finalHoldDTrusteesEmailExpires = __('not send yet ', 'emergencywp');
            if (strlen($aliveInfo['jobEmails']['finalHoldD'])) {
                $finalHoldDTrusteesEmailSend = date('d.m.Y H:i:s', ewp_utcTimestampToSystemTimestamp($aliveInfo['jobEmails']['finalHoldD']));
                $finalHoldDTrusteesEmailExpires = date('d.m.Y H:i:s', ewp_utcTimestampToSystemTimestamp($aliveInfo['jobEmails']['finalHoldD']) + $jobSettings['live_status_finalHoldD_response_periode']);
            }
            ?>
            <span class="label"><?php echo __('Trustees confirm email send:  ', 'emergencywp'); ?></span><span
                    class="labelContent"><?php echo $finalHoldDTrusteesEmailSend; ?></span><br/>
            <span class="label"><?php echo __('Trusty responsetime expires ', 'emergencywp'); ?></span><span
                    class="labelContent"><?php echo $finalHoldDTrusteesEmailExpires; ?></span>
        </section>
    </div>

    <!-- unknown -->
    <div class="debugContainer<?php if ($aliveInfo['jobStatus'] ===  UserStatus::UNKNOWN) echo ' activeJob'; ?>">
        <header><?php echo __('Unknown', 'emergencywp'); ?></header>
        <section class="settingDesc">
            <?php
            echo __('No further jobs will be executed. The process is at rest until the mandator answers. Under no circumstances will the \'death\' emails be sent!', 'emergencywp');
            ?>
        </section>
    </div>
<?php } ?>

<!-- Dead -->
<div class="debugContainer<?php if ($aliveInfo['jobStatus'] ===  UserStatus::DEAD) echo ' activeJob'; ?>">
    <header><?php echo __('Process finished (= Dead)', 'emergencywp'); ?></header>
    <section class="settingDesc">
        <?php
        echo __('The job workflow is now finished. All stored messages will be sent to the respective addressee. <br /> At this point, one could list a list of messages with the recipient and the time of sending. <br /> It only raises the questions as to whether this makes sense (except for testing) makes. The mandator would not be alive in this case and therefore could no longer see this list.', 'emergencywp');
        ?>
    </section>
    <section class="additionInformations">
        <?php
        $deadStatusSet = __('not set yet! ', 'emergencywp');
        $deadMessagesSend = __('not send yet! ', 'emergencywp');
        if (strlen($aliveInfo['jobEmails']['dead'])) $deadStatusSet = date('d.m.Y H:i:s', ewp_utcTimestampToSystemTimestamp($aliveInfo['jobEmails']['dead']));
        if (strlen($aliveInfo['jobEmails']['messages'])) $deadMessagesSend = date('d.m.Y H:i:s', ewp_utcTimestampToSystemTimestamp($aliveInfo['jobEmails']['messages']));
        ?>
        <span class="label"><?php echo __('Status Dead has been set: ', 'emergencywp'); ?></span><span
                class="labelContent"><?php echo $deadStatusSet; ?></span><br/>
        <span class="label"><?php echo __('Messages send:  ', 'emergencywp'); ?></span><span
                class="labelContent"><?php echo $deadMessagesSend; ?></span>
    </section>
</div>