<?php
/**
 *    HTML OUTPUT
 */
?>

    <!-- start accordions -->
    <div class="panel-group" id="accordion">
    <h3><?php echo __('Email Log', 'emergencywp'); ?></h3>
    <?php
    $pagingLimit = 50;
    if(isset($_POST['posts_per_page'])){
        $pagingLimit = sanitize_text_field($_POST['posts_per_page']);
    }
    ?>
    <?php
    echo '<div class="panel">';

    $pagepath = "admin.php?page=emergencywp&subpage=email-log";
    $args = array(
        'posts_per_page' => $pagingLimit,
        'offset' => 0,
        'post_type' => 'emergencywp_email',
        'orderby' => 'ID', 'order' => 'DESC'
    );
    $emailLogs = new WP_Query($args);
    $wordingCustomPostStatus = emergencyWPAdmin::loadTranslationWording('customPostStatus', 'StatusDescriptions');
    ?>
    <form id="emergencywp_email_log-paging-form" method="post"
          action="<?php echo esc_url(get_admin_url() . $pagepath); ?>"
          method="post" autocomplete="off">

        <select name="posts_per_page">
            <option value="50" <?php selected("50" == $pagingLimit);?> >50</option>
            <option value="100" <?php selected("100" == $pagingLimit);?> >100</option>
            <option value="150" <?php selected("150" == $pagingLimit);?> >150</option>
            <option value="250" <?php selected("250" == $pagingLimit);?> >250</option>
            <option value="500" <?php selected("500" == $pagingLimit);?> >500</option>
        </select>

        <button class="button button-primary" name="settings-email-log-paging-save" value="save"
                type="submit"><?php echo __('Show', 'emergencywp'); ?></button>
    </form>
    <div class="table-responsive">
        <table class="table ewp-logs-table">
            <thead>
            <tr>
                <th># Email-ID</th>
                <th>recipient</th>
                <th>email</th>
                <th>date</th>
                <th>subject</th>
                <th>Email Template</th>
                <th>action</th>
            </tr>
            </thead>

            <?php
            if (!count($emailLogs->posts)){
                ?>
                <tr>
                    <td colspan="7" align="center">no systems emails logged</td>
                </tr>
                <?php
            } else {
            $trustiesdPluginActive = emergencyWPAdmin::is_wpemergency_trusty_plugin_active();
            foreach ($emailLogs->posts as $key => $eLog){
            $hideEmailLog = false;
            $firstname = "firstname";
            $lastname = "lastname";
            $email = "email";

            switch ($eLog->post_status) {
                case 'life_status':
                case 'life_status_reminder':
                case 'verifier_email_acc':
                case 'verifier_email_rej':
                case 'conflict_mandator':
                case 'live_status_hold_b':
                case 'emergency_user_email':
                    // Mandator emails
                    $mandatorData = emergencyWPAdmin::getMandatorData(get_current_blog_id());
                    $firstname = $mandatorData['firstName'];
                    $lastname = $mandatorData['lastName'];
                    $email = $mandatorData['email'];
                    break;
                case 'live_status_dead':
                    // contact emails
                    $firstname = get_post_meta($eLog->post_parent, 'emergencywp_contacts_firstName', true);
                    $lastname = get_post_meta($eLog->post_parent, 'emergencywp_contacts_lastName', true);
                    $email = get_post_meta($eLog->post_parent, 'emergencywp_contacts_email', true);
                    break;
                case 'life_check_conf':
                case 'publish':
                    $firstname = get_post_meta($eLog->ID, EmergencyWPAliveConfirmationLog::$postTypeSlug . '_firstName', true);
                    $lastname = get_post_meta($eLog->ID, EmergencyWPAliveConfirmationLog::$postTypeSlug . '_lastName', true);
                    $email = get_post_meta($eLog->ID, EmergencyWPAliveConfirmationLog::$postTypeSlug . '_email', true);
                    break;
                case 'ewp_vault_invitation':
                case 'ewp_vault_access':
                case 'ewp_vault_create_account':{
                    $firstname = emergencyWPAdmin::getWpPostMeta($eLog->post_parent, 'emergencywp_contacts_firstName', true);
                    $lastname = emergencyWPAdmin::getWpPostMeta($eLog->post_parent, 'emergencywp_contacts_lastName', true);
                    $email = emergencyWPAdmin::getWpPostMeta($eLog->post_parent, 'emergencywp_contacts_email', true);
                    break;
                }
                case 'emergency-email':
                case 'emergency_email':
                case UserStatus::EMERGENCY_TRUSTEE_EMAIL: {
                    if (!$trustiesdPluginActive) {
                        $hideEmailLog = true;
                    } else {
                        $firstname = get_post_meta($eLog->post_parent, EmergencyWPTrustees::$postTypeSlug . '_firstName', true);
                        $lastname = get_post_meta($eLog->post_parent, EmergencyWPTrustees::$postTypeSlug . '_lastName', true);
                        $email = get_post_meta($eLog->post_parent, EmergencyWPTrustees::$postTypeSlug . '_email', true);
                    }
                }
                default:
                {
                    if (!$trustiesdPluginActive) {
                        $hideEmailLog = true;
                    } else {
                        // Trustees emails
                        $firstname = get_post_meta($eLog->post_parent, EmergencyWPTrustees::$postTypeSlug . '_firstName', true);
                        $lastname = get_post_meta($eLog->post_parent, EmergencyWPTrustees::$postTypeSlug . '_lastName', true);
                        $email = get_post_meta($eLog->post_parent, EmergencyWPTrustees::$postTypeSlug . '_email', true);
                    }
                }
            }
            if(empty($firstname) && empty($lastname)){
                $firstname = 'No name';
            }
            if (!$hideEmailLog) {
            echo '<tr>' .
                '	<td>' .esc_html( $hideEmailLog . '#' . $eLog->ID ). '</td>' .
                '	<td>' . esc_html($firstname . ' ' . $lastname ). '</td>' .
                '	<td>' . esc_html($email) . '</td>' .
                '	<td>' . esc_html(ewp_mysqlDate2Date($eLog->post_date, 1)) . '</td>' .
                '	<td>' . esc_html($eLog->post_title) . '</td>';
            echo '	<td>' . EWP_initPluginVars::$pluginCustomPostTypes[$eLog->post_status]['text'] . '</td>';
            echo '	<td><a data-href="' . esc_url(EMERGENCY_WP_PLUGIN_URL . 'ajax/loadSystemEmail.php?pid=' . $eLog->ID) . '" class="display_email" data-toggle="modal" data-target="#eLogModal-' . esc_attr($key) . '">E-Mail anzeigen</a></td>' .
                '</tr>';
            ?>
            <!-- Modal -->
            <div class="modal ewp-modal" id="eLogModal-<?php echo esc_attr($key); ?>" tabindex="-1" role="dialog"
                 aria-labelledby="myModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content ewp-modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal"><span
                                        aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                            <h4 class="modal-title" id="myModalLabel"></h4>
                        </div>
                        <div class="modal-body">
                            <div style="text-align: center;margin: 50px 0;"><img
                                        src="<?php echo EMERGENCY_WP_PLUGIN_URL; ?>assets/gfx/ajaxLoader/325.gif"
                                        alt=""/></div>
                        </div>
                    </div>
                </div>
                <?php
                }
                }
                }
                ?>
        </table>
    </div>
<?php
echo '</div></div>';
?>