<?php
echo '<h3>' . __('Information & Manual', 'emergencywp') . '</h3>';
echo '<div class="manual-accordion">';
echo '<div class="item item-first item-explain">' .
    '	<div class="head"><h4>' . __('What is EmergencyWP?', 'emergencywp') . '<span class="dashicons dashicons-arrow-down-alt2"></span></h4></div>' .
    '	<div class="body">' . __('EmergencyWP is a system that works like a dead man switch. Designed by a freelancer for freelancers (and other people who handle personal and business information), EmergencyWP checks on your life status with so called life checks in a self-chosen frequency. You can save information or prepare messages for the case of an emergency (accident, death, etc.), and EmergencyWP will deliver them to your family, friends or clients if you stop to confirm your life checks after a given period of time.', 'emergencywp') . '
		<br><br><div style="text-align: center"><iframe  src="https://player.vimeo.com/video/372080675?h=9a01d855f0" width="640" height="360" frameborder="0" allow="autoplay; fullscreen; picture-in-picture" allowfullscreen></iframe></div></p></div>' .
    '</div>
		<div class="item item-second item-explain">' .
    '	<div class="head"><h4>' . __('What\'s the purpose of EmergencyWP?', 'emergencywp') . '<span class="dashicons dashicons-arrow-down-alt2"></span></h4></div>' .
    '	<div class="body">' . __('It was on one of my daily routes to work, when the idea behind EmergencyWP came to my mind. I wondered if my wife could handle all the business stuff that mostly I care about at home - from contracts to bank accounts, monthly bills and other things. And what about my clients? I handled more than 250 hosting logins for them and if I would be gone suddenly, many people and companies could struggle the more or less. So I invented EmergencyWP for myself first and I am using it since 2016. With this plugin, I want to provide the insurance-like tools for all people who can use it themselves or help other users benefit from it. If you want to further support the work with a donation, feel free to do this with an amount of your choice!', 'emergencywp') . '</div>' .
    '</div>
	</div>
	
	<h3>' . __('How does it work?', 'emergencywp') . '</h3>
	
		<div class="manual-accordion">
	
		<div class="item">' .
    '	<div class="head steps"><h4>' . __('1. Main configuration', 'emergencywp') . '<span class="dashicons dashicons-arrow-down-alt2"></span></h4></div>' .
    '	<div class="body">' . __('Go to setup and check the personal fields with your name and email address, which will be used in the regular life-checks. Next, select your life-check frequency. EmergencyWP will send you a life-check every x days, weeks or months. 
With the confirmation timeframe, you tell EmergencyWP how long it should wait before sending out reminder and stepping in the "Last call" status. If the last call period passes without confirmation, prepared messages and information will be sent to their recipients.', 'emergencywp') . '<br><br>
<div style="text-align: center"><iframe width="800" height="500" src="https://www.youtube.com/embed/szkAeYRa-zE" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe></div></div>' .
    '</div>
		<div class="item item-opt">' .
    '	<div class="head steps"><h4>' . __('1b. Optional, if you own the Trustees Add-On', 'emergencywp') . '<span class="dashicons dashicons-arrow-down-alt2"></span></h4></div>' .
    '	<div class="body">' .
    '		' . __('Congratulations, you have a 2-factor-security layer installed! <br />
When you don\'t respond after the "last call" timeframe, your trustees will be asked to confirm on your behalf. EmergencyWP will not yet deliver any messages as long as they all agree on the same matter of fact. Go to trustees options and setup the trustee confirmation timeframe (how much time you allow them to react after they received EmergencyWP\'s request). Also, define what should happen if no one, neither you nor your trustees, respond to any of EmergencyWP\'s requests or reminders.', 'emergencywp') .
    '	</div>' .
    '</div>
		<div class="item">' .
    '	<div class="head steps"><h4>' . __('2. Configure cronjob', 'emergencywp') . '<span class="dashicons dashicons-arrow-down-alt2"></span></h4></div>' .
    '	<div class="body">' .
    '		' . __('To run the life check process, a cronjob is needed. On a website with regular visitors, WordPress cares about this automatically (it\'s already preconfigured). If you have only very few or no visitors at all, you should setup a separate cronjob. See cronjob settings.', 'emergencywp') .
    '	</div>' .
    '</div>
		<div class="item">' .
    '	<div class="head steps"><h4>' . __('3. Check the latest auto-generated page with shortcode', 'emergencywp') . '<span class="dashicons dashicons-arrow-down-alt2"></span></h4></div>' .
    '	<div class="body">' .
    '		' . __('During the activation of the plugin, we\'ve created a new page with the shortcode [emergencyWP_job_handling] in it. It will be used as the target page after you\'ve confirmed the life check. Feel free to adapt the page to your needs.', 'emergencywp') . '' .
    '	</div>' .
    '</div>
		<div class="item">' .
    '	<div class="head steps"><h4>' . __('4. Check E-Mail templates', 'emergencywp') . '<span class="dashicons dashicons-arrow-down-alt2"></span></h4></div>' .
    '	<div class="body">' . __('Every process uses a specific e-mail template. Go there to see if the layout and content matches your needs and customize them with your own texts using the given variables. (If you use the Trustees Add-On, be sure to check the corresponding templates first.)', 'emergencywp') .
    '	</div>' .
    '</div>
		<div class="item item-opt">' .
    '	<div class="head steps"><h4>' . __('4b. Optional, if you own the Trustees Add-On', 'emergencywp') . '<span class="dashicons dashicons-arrow-down-alt2"></span></h4></div>' .
    '	<div class="body">' . __('Go to Trustees and add at least three trustworthy persons of your choice to secure your messages and information. During this process, they will have to accept their new role. If they do, they will be asked by EmergencyWP in case of uncertainty about your well-being.', 'emergencywp') .
    '	</div>' .
    '</div>
		<div class="item">' .
    '	<div class="head steps"><h4>' . __('5. Test your settings', 'emergencywp') . '<span class="dashicons dashicons-arrow-down-alt2"></span></h4></div>' .
    '	<div class="body">' . __('Take a look to the dashboard to see when your next life check will be send. Either wait for this time or change the frequency settings to a test time (2 minutes) to see if everything works fine. If you\'ll get a life-check and you\'re able to confirm, you\'re good to go and you can change it back to a normal value. If not, check your cron settings.', 'emergencywp') .
    '	</div>' .
    '</div>
		<div class="item">' .
    '	<div class="head steps"><h4>' . __('6. Add recipients and messages', 'emergencywp') . '<span class="dashicons dashicons-arrow-down-alt2"></span></h4></div>' .
    '	<div class="body">' . __('Go to recipients and add some contacts. You can use them later in your messages.', 'emergencywp') .
    '	</div>' .
    '</div>
				<div class="item item-opt">' .
    '	<div class="head steps"><h4>' . __('7. Recommended: Secure your WordPress installation', 'emergencywp') . '<span class="dashicons dashicons-arrow-down-alt2"></span></h4></div>' .
    '	<div class="body">' . __('You might store important or sensitive data here, so be sure to limit the login attempts as well as securing your installation by best practices as you will find many instructions through googling it ;-)', 'emergencywp') .
    '	</div>' .
    '</div>
		</div>';
?>