<?php
echo '<h3>' . __('reCAPTCHA', 'emergencywp') . '</h3>';

$pagepath = "admin.php?page=emergencywp&subpage=re-captcha";

$site_key = get_option('emergencywp_re_captcha_site_key', '');
$secret_key = get_option('emergencywp_re_captcha_secret_key', '');
$external_trigger = get_option('emergencywp_re_captcha_external_trigger', '');
$vault_verification = get_option('emergencywp_re_captcha_vault_verification', '');

if (sanitize_text_field(@$_POST['settings-recaptcha-save']) == __('Save', 'emergencywp-vault')) {
    $site_key =  sanitize_text_field($_POST['recaptcha']['site_key']);
    $secret_key =  sanitize_text_field($_POST['recaptcha']['secret_key']);
    $external_trigger =  sanitize_text_field($_POST['recaptcha']['external_trigger']);
    $vault_verification =  sanitize_text_field($_POST['recaptcha']['vault_verification']);

    update_option('emergencywp_re_captcha_site_key', $site_key);
    update_option('emergencywp_re_captcha_secret_key', $secret_key);
    update_option('emergencywp_re_captcha_external_trigger', $external_trigger);
    update_option('emergencywp_re_captcha_vault_verification', $vault_verification);

}
?>

<form id="ewp-vault-settings" method="post"
      action="<?php echo get_admin_url() . esc_url($pagepath); ?>">
    <label for="ewp-recaptcha-site_key"><?php _e('Site Key', 'emergencywp');?></label>
    <input class="large-text" type="text" name="recaptcha[site_key]" id="ewp-recaptcha-site_key" value="<?php echo $site_key;?>">
    <br>
    <label for="ewp-recaptcha-site_key"><?php echo __('To use this feature you need a free site key and secret key from', 'emergencywp');?> <a
                href="https://www.google.com/recaptcha/admin" target="_blank" rel="noopener noreferrer"><?php _e('Google V2
            reCAPTCHA', 'emergencywp');?></a>.</label>
    <br>
    <br>
    <label for="ewp-recaptcha-site_key"><?php _e('Secret Key', 'emergencywp');?></label>
    <input class="large-text" type="text" name="recaptcha[secret_key]" id="ewp-recaptcha-secret_key" value="<?php echo $secret_key;?>">
    <br>
    <label for="ewp-recaptcha-secret_key"><?php _e('To use this feature you need a free secret key and secret key from', 'emergencywp');?> <a
                href="https://www.google.com/recaptcha/admin" target="_blank" rel="noopener noreferrer"><?php _e('Google V2
            reCAPTCHA', 'emergencywp');?></a>.</label>
    <br>
    <br>
    <?php if (emergencyWPAdmin::is_wpemergency_trusty_plugin_active()) { ?>
        <div class="ewp-checkbox-option">
            <input type="hidden" name="recaptcha[external_trigger]" value="0">
            <input type="checkbox" name="recaptcha[external_trigger]" id="ewp-recaptcha-external_trigger" value="1" <?php echo checked($external_trigger == '1');?>>
            <label for="ewp-recaptcha-external_trigger"><?php _e('Enable for External Trigger', 'emergencywp');?></label>
            <p style="margin-top:0"><?php _e('This will enable reCAPTCHA to block brute force attacks on external trigger url', 'emergencywp');?></p>
        </div>
    <?php } ?>
    <?php if (emergencyWPAdmin::is_wpemergency_vault_plugin_active()) { ?>
        <div class="ewp-checkbox-option">
            <input type="hidden" name="recaptcha[vault_verification]" value="0">
            <input type="checkbox" name="recaptcha[vault_verification]" id="ewp-recaptcha-vault_verification" value="1" <?php echo checked($vault_verification == '1');?>>
            <label for="ewp-recaptcha-vault_verification"><?php _e('Enable for Vault Account Verification', 'emergencywp');?></label>
            <p style="margin-top:0"><?php _e('This will enable reCAPTCHA to block brute force attacks on account verification page', 'emergencywp');?></p>
        </div>
    <?php } ?>
    <br>
    <input type="submit" class="button button-primary dashboard-register"
           name="settings-recaptcha-save"
           value="<?php _e('Save', 'emergencywp'); ?>"/>
</form>
