<?php
global $wp_post_statuses, $emergencywp_beta, $wp_roles, $emergencywp_options;

$pagepath = "admin.php?page=emergencywp&subpage=settings";
$jobSettings = get_option('emergencyWP_job_settings');

// get Mandator data
$mandator = emergencyWPAdmin::getMandatorData();
$lifeCheckLoginSetting = '';
$lifeCheckLoginSetting = ewp_get_option(EWPSettingsData::LIFECHECK_ON_LOGIN, false, true);
$eraseDataSetting = ewp_get_option(EWPSettingsData::PLUGIN_ERASE_DATA, false, true);
$accessUserMinimumRole = emergencywp_option(EWPSettingsData::ACCESS_USER_MINIMUM_ROLE);
$dateFormat = emergencywp_option(EWPSettingsData::DATE_FORMAT, "d.m.Y");
$timeFormat = emergencywp_option(EWPSettingsData::TIME_FORMAT, "H:i");
$eWPJobConfirmationPage = get_option(EWP_initPluginVars::$pluginPages['job_response_options']['pageId']);

if (sanitize_text_field(@$_POST['settings-save']) == "save") {
    /**
     *    mandator_reaction_time:
     *    - live_status_holdA_noFeedbackTime                | holdA
     *
     *    mandator_reminder_time:
     *    - live_status_finalHoldA_reminderTime            | finalHoldA
     *    - live_status_holdB_time_periode                | holdB
     *
     */
    $mandatorHasChanged = false;
    $settingsHaveBeenUpdated = false;
    $mandator_reaction_time = sanitize_text_field($_POST['mandator_reaction_time']);
    $mandator_reminder_time = sanitize_text_field($_POST['mandator_reminder_time']);
    $trustees_reminder_time = sanitize_text_field($_POST['trustees_reminder_time']);

    if ($mandator['email'] !== sanitize_text_field($_POST['mandator_email'])
        || $mandator['firstName'] !== sanitize_text_field($_POST['mandator_firstname'])
        || $mandator['lastName'] !== sanitize_text_field($_POST['mandator_lastname'])) {
        $mandatorHasChanged = true;
    }

    if ($jobSettings !== false) {
        if ($jobSettings['live_status_holdA_noFeedbackTime'] !== $mandator_reaction_time
            || $jobSettings['live_status_finalHoldA_reminderTime'] !== $mandator_reminder_time) {
            $settingsHaveBeenUpdated = true;

            // Client
            $jobSettings['live_status_holdA_noFeedbackTime'] = $mandator_reaction_time;
            $jobSettings['live_status_finalHoldA_reminderTime'] = $mandator_reminder_time;
            $jobSettings['live_status_holdA_reminderTime'] = $mandator_reminder_time;
            $jobSettings['live_status_holdB_time_periode'] = $mandator_reaction_time;

            update_option('emergencyWP_job_settings', $jobSettings);
        }
    } else {
        $jobSettings = array(
            // Client
            'live_status_holdA_noFeedbackTime' => $mandator_reaction_time,
            'live_status_finalHoldA_reminderTime' => $mandator_reminder_time,
            'live_status_holdA_reminderTime' => $mandator_reminder_time,
            'live_status_holdB_time_periode' => $mandator_reaction_time,
        );
        add_option('emergencyWP_job_settings', $jobSettings);
        $settingsHaveBeenUpdated = true;
    }

    if (isset($_POST['user_option_confirmation_page_id'])) {
        update_option(EWP_initPluginVars::$pluginPages['job_response_options']['pageId'], sanitize_text_field($_POST['user_option_confirmation_page_id']));
        if ($eWPJobConfirmationPage != sanitize_text_field($_POST['user_option_confirmation_page_id'])) {
            $settingsHaveBeenUpdated = true;
            $eWPJobConfirmationPage = sanitize_text_field($_POST['user_option_confirmation_page_id']);
        }
    }
    if (isset($_POST[EWPSettingsData::LIFECHECK_ON_LOGIN])) {
        update_option(EWPSettingsData::LIFECHECK_ON_LOGIN, sanitize_text_field($_POST[EWPSettingsData::LIFECHECK_ON_LOGIN]));
        if ($lifeCheckLoginSetting != sanitize_text_field($_POST[EWPSettingsData::LIFECHECK_ON_LOGIN])) {
            $settingsHaveBeenUpdated = true;
            $lifeCheckLoginSetting = sanitize_text_field($_POST[EWPSettingsData::LIFECHECK_ON_LOGIN]);
        }
    }
    if (isset($_POST[EWPSettingsData::ACCESS_USER_MINIMUM_ROLE])) {
        emergencywp_update_option(EWPSettingsData::ACCESS_USER_MINIMUM_ROLE, sanitize_text_field($_POST[EWPSettingsData::ACCESS_USER_MINIMUM_ROLE]));
        if ($accessUserMinimumRole != sanitize_text_field($_POST[EWPSettingsData::ACCESS_USER_MINIMUM_ROLE])) {
            $settingsHaveBeenUpdated = true;
            $accessUserMinimumRole = sanitize_text_field($_POST[EWPSettingsData::ACCESS_USER_MINIMUM_ROLE]);
        }

        $assignToRoles = array();
        if ($accessUserMinimumRole == 'contributor') {
            array_push($assignToRoles, 'author');
            array_push($assignToRoles, 'editor');
        }
        if ($accessUserMinimumRole == 'author') {
            array_push($assignToRoles, 'author');
        }
        $roles = $wp_roles->roles;

        foreach ($roles as $role => $roleInfo) {
            if ($role == $accessUserMinimumRole || in_array($role, $assignToRoles)) {
                $wp_roles->add_cap($role, 'publish_emergencywp_messages');
                $wp_roles->add_cap($role, 'edit_emergencywp_messages');
                $wp_roles->add_cap($role, 'edit_others_emergencywp_messages');
                $wp_roles->add_cap($role, 'delete_emergencywp_messages');
                $wp_roles->add_cap($role, 'delete_others_emergencywp_messages');
                $wp_roles->add_cap($role, 'edit_emergencywp_message');
                $wp_roles->add_cap($role, 'delete_emergencywp_message');
                $wp_roles->add_cap($role, 'read_emergencywp_message');
            } else {
                if ($role != 'administrator') {
                    $wp_roles->remove_cap($role, 'publish_emergencywp_messages');
                    $wp_roles->remove_cap($role, 'edit_emergencywp_messages');
                    $wp_roles->remove_cap($role, 'edit_others_emergencywp_messages');
                    $wp_roles->remove_cap($role, 'delete_emergencywp_messages');
                    $wp_roles->remove_cap($role, 'delete_others_emergencywp_messages');
                    $wp_roles->remove_cap($role, 'edit_emergencywp_message');
                    $wp_roles->remove_cap($role, 'delete_emergencywp_message');
                    $wp_roles->remove_cap($role, 'read_emergencywp_message');
                }
            }
        }
    }
    if (isset($_POST[EWPSettingsData::PLUGIN_ERASE_DATA])) {
        update_option(EWPSettingsData::PLUGIN_ERASE_DATA, sanitize_text_field($_POST[EWPSettingsData::PLUGIN_ERASE_DATA]));
        if (class_exists('EWPSettingsDataTrustees')) {
            update_option(EWPSettingsDataTrustees::PLUGIN_ERASE_DATA, sanitize_text_field($_POST[EWPSettingsData::PLUGIN_ERASE_DATA]));
        }
        if (class_exists('EWPSettingsDataDC')) {
            update_option(EWPSettingsDataDC::PLUGIN_ERASE_DATA, sanitize_text_field($_POST[EWPSettingsData::PLUGIN_ERASE_DATA]));
        }
        if (class_exists('EWPSettingsDataMultiSite')) {
            update_option(EWPSettingsDataMultiSite::PLUGIN_ERASE_DATA, sanitize_text_field($_POST[EWPSettingsData::PLUGIN_ERASE_DATA]));
        }
        if ($eraseDataSetting != sanitize_text_field($_POST[EWPSettingsData::PLUGIN_ERASE_DATA])) {
            $settingsHaveBeenUpdated = true;
            $eraseDataSetting = sanitize_text_field($_POST[EWPSettingsData::PLUGIN_ERASE_DATA]);
        }
    }
    if (isset($_POST[EWPSettingsData::DATE_FORMAT])) {
        emergencywp_update_option(EWPSettingsData::DATE_FORMAT, sanitize_text_field($_POST[EWPSettingsData::DATE_FORMAT]));
        if ($dateFormat != $_POST[EWPSettingsData::DATE_FORMAT]) {
            $settingsHaveBeenUpdated = true;
            $dateFormat = sanitize_text_field($_POST[EWPSettingsData::DATE_FORMAT]);
        }
    }
    if (isset($_POST[EWPSettingsData::TIME_FORMAT])) {
        emergencywp_update_option(EWPSettingsData::TIME_FORMAT, sanitize_text_field($_POST[EWPSettingsData::TIME_FORMAT]));
        if ($timeFormat != $_POST[EWPSettingsData::TIME_FORMAT]) {
            $settingsHaveBeenUpdated = true;
            $timeFormat = sanitize_text_field($_POST[EWPSettingsData::TIME_FORMAT]);
        }
    }

    if (!$mandatorHasChanged && !$settingsHaveBeenUpdated) {
        emergencyWPAdmin::setAdminNotice('error', 'settings', __('No setting has been changed by you.', 'emergencywp'));
    } else {
        if ($mandatorHasChanged) {
            $mandator['email'] = sanitize_text_field($_POST['mandator_email']);
            $mandator['firstName'] = sanitize_text_field($_POST['mandator_firstname']);
            $mandator['lastName'] = sanitize_text_field($_POST['mandator_lastname']);
            $mandatorUpdateResponse = emergencyWPAdmin::setMandatorData($mandator);

            if ($mandatorUpdateResponse === null) {
                emergencyWPAdmin::setAdminNotice('error', 'settings', __('Something went wrong on updated mandator email address', 'emergencywp'));
            } else if ($mandatorUpdateResponse['status'] === 'error') {
                foreach ($mandatorUpdateResponse['errors'] as $error) {
                    emergencyWPAdmin::setAdminNotice('error', 'settings', $error);
                }
            } else if (is_wp_error($mandatorUpdateResponse)) {
                emergencyWPAdmin::setAdminNotice('error', 'settings', $mandatorUpdateResponse->get_error_message());
            } else {
                // Success!
                emergencyWPAdmin::setAdminNotice('updated', 'settings', __('Settings has been updated', 'emergencywp'));
                $mandator['email'] = sanitize_email($_POST['mandator_email']);
            }
        }
    }

    if ($settingsHaveBeenUpdated) {
        emergencyWPAdmin::setAdminNotice('updated', 'settings', __('Settings have been updated', 'emergencywp'));
    }
    //emergencyWPAdmin::emergencyWPAdminNotices();
}

if ( is_multisite() ) {
    $blogId = get_current_blog_id();
} else {
    $blogId = '';
}

$args = array(
    'blog_id' => $blogId,
    'role' => '',
    'meta_key' => '',
    'meta_value' => '',
    'meta_compare' => '',
    'meta_query' => array(),
    'date_query' => array(),
    'include' => array(),
    'exclude' => array(),
    'orderby' => 'login',
    'order' => 'ASC',
    'offset' => '',
    'search' => '',
    'number' => '',
    'count_total' => false,
    'fields' => 'all',
    'who' => ''
);


/**
 *    Laut internationalen Einheitensystem (SI)
 */
$mandatorReactionOptions = emergencyWPAdmin::$mandatorReactionOptions;
$mandatorReactionOptions = apply_filters('wpEmergency_life_check_frequency', $mandatorReactionOptions);

$reminderOptions = emergencyWPAdmin::$reminderOptions;
$reminderOptions = apply_filters('wpEmergency_reminder_options', $reminderOptions);
?>
<form id="emergencyWP_settings-form" method="post" action="<?php echo esc_url(get_admin_url() . $pagepath); ?>" method="post"
      autocomplete="off">
    <h3><?php echo __('Settings', 'emergencywp'); ?></h3>

    <?php
    echo '<div class="row block" style="margin: 0;">' .
        '	<div class="half">' .
        '		<div class="input-group">' .
        '			<label>' . __('Firstname', 'emergencywp') . '</label>' .
        '			<input type="text" name="mandator_firstname" value="' . esc_html($mandator['firstName']) . '" class="form-control" />' .
        '		</div>' .
        '	</div>' .
        '	<div class="half">' .
        '		<div class="input-group">' .
        '			<label>' . __('Lastname', 'emergencywp') . '</label>' .
        '			<input type="text" name="mandator_lastname" value="' . esc_html($mandator['lastName']) . '"  />' .
        '		</div>' .
        '	</div>' .
        '</div>' .
        '<div class="row block" style="margin: 0; margin-bottom: 10px;">' .
        '	<div class="half">' .
        '		<div class="input-group">' .
        '			<label>' . __('Email address for life checks', 'emergencywp') . '</label>' .
        '			<select name="mandator_email">';
    $users = get_users(array('fields' => array('user_email')));
    foreach ($users AS $userEmail) {
        $selected = '';
        if ($mandator['email'] == $userEmail->user_email) {
            $selected = 'selected="selected"';
        }
        echo '	<option ' . esc_attr($selected) . ' value="' . esc_attr($userEmail->user_email) . '">' . sanitize_email($userEmail->user_email) . '</option>';
    }

    echo '			</select>';
    echo '		</div>' .
        '	</div>';

    echo '	<div class="half block-value">' .
        '		<div class="input-group">' .
        '			<label>' . __('Test mail settings', 'emergencywp') . '</label>' .
        '			<button type="button" class="btn btn-info button button-primary button-send-testmail" id="send-emergencyWP_client-testemail" 	data-blog-id="' . esc_attr($blogId) . '">' . __('Send test email (save first!)', 'emergencywp') . '</button>' .
        '			<div class="emergencyWP_ajax_button_status">' .
        ' 				<span class="sending">Sending ... <img src="' . EMERGENCY_WP_PLUGIN_URL . '/assets/gfx/ajaxLoader/720.gif" alt="" /></span>' .
        ' 				<span class="error">' . __('Sending failed :-(', 'emergencywp') . '</span>' .
        ' 				<span class="success">' . __('Successfully sent!', 'emergencywp') . '</span>' .
        ' 				<span class="no-license">' . __('Sending failed because license key not available or active. Please activate your license', 'emergencywp') . '</span>' .
        '			</div>' .
        '		</div>' .
        '	</div><br>';
    echo '</div>';

    echo '<hr><div class="row block" style="margin: 0;">';

    echo '	<div class="half">' .
        '		<div class="input-group">' .
        '			<label>' . __('Life check frequency', 'emergencywp') . '</label>' .
        '			<select class="form-control" name="mandator_reaction_time" id="exampleInputAmount">';
    foreach ($mandatorReactionOptions as $sec => $option) {
        $selected = '';
        if ($sec == $jobSettings['live_status_holdA_noFeedbackTime']) {
            $selected = ' selected="selected"';
        }
        echo '			<option value="' . esc_attr($sec) . '"' . esc_attr($selected) . '>' . esc_html($option) . '</option>';
    }

    if (defined('EWP_PRO_SL_ITEM_ID')) {
	    echo '			</select>
			            <p class="emergencywp_settings-field_description">' . __('How often do you want to receive a life check?',
			    'emergencywp') .'</p>' .
		    '		</div>' .
		    '	</div>';
    } else {
	    echo '			</select>
			<p class="emergencywp_settings-field_description">' . __('How often do you want to receive a life check?',
			    'emergencywp') . ' ' . __('Need more options?', 'emergencywp') . ' <a target="_blank" href="https://emergencywp.net/features/add-ons-overview/">'.__('Get EmergencyWP PRO', 'emergencywp').'</a></p>' .
	    '		</div>' .
	    '	</div>';

    }

    echo '	<div class="half">' .
        '		<div class="input-group">' .
        '			<label>' . __('Timeframe for confirmation (reaction time)', 'emergencywp') . '</label>' .
        '			<select class="form-control" name="mandator_reminder_time" id="exampleInputAmount">';
    foreach ($reminderOptions as $sec => $option) {
        $selected = '';
        if ($sec == $jobSettings['live_status_finalHoldA_reminderTime']) {
            $selected = ' selected="selected"';
        }
        echo '			<option value="' . esc_attr($sec) . '"' . esc_attr($selected) . '>' . esc_html($option) . '</option>';
    }

    echo '			</select><p class="emergencywp_settings-field_description">' . __('Set the timeframe for your life check confirmation', 'emergencywp') . '</p>' .
        '		</div>' .
        '	</div>' .
        '</div>';


    if(class_exists('EmergencyWPPro')) {
        ?>
        <div class="row block" style="margin: 0;">
            <div class="half">
                <label>
                    <input type="hidden" name="<?php echo EWPSettingsData::LIFECHECK_ON_LOGIN; ?>" value="0" />
                    <input type="checkbox" class="cron_radio"
                           name="<?php echo EWPSettingsData::LIFECHECK_ON_LOGIN; ?>"
                           value="<?php echo EWPSettingsData::LIFECHECK_ON_ENABLED; ?>" <?php checked($lifeCheckLoginSetting === EWPSettingsData::LIFECHECK_ON_ENABLED); ?> />
                    <?php esc_html_e('Lifecheck for login', 'emergencywp') ?>
                </label>
            </div>
            <div class="half"></div>
        </div>
        <?php
    }

    echo '<hr>';
    ?>

    <div class="row block" style="margin: 0;">
        <div class="half">
            <div class="input-group">
                <label><?php echo __('Confirmation page', 'emergencywp'); ?></label>
                <select name="user_option_confirmation_page_id" class="postform">
                    <option value="0"><?php echo __("Important ! Select...", "emergencywp"); ?></option>
                    <?php
                    $pages = get_posts(array('post_type' => 'page', 'post_status' => 'publish,private,draft', 'posts_per_page' => -1));
                    foreach ($pages as $page) {
                        $selected = '';
                        if ($page->ID == $eWPJobConfirmationPage) {
                            $selected = ' selected="selected"';
                        }
                        $extraInfo = '';
                        if ($page->post_status != 'publish') {
                            $extraInfo = ' (' . $wp_post_statuses[$page->post_status]->label . ')';
                        }

                        echo '			<option value="' . esc_attr($page->ID) . '"' . esc_attr($selected) . '>' . esc_attr($page->post_title) . esc_attr($extraInfo) . '</option>';
                    }
                    ?>
                </select>
            </div>
        </div>
        <div class="half">
            <br><br>
            <?php
            if ($eWPJobConfirmationPage) {
                echo '<span class="description">' . __("An obligatory page, where you need to place the [" . EWP_ShortCodes::JOB_HANDLER . "] shortcode", "emergencywp") . '
                        <a href="post.php?post=' . (int)$eWPJobConfirmationPage . '&action=edit">' . __('edit', 'emergencywp') . '</a> ' .
                    __('or', 'emergencywp') . ' <a target="_blank" href="' . get_permalink($eWPJobConfirmationPage) . '" class="external">' . __('visit', 'emergencywp') . '</a></span>';
            } else {
                echo '<span class="description">' . __("An obligatory page, where you need to place the [" . EWP_ShortCodes::JOB_HANDLER . "] shortcode", "emergencywp") . ' <a href="' . add_query_arg('ewp_create_confirmation_page', wp_create_nonce('ewp_create_confirmation_page'), admin_url()) . '">' . __('create it right now', 'emergencywp') . '</a></span>';
            }
            ?>
        </div>
    </div>
    <br><br>
    <hr>
    <br>
    <div class="row block" style="margin: 0;">
        <div class="half">
            <div class="input-group">
                <label><?php echo __('Date Format', 'emergencywp'); ?></label>
                <fieldset>
                    <select name="<?php echo EWPSettingsData::DATE_FORMAT; ?>"
                            id="<?php echo EWPSettingsData::DATE_FORMAT; ?>">
                        <option value="F j, Y" <?php echo ($dateFormat == 'F j, Y') ? 'selected="selected"' : ''; ?>>(F
                            j, Y) - <?php echo date('F j, Y'); ?></option>
                        <option value="d. F Y" <?php echo ($dateFormat == 'd. F Y') ? 'selected="selected"' : ''; ?>>(d.
                            F Y) - <?php echo date('d. F Y'); ?></option>
                        <option value="Y-m-d" <?php echo ($dateFormat == 'Y-m-d') ? 'selected="selected"' : ''; ?>>
                            (Y-m-d) - <?php echo date('Y-m-d'); ?></option>
                        <option value="m/d/Y" <?php echo ($dateFormat == 'm/d/Y') ? 'selected="selected"' : ''; ?>>
                            (m/d/Y) - <?php echo date('m/d/Y'); ?></option>
                        <option value="d/m/Y" <?php echo ($dateFormat == 'd/m/Y') ? 'selected="selected"' : ''; ?>>
                            (d/m/Y) - <?php echo date('d/m/Y'); ?></option>
                        <option value="d.m.Y" <?php echo ($dateFormat == 'd.m.Y') ? 'selected="selected"' : ''; ?>>
                            (d.m.Y) - <?php echo date('d.m.Y'); ?></option>
                    </select>
                </fieldset>
            </div>
        </div>
        <div class="half">
            <div class="input-group">
                <label><?php echo __('Time Format', 'emergencywp'); ?></label>
                <fieldset>
                    <select name="<?php echo EWPSettingsData::TIME_FORMAT; ?>"
                            id="<?php echo EWPSettingsData::TIME_FORMAT; ?>">
                        <option value="g:i a" <?php echo ($timeFormat == 'g:i a') ? 'selected="selected"' : ''; ?>>(g:i
                            a) - <?php echo date('g:i a'); ?></option>
                        <option value="g:i A" <?php echo ($timeFormat == 'g:i A') ? 'selected="selected"' : ''; ?>>(g:i
                            A) - <?php echo date('g:i A'); ?></option>
                        <option value="H:i" <?php echo ($timeFormat == 'H:i') ? 'selected="selected"' : ''; ?>>(H:i)
                            - <?php echo date('H:i'); ?></option>
                    </select>
                </fieldset>
            </div>
        </div>
    </div>
    <br><br>
    <hr>
    <br>

    <?php
    $user = wp_get_current_user();
    $roles = ( array )$user->roles;
    $showGrantAccess = false;
    foreach ($roles as $role) {
        if ($role == 'administrator') {
            $showGrantAccess = true;
        }
    }
    if ($showGrantAccess) {
        ?>
        <div class="row block" style="margin: 0;">
            <div class="half">
                <div class="input-group">
                    <label><?php echo __('On uninstalling...', 'emergencywp'); ?></label>
                    <select name="<?php echo EWPSettingsData::PLUGIN_ERASE_DATA; ?>" class="postform"
                            id="user_option_deactivate_plugin" onchange="deactivatePluginSettingsChanged()">
                        <option value="0" <?php echo ($eraseDataSetting == '0') ? 'selected="selected"' : ''; ?>><?php echo __("Keep my data", "emergencywp"); ?></option>
                        <option value="1" <?php echo ($eraseDataSetting == '1') ? 'selected="selected"' : ''; ?>><?php echo __("Erase my data", "emergencywp"); ?></option>
                    </select>
                    <span class="description"><?php echo __('Select if all entries in the database related to EmergencyWP should be deleted on uninstalling of the plugin', 'emergencywp'); ?></span>
                </div>
            </div>
            <div class="half">
                <div class="input-group">
                    <label><?php echo __('Grant Access level...', 'emergencywp'); ?></label>
                    <?php
                    global $wp_roles;
                    $roles = $wp_roles->roles;
                    ?>
                    <select name="<?php echo EWPSettingsData::ACCESS_USER_MINIMUM_ROLE; ?>" class="postform"
                            id="<?php echo EWPSettingsData::ACCESS_USER_MINIMUM_ROLE; ?>">
                        <?php foreach ($roles as $role => $roleInfo) {
                            if ($role == 'administrator' || $role == 'editor' || $role == 'author' || $role == 'contributor' || $role == 'emergency_wp') {
                                ?>
                                <option value="<?php echo $role; ?>" <?php echo ($role == $accessUserMinimumRole) ? 'selected="selected"' : ''; ?>><?php echo __($roleInfo['name'], "emergencywp"); ?></option>
                            <?php }
                        } ?>
                    </select>
                    <span class="description"><?php echo __('Select the minimum role that a user must have to be able to use EmergencyWP', 'emergencywp'); ?></span>
                </div>
            </div>
        </div>
        <br><br>
        <hr>
        <br>
    <?php } ?>
    <!--    <div class="row block" style="margin: 0;">-->
    <!--        <div class="half">-->
    <!--        </div>-->
    <!--        <div class="half">-->
    <!--            <br/><br/>-->
    <!--        </div>-->
    <!--    </div>-->
    <!--    <br><br>-->
    <!--    <hr>-->
    <!--    <br>-->
    <div class="submit-actions">
        <button class="button button-primary" name="settings-save" id="settings-save" value="save"
                type="submit">Save
        </button>
    </div>
</form>