<?php
global $current_user, $display_name, $user_email, $emergencywp_beta;
ewp_remove_notice_now('licence');

// declare needed variables
$debugMode = false;
$error = array();
$pagepath = "admin.php?page=emergencywp";
$jobSettings = get_option('emergencyWP_job_settings');
$blogID = get_current_blog_id();

$aliveInfo = get_option('emergencyWP_alive_status');

if (sanitize_text_field(@$_POST['do']) == "save") {
    /**
     *    mandator_reaction_time:
     *    - live_status_holdA_noFeedbackTime                | holdA
     *
     *    mandator_reminder_time:
     *    - live_status_finalHoldA_reminderTime            | finalHoldA
     *    - live_status_holdB_time_periode                | holdB
     *
     *    trustees_reminder_time:
     *    - live_status_finalHoldB_reactionTimeTrustees    | finalHoldB
     *    - live_status_noReactionsA_reactionTimeTrustees    | noReactionA
     *    - live_status_finalHoldD_response_periode        | finalHoldD
     **/

    $mandator_reaction_time = sanitize_text_field($_POST['mandator_reaction_time']);
    $mandator_reminder_time = sanitize_text_field($_POST['mandator_reminder_time']);
    $trustees_reminder_time = sanitize_text_field($_POST['trustees_reminder_time']);

    if ($mandator_email !== sanitize_text_field($_POST['mandator_email'])) {
        $args = array(
            'ID' => $users[0]->data->ID,
            'user_email' => sanitize_text_field($_POST['mandator_email'])
        );

        $changeEmail = wp_update_user($args);

        if (is_wp_error($changeEmail)) {
            emergencyWPAdmin::setAdminNotice('error', 'settings', $changeEmail->get_error_message());
        } else {
            // Success!
            emergencyWPAdmin::setAdminNotice('updated', 'settings', 'Neue E-Mail-Adresse wurde gespeichert');
            $mandator_email = sanitize_text_field($_POST['mandator_email']) ;
        }
    }
    if ($jobSettings !== false) {
        // Client
        $jobSettings['live_status_holdA_noFeedbackTime'] = $mandator_reaction_time;
        $jobSettings['live_status_finalHoldA_reminderTime'] = $mandator_reminder_time;
        $jobSettings['live_status_holdA_reminderTime'] = $mandator_reminder_time;
        $jobSettings['live_status_holdB_time_periode'] = $mandator_reminder_time;
        // Trustees
        $jobSettings['live_status_finalHoldB_reactionTimeTrustees'] = $trustees_reminder_time;
        $jobSettings['live_status_noReactionsA_reactionTimeTrustees'] = $trustees_reminder_time;
        $jobSettings['live_status_finalHoldD_response_periode'] = $trustees_reminder_time;
        $jobSettings['live_status_finalHoldB_minResponseTrustees'] = $trustees_reminder_time;

        update_option('emergencyWP_job_settings', $jobSettings);
    } else {
        $jobSettings = array(
            // Client
            'live_status_holdA_noFeedbackTime' => $mandator_reaction_time,
            'live_status_finalHoldA_reminderTime' => $mandator_reminder_time,
            'live_status_holdA_reminderTime' => $mandator_reminder_time,
            'live_status_holdB_time_periode' => $mandator_reaction_time,
            // Trustees
            'live_status_finalHoldB_reactionTimeTrustees' => $trustees_reminder_time,
            'live_status_noReactionsA_reactionTimeTrustees' => $trustees_reminder_time,
            'live_status_finalHoldD_response_periode' => $trustees_reminder_time,

            'live_status_finalHoldB_minResponseTrustees' => $trustees_reminder_time,
        );
        add_option('emergencyWP_job_settings', $jobSettings);
    }

    emergencyWPAdmin::setAdminNotice('updated', 'settings', 'Einstellungen wurden gespeichert');
}

$tabs = array(
    '10' => array('id' => 'tab1 icon-dashboard', 'name' => 'dashboard', 'label' => __('Dashboard', 'emergencywp')),
    '20' => array('id' => 'tab7 icon-manual', 'name' => 'manual', 'label' => __('Instructions', 'emergencywp')),
    '30' => array('id' => 'tab2 icon-settings', 'name' => 'settings', 'label' => __('Settings', 'emergencywp')),
    '40' => array('id' => 'tab4 icon-cron', 'name' => 'cron', 'label' => __('Cron', 'emergencywp')),
    '50' => array('id' => 'tab5 icon-email', 'name' => 'email-templates', 'label' => __('Email Templates', 'emergencywp')),
    '60' => array('id' => 'tab6 icon-email-logs', 'name' => 'email-log', 'label' => __('E-Mail-Log', 'emergencywp')),

);

$show_debug = false;
if (isset($_GET['debug'])) {
    $show_debug = true;
}

if ($show_debug) {
    $debugTab = array('id' => 'tab7', 'name' => 'debug', 'label' => __('Debug-Ansicht', 'emergencywp'));
    array_push($tabs, $debugTab);
}

//var_dump($tabs);
$tabs = apply_filters('wpEmergency_form_settings_menu', $tabs);
ksort($tabs, SORT_NUMERIC);

if(emergencyWPAdmin::is_wpemergency_trusty_plugin_active() || emergencyWPAdmin::is_wpemergency_vault_plugin_active() ){
    $tabs['999'] = array('id' => 'tab99 dashicons-shield', 'name' => 're-captcha', 'label' => __('Recaptcha', 'emergencywp'));
}

$user_roles = $current_user->roles;
$user_role = array_shift($user_roles);

// set active tab
$actTab = 'dashboard';
if (isset($_REQUEST['subpage'])) {
    $actTab = sanitize_text_field($_REQUEST['subpage']);
}
?>

    <input type="hidden" name="do" value="save"/>
    <input type="hidden" name="activeTab" id="activeTab" value="<?php echo esc_attr($actTab); ?>"/>
    <div class="wrap emergencyWP_settings">
        <h1><?php _e('EmergencyWP Administration', 'emergencywp'); ?></h1>
        <div class="settings-wrap">
            <div class="settings-nav">
                <div class=""><!--mainnav contextual-help-tabs hide-if-no-js-->
                    <ul>
                        <?php
                        if (count($tabs)) {
                            foreach ($tabs as $k => $tab) {
                                if (trim($tab['id']) == 'tab8' && $user_role == 'author') {
                                    continue;
                                }
                                $actTabClass = '';
                                if ($actTab == $tab['name']) {
                                    $actTabClass = "active";
                                }
                                if(isset($tab['menu-slug'])){
                                    ?>
                                    <li class="<?php echo esc_attr($actTabClass); ?>">
                                        <a href="<?php echo esc_attr($tab['menu-slug']); ?><?php echo ($show_debug) ? '&debug' : ''; ?>"
                                           class="nav-<?php echo esc_attr($tab['id']); ?>">
                                            <span class="label"><?php echo esc_attr($tab['label']); ?></span>
                                        </a>
                                    </li>
                                    <?php
                                } else { ?>
                                    <li class="<?php echo esc_attr($actTabClass); ?>">
                                        <a href="admin.php?page=emergencywp&subpage=<?php echo esc_attr($tab['name']); ?><?php echo ($show_debug) ? '&debug' : ''; ?>"
                                           class="nav-<?php echo esc_attr($tab['id']); ?>">
                                            <span class="label"><?php echo esc_attr($tab['label']); ?></span>
                                        </a>
                                    </li>
                                <?php } ?>
                            <?php } ?>
                        <?php } ?>
                    </ul>
                </div>
            </div>

            <div class="settings-tabs">
                <?php EwpSettings::form_settings_page(); ?>
            </div>

        </div>

        <div class="ewp-right-align grey-out"><a
                    href="admin.php?page=emergencywp&subpage=debug"><?php echo __('Advanced display (debug)', 'emergencywp'); ?></a>
        </div>
    </div>

    <?php

class EwpSettings
{
    /**
     * Determines which form settings page to display.
     *
     * @access public
     * @return void
     * @since  Unknown
     *
     *
     */
    public static function form_settings_page()
    {

        $subPage = ewpget('subpage') ? ewpget('subpage') : 'dashboard';
        switch ($subPage) {
            case 'manual':
                self::form_manual_ui();
                break;
            case 'settings':
                self::form_settings_ui();
                break;
            case 'email-log':
                self::email_log_ui();
                break;
            case 'email-templates':
                self::email_templates();
                break;
            case 'cron':
                self::cron_ui();
                break;
            case 'debug':
                self::debug_ui();
                break;
            case 'dashboard':
                self::dashboard_ui();
                break;
            case 'help':
                self::help_ui();
                break;
            case 're-captcha':
                self::re_captcha_ui();
                break;
            default:
                /**
                 * Fires when the settings page view is determined
                 *
                 * Used to add additional pages to the form settings
                 *
                 * @param string $subview Used to complete the action name, allowing an additional subview to be detected
                 * @since Unknown
                 *
                 */
                do_action("wpEmergency_form_settings_page_{$subPage}");
        }
    }


    public static function form_manual_ui()
    {
        include(__DIR__ . '/setting_tabs/instruction.php');
    }

    public static function form_settings_ui()
    {
        include(__DIR__ . '/setting_tabs/settings_main.php');
    }

    public static function email_log_ui()
    {
        include(__DIR__ . '/setting_tabs/email_logs.php');
    }

    public static function email_templates()
    {
        include(__DIR__ . '/setting_tabs/email_templates.php');
    }

    public static function cron_ui()
    {
        include(__DIR__ . '/setting_tabs/cron.php');
    }

    public static function debug_ui()
    {
        include(__DIR__ . '/setting_tabs/debug.php');
    }

    public static function dashboard_ui()
    {
        include(__DIR__ . '/setting_tabs/dashboard.php');
    }
    public static function help_ui()
    {
        include(__DIR__ . '/setting_tabs/help.php');
    }
    public static function re_captcha_ui()
    {
        include(__DIR__ . '/setting_tabs/re_captcha.php');
    }
}

?>