<?php
global $post, $pagenow;
$postTypeSlug = 'emergencywp_contacts';

$defaultAvatar = EMERGENCY_WP_PLUGIN_URL . 'assets/images/user01.gif';

$id = isset($_GET['post']) ? (int)$_GET['post'] : null;
$is_new = isset($_GET['new']);

if ($post == null) {
    $post = get_post($id);
}

$firstName = esc_html(get_post_meta($id, emergencyWPContacts::$postTypeSlug . '_firstName', true));
$lastName = esc_html(get_post_meta($id, emergencyWPContacts::$postTypeSlug . '_lastName', true));
$address = esc_html(get_post_meta($id, emergencyWPContacts::$postTypeSlug . '_address', true));
$email = esc_html(get_post_meta($id, emergencyWPContacts::$postTypeSlug . '_email', true));
$mobile = esc_html(get_post_meta($id, emergencyWPContacts::$postTypeSlug . '_mobile', true));
$countryCode = esc_html(get_post_meta($id, emergencyWPContacts::$postTypeSlug . '_countryCode', true));
$gender = get_post_meta($id, emergencyWPContacts::$postTypeSlug . '_gender', true);
$image = get_post_meta($id, emergencyWPContacts::$postTypeSlug . '_image', true);

if (is_object($post) && ($post->post_status === 'auto-draft' || $post->post_status === null)) {
    $buttonText = __('Create', 'emergencywp');
    $title = __('Create contact', 'emergencywp');
} else {
    $buttonText = __('Update', 'emergencywp');
    $title = __('Edit contact', 'emergencywp');
}
?>

    <div class="wrap<?php echo ($is_new) ? ' new' : ' status-' . esc_attr($post->status) ?>">
        <h1><?php echo $title; ?></h1>
        <form id="contact_form"
              action="admin.php?post_type=<?php echo $postTypeSlug; ?>&page=emergencywp_contacts<?php echo ($is_new) ? '&new' : '&ID=' . esc_attr($id) ?>"
              method="post">
            <input type="hidden" name="custom_meta_box_nonce"
                   value="<?php echo wp_create_nonce('class.emergencyWPContacts.details'); ?>"/>
            <input type="hidden" name="hidden_post_id" id="hidden_post_id" value="<?php echo $id; ?>"/>
            <input type="hidden" name="hidden_submitType" value="<?php echo $submitType; ?>"/>
            <input type="hidden" name="hidden_current_status" id="hidden_current_status"
                   value="<?php echo $currentStatus; ?>"/>
            <input type="hidden" name="hidden_hashCode_set" id="hidden_hashCode_set" value="<?php echo $issetHash; ?>"/>
            <input type="hidden" name="post_status" value="publish"/>
            <?php wp_nonce_field('emergencywp_contacts_nonce'); ?>

            <?php
            if (intval(emergencyWPAdmin::getContactLimit()) <= intval(emergencyWPContacts::getNumbersOfPosts()) && $is_new) { ?>
                <div class="error">
                    <?php echo __('You have reached the maximum number of contacts. Please upgrade to PRO version to have unlimited contacts!', 'emergencywp'); ?>
                </div>
            <?php } else { ?>
                <table class="form-table form-table-emergencyWP">
                    <tr>
                        <td scope="row" class="avatar-wrap">
                            <?php if (!$is_new) : ?>
                                <div class="avatar" title="Source: Gravatar.com"
                                     style="background-image: url(&quot;https://2.gravatar.com/avatar/<?php echo md5(strtolower(trim($email))) ?>?s=400&amp;d=<?php echo urlencode($defaultAvatar); ?>&amp;r=g&quot;);"></div>
                                <p class="info">Source: <a href="https://gravatar.com">Gravatar.com</a></p>
                            <?php else : ?>
                                <?php
                                $defaultProfileUrl = EMERGENCY_WP_PLUGIN_URL . 'assets/images/user01.gif';
                                ?>
                                <div class="avatar" title="Source: Gravatar.com"
                                     style="background-image: url(&quot;https://2.gravatar.com/avatar/?s=400&amp;d=<?php echo urlencode($defaultProfileUrl); ?>&amp;r=g&quot;);"></div>
                                <p class="info">Source: <a href="https://gravatar.com">Gravatar.com</a></p>
                            <?php endif; ?>
                        </td>
                        <td class="user-info">
                            <div class="detail">
                                <label for="emergencywp_contacts_first_name" class="label-type-name">
                                    <?php echo __('Name', 'emergencywp'); ?>:
                                </label>
                                <div class="group-horizontal">
                                    <div>
                                        <input class="form-control" type="text"
                                               placeholder="<?php echo __('First Name', 'emergencywp'); ?>"
                                               name="<?php echo emergencyWPContacts::$postTypeSlug; ?>_firstName"
                                               value="<?php echo $firstName; ?>"/>
                                    </div>
                                    <div>
                                        <input type="text" class="form-control"
                                               placeholder="<?php echo __('Last Name', 'emergencywp'); ?>"
                                               name="<?php echo emergencyWPContacts::$postTypeSlug; ?>_lastName"
                                               value="<?php echo $lastName; ?>"/>
                                    </div>
                                </div>
                            </div>
                            <div class="detail">
                                <label for="emergencywp_contacts_email" class="label-type-name">
                                    <?php echo __('Email', 'emergencywp'); ?>:
                                </label>
                                <input type="text" class="form-control"
                                       name="<?php echo emergencyWPContacts::$postTypeSlug; ?>_email"
                                       value="<?php echo $email; ?>" id="<?php echo self::$postTypeSlug; ?>_email"/>

                            </div>


                            <div class="detail">

                                <label for="emergencywp_contacts_address" class="label-type-name">
                                    <?php echo __('Mobile', 'emergencywp'); ?>:
                                </label>
                                <div class="group-horizontal">
                                    <div>
                                        <!-- country codes (ISO 3166) and Dial codes. -->
                                        <select name="<?php echo emergencyWPContacts::$postTypeSlug; ?>_countryCode" id="">
                                            <option data-countryCode="DZ" <?php selected($countryCode == "213"); ?> value="213">Algeria (+213)</option>
                                            <option data-countryCode="AD" <?php selected($countryCode == "376"); ?> value="376">Andorra (+376)</option>
                                            <option data-countryCode="AO" <?php selected($countryCode == "244"); ?> value="244">Angola (+244)</option>
                                            <option data-countryCode="AI" <?php selected($countryCode == "1264"); ?> value="1264">Anguilla (+1264)</option>
                                            <option data-countryCode="AG" <?php selected($countryCode == "1268"); ?> value="1268">Antigua &amp; Barbuda (+1268)</option>
                                            <option data-countryCode="AR" <?php selected($countryCode == "54"); ?> value="54">Argentina (+54)</option>
                                            <option data-countryCode="AM" <?php selected($countryCode == "374"); ?> value="374">Armenia (+374)</option>
                                            <option data-countryCode="AW" <?php selected($countryCode == "297"); ?> value="297">Aruba (+297)</option>
                                            <option data-countryCode="AU" <?php selected($countryCode == "61"); ?> value="61">Australia (+61)</option>
                                            <option data-countryCode="AT" <?php selected($countryCode == "43"); ?> value="43">Austria (+43)</option>
                                            <option data-countryCode="AZ" <?php selected($countryCode == "994"); ?> value="994">Azerbaijan (+994)</option>
                                            <option data-countryCode="BS" <?php selected($countryCode == "1242"); ?> value="1242">Bahamas (+1242)</option>
                                            <option data-countryCode="BH" <?php selected($countryCode == "973"); ?> value="973">Bahrain (+973)</option>
                                            <option data-countryCode="BD" <?php selected($countryCode == "880"); ?> value="880">Bangladesh (+880)</option>
                                            <option data-countryCode="BB" <?php selected($countryCode == "1246"); ?> value="1246">Barbados (+1246)</option>
                                            <option data-countryCode="BY" <?php selected($countryCode == "375"); ?> value="375">Belarus (+375)</option>
                                            <option data-countryCode="BE" <?php selected($countryCode == "32"); ?> value="32">Belgium (+32)</option>
                                            <option data-countryCode="BZ" <?php selected($countryCode == "501"); ?> value="501">Belize (+501)</option>
                                            <option data-countryCode="BJ" <?php selected($countryCode == "229"); ?> value="229">Benin (+229)</option>
                                            <option data-countryCode="BM" <?php selected($countryCode == "1441"); ?> value="1441">Bermuda (+1441)</option>
                                            <option data-countryCode="BT" <?php selected($countryCode == "975"); ?> value="975">Bhutan (+975)</option>
                                            <option data-countryCode="BO" <?php selected($countryCode == "591"); ?> value="591">Bolivia (+591)</option>
                                            <option data-countryCode="BA" <?php selected($countryCode == "387"); ?> value="387">Bosnia Herzegovina (+387)</option>
                                            <option data-countryCode="BW" <?php selected($countryCode == "267"); ?> value="267">Botswana (+267)</option>
                                            <option data-countryCode="BR" <?php selected($countryCode == "55"); ?> value="55">Brazil (+55)</option>
                                            <option data-countryCode="BN" <?php selected($countryCode == "673"); ?> value="673">Brunei (+673)</option>
                                            <option data-countryCode="BG" <?php selected($countryCode == "359"); ?> value="359">Bulgaria (+359)</option>
                                            <option data-countryCode="BF" <?php selected($countryCode == "226"); ?> value="226">Burkina Faso (+226)</option>
                                            <option data-countryCode="BI" <?php selected($countryCode == "257"); ?> value="257">Burundi (+257)</option>
                                            <option data-countryCode="KH" <?php selected($countryCode == "855"); ?> value="855">Cambodia (+855)</option>
                                            <option data-countryCode="CM" <?php selected($countryCode == "237"); ?> value="237">Cameroon (+237)</option>
                                            <option data-countryCode="CA" <?php selected($countryCode == "1"); ?> value="1">Canada (+1)</option>
                                            <option data-countryCode="CV" <?php selected($countryCode == "238"); ?> value="238">Cape Verde Islands (+238)</option>
                                            <option data-countryCode="KY" <?php selected($countryCode == "1345"); ?> value="1345">Cayman Islands (+1345)</option>
                                            <option data-countryCode="CF" <?php selected($countryCode == "236"); ?> value="236">Central African Republic (+236)</option>
                                            <option data-countryCode="CL" <?php selected($countryCode == "56"); ?> value="56">Chile (+56)</option>
                                            <option data-countryCode="CN" <?php selected($countryCode == "86"); ?> value="86">China (+86)</option>
                                            <option data-countryCode="CO" <?php selected($countryCode == "57"); ?> value="57">Colombia (+57)</option>
                                            <option data-countryCode="KM" <?php selected($countryCode == "269"); ?> value="269">Comoros (+269)</option>
                                            <option data-countryCode="CG" <?php selected($countryCode == "242"); ?> value="242">Congo (+242)</option>
                                            <option data-countryCode="CK" <?php selected($countryCode == "682"); ?> value="682">Cook Islands (+682)</option>
                                            <option data-countryCode="CR" <?php selected($countryCode == "506"); ?> value="506">Costa Rica (+506)</option>
                                            <option data-countryCode="HR" <?php selected($countryCode == "385"); ?> value="385">Croatia (+385)</option>
                                            <option data-countryCode="CU" <?php selected($countryCode == "53"); ?> value="53">Cuba (+53)</option>
                                            <option data-countryCode="CY" <?php selected($countryCode == "90392"); ?> value="90392">Cyprus North (+90392)</option>
                                            <option data-countryCode="CY" <?php selected($countryCode == "357"); ?> value="357">Cyprus South (+357)</option>
                                            <option data-countryCode="CZ" <?php selected($countryCode == "42"); ?> value="42">Czech Republic (+42)</option>
                                            <option data-countryCode="DK" <?php selected($countryCode == "45"); ?> value="45">Denmark (+45)</option>
                                            <option data-countryCode="DJ" <?php selected($countryCode == "253"); ?> value="253">Djibouti (+253)</option>
                                            <option data-countryCode="DM" <?php selected($countryCode == "1809"); ?> value="1809">Dominica (+1809)</option>
                                            <option data-countryCode="DO" <?php selected($countryCode == "1809"); ?> value="1809">Dominican Republic (+1809)</option>
                                            <option data-countryCode="EC" <?php selected($countryCode == "593"); ?> value="593">Ecuador (+593)</option>
                                            <option data-countryCode="EG" <?php selected($countryCode == "20"); ?> value="20">Egypt (+20)</option>
                                            <option data-countryCode="SV" <?php selected($countryCode == "503"); ?> value="503">El Salvador (+503)</option>
                                            <option data-countryCode="GQ" <?php selected($countryCode == "240"); ?> value="240">Equatorial Guinea (+240)</option>
                                            <option data-countryCode="ER" <?php selected($countryCode == "291"); ?> value="291">Eritrea (+291)</option>
                                            <option data-countryCode="EE" <?php selected($countryCode == "372"); ?> value="372">Estonia (+372)</option>
                                            <option data-countryCode="ET" <?php selected($countryCode == "251"); ?> value="251">Ethiopia (+251)</option>
                                            <option data-countryCode="FK" <?php selected($countryCode == "500"); ?> value="500">Falkland Islands (+500)</option>
                                            <option data-countryCode="FO" <?php selected($countryCode == "298"); ?> value="298">Faroe Islands (+298)</option>
                                            <option data-countryCode="FJ" <?php selected($countryCode == "679"); ?> value="679">Fiji (+679)</option>
                                            <option data-countryCode="FI" <?php selected($countryCode == "358"); ?> value="358">Finland (+358)</option>
                                            <option data-countryCode="FR" <?php selected($countryCode == "33"); ?> value="33">France (+33)</option>
                                            <option data-countryCode="GF" <?php selected($countryCode == "594"); ?> value="594">French Guiana (+594)</option>
                                            <option data-countryCode="PF" <?php selected($countryCode == "689"); ?> value="689">French Polynesia (+689)</option>
                                            <option data-countryCode="GA" <?php selected($countryCode == "241"); ?> value="241">Gabon (+241)</option>
                                            <option data-countryCode="GM" <?php selected($countryCode == "220"); ?> value="220">Gambia (+220)</option>
                                            <option data-countryCode="GE" <?php selected($countryCode == "7880"); ?> value="7880">Georgia (+7880)</option>
                                            <option data-countryCode="DE" <?php selected($countryCode == "49"); ?> value="49">Germany (+49)</option>
                                            <option data-countryCode="GH" <?php selected($countryCode == "233"); ?> value="233">Ghana (+233)</option>
                                            <option data-countryCode="GI" <?php selected($countryCode == "350"); ?> value="350">Gibraltar (+350)</option>
                                            <option data-countryCode="GR" <?php selected($countryCode == "30"); ?> value="30">Greece (+30)</option>
                                            <option data-countryCode="GL" <?php selected($countryCode == "299"); ?> value="299">Greenland (+299)</option>
                                            <option data-countryCode="GD" <?php selected($countryCode == "1473"); ?> value="1473">Grenada (+1473)</option>
                                            <option data-countryCode="GP" <?php selected($countryCode == "590"); ?> value="590">Guadeloupe (+590)</option>
                                            <option data-countryCode="GU" <?php selected($countryCode == "671"); ?> value="671">Guam (+671)</option>
                                            <option data-countryCode="GT" <?php selected($countryCode == "502"); ?> value="502">Guatemala (+502)</option>
                                            <option data-countryCode="GN" <?php selected($countryCode == "224"); ?> value="224">Guinea (+224)</option>
                                            <option data-countryCode="GW" <?php selected($countryCode == "245"); ?> value="245">Guinea - Bissau (+245)</option>
                                            <option data-countryCode="GY" <?php selected($countryCode == "592"); ?> value="592">Guyana (+592)</option>
                                            <option data-countryCode="HT" <?php selected($countryCode == "509"); ?> value="509">Haiti (+509)</option>
                                            <option data-countryCode="HN" <?php selected($countryCode == "504"); ?> value="504">Honduras (+504)</option>
                                            <option data-countryCode="HK" <?php selected($countryCode == "852"); ?> value="852">Hong Kong (+852)</option>
                                            <option data-countryCode="HU" <?php selected($countryCode == "36"); ?> value="36">Hungary (+36)</option>
                                            <option data-countryCode="IS" <?php selected($countryCode == "354"); ?> value="354">Iceland (+354)</option>
                                            <option data-countryCode="IN" <?php selected($countryCode == "91"); ?> value="91">India (+91)</option>
                                            <option data-countryCode="ID" <?php selected($countryCode == "62"); ?> value="62">Indonesia (+62)</option>
                                            <option data-countryCode="IR" <?php selected($countryCode == "98"); ?> value="98">Iran (+98)</option>
                                            <option data-countryCode="IQ" <?php selected($countryCode == "964"); ?> value="964">Iraq (+964)</option>
                                            <option data-countryCode="IE" <?php selected($countryCode == "353"); ?> value="353">Ireland (+353)</option>
                                            <option data-countryCode="IL" <?php selected($countryCode == "972"); ?> value="972">Israel (+972)</option>
                                            <option data-countryCode="IT" <?php selected($countryCode == "39"); ?> value="39">Italy (+39)</option>
                                            <option data-countryCode="JM" <?php selected($countryCode == "1876"); ?> value="1876">Jamaica (+1876)</option>
                                            <option data-countryCode="JP" <?php selected($countryCode == "81"); ?> value="81">Japan (+81)</option>
                                            <option data-countryCode="JO" <?php selected($countryCode == "962"); ?> value="962">Jordan (+962)</option>
                                            <option data-countryCode="KZ" <?php selected($countryCode == "7"); ?> value="7">Kazakhstan (+7)</option>
                                            <option data-countryCode="KE" <?php selected($countryCode == "254"); ?> value="254">Kenya (+254)</option>
                                            <option data-countryCode="KI" <?php selected($countryCode == "686"); ?> value="686">Kiribati (+686)</option>
                                            <option data-countryCode="KP" <?php selected($countryCode == "850"); ?> value="850">Korea North (+850)</option>
                                            <option data-countryCode="KR" <?php selected($countryCode == "82"); ?> value="82">Korea South (+82)</option>
                                            <option data-countryCode="KW" <?php selected($countryCode == "965"); ?> value="965">Kuwait (+965)</option>
                                            <option data-countryCode="KG" <?php selected($countryCode == "996"); ?> value="996">Kyrgyzstan (+996)</option>
                                            <option data-countryCode="LA" <?php selected($countryCode == "856"); ?> value="856">Laos (+856)</option>
                                            <option data-countryCode="LV" <?php selected($countryCode == "371"); ?> value="371">Latvia (+371)</option>
                                            <option data-countryCode="LB" <?php selected($countryCode == "961"); ?> value="961">Lebanon (+961)</option>
                                            <option data-countryCode="LS" <?php selected($countryCode == "266"); ?> value="266">Lesotho (+266)</option>
                                            <option data-countryCode="LR" <?php selected($countryCode == "231"); ?> value="231">Liberia (+231)</option>
                                            <option data-countryCode="LY" <?php selected($countryCode == "218"); ?> value="218">Libya (+218)</option>
                                            <option data-countryCode="LI" <?php selected($countryCode == "417"); ?> value="417">Liechtenstein (+417)</option>
                                            <option data-countryCode="LT" <?php selected($countryCode == "370"); ?> value="370">Lithuania (+370)</option>
                                            <option data-countryCode="LU" <?php selected($countryCode == "352"); ?> value="352">Luxembourg (+352)</option>
                                            <option data-countryCode="MO" <?php selected($countryCode == "853"); ?> value="853">Macao (+853)</option>
                                            <option data-countryCode="MK" <?php selected($countryCode == "389"); ?> value="389">Macedonia (+389)</option>
                                            <option data-countryCode="MG" <?php selected($countryCode == "261"); ?> value="261">Madagascar (+261)</option>
                                            <option data-countryCode="MW" <?php selected($countryCode == "265"); ?> value="265">Malawi (+265)</option>
                                            <option data-countryCode="MY" <?php selected($countryCode == "60"); ?> value="60">Malaysia (+60)</option>
                                            <option data-countryCode="MV" <?php selected($countryCode == "960"); ?> value="960">Maldives (+960)</option>
                                            <option data-countryCode="ML" <?php selected($countryCode == "223"); ?> value="223">Mali (+223)</option>
                                            <option data-countryCode="MT" <?php selected($countryCode == "356"); ?> value="356">Malta (+356)</option>
                                            <option data-countryCode="MH" <?php selected($countryCode == "692"); ?> value="692">Marshall Islands (+692)</option>
                                            <option data-countryCode="MQ" <?php selected($countryCode == "596"); ?> value="596">Martinique (+596)</option>
                                            <option data-countryCode="MR" <?php selected($countryCode == "222"); ?> value="222">Mauritania (+222)</option>
                                            <option data-countryCode="YT" <?php selected($countryCode == "269"); ?> value="269">Mayotte (+269)</option>
                                            <option data-countryCode="MX" <?php selected($countryCode == "52"); ?> value="52">Mexico (+52)</option>
                                            <option data-countryCode="FM" <?php selected($countryCode == "691"); ?> value="691">Micronesia (+691)</option>
                                            <option data-countryCode="MD" <?php selected($countryCode == "373"); ?> value="373">Moldova (+373)</option>
                                            <option data-countryCode="MC" <?php selected($countryCode == "377"); ?> value="377">Monaco (+377)</option>
                                            <option data-countryCode="MN" <?php selected($countryCode == "976"); ?> value="976">Mongolia (+976)</option>
                                            <option data-countryCode="MS" <?php selected($countryCode == "1664"); ?> value="1664">Montserrat (+1664)</option>
                                            <option data-countryCode="MA" <?php selected($countryCode == "212"); ?> value="212">Morocco (+212)</option>
                                            <option data-countryCode="MZ" <?php selected($countryCode == "258"); ?> value="258">Mozambique (+258)</option>
                                            <option data-countryCode="MN" <?php selected($countryCode == "95"); ?> value="95">Myanmar (+95)</option>
                                            <option data-countryCode="NA" <?php selected($countryCode == "264"); ?> value="264">Namibia (+264)</option>
                                            <option data-countryCode="NR" <?php selected($countryCode == "674"); ?> value="674">Nauru (+674)</option>
                                            <option data-countryCode="NP" <?php selected($countryCode == "977"); ?> value="977">Nepal (+977)</option>
                                            <option data-countryCode="NL" <?php selected($countryCode == "31"); ?> value="31">Netherlands (+31)</option>
                                            <option data-countryCode="NC" <?php selected($countryCode == "687"); ?> value="687">New Caledonia (+687)</option>
                                            <option data-countryCode="NZ" <?php selected($countryCode == "64"); ?> value="64">New Zealand (+64)</option>
                                            <option data-countryCode="NI" <?php selected($countryCode == "505"); ?> value="505">Nicaragua (+505)</option>
                                            <option data-countryCode="NE" <?php selected($countryCode == "227"); ?> value="227">Niger (+227)</option>
                                            <option data-countryCode="NG" <?php selected($countryCode == "234"); ?> value="234">Nigeria (+234)</option>
                                            <option data-countryCode="NU" <?php selected($countryCode == "683"); ?> value="683">Niue (+683)</option>
                                            <option data-countryCode="NF" <?php selected($countryCode == "672"); ?> value="672">Norfolk Islands (+672)</option>
                                            <option data-countryCode="NP" <?php selected($countryCode == "670"); ?> value="670">Northern Marianas (+670)</option>
                                            <option data-countryCode="NO" <?php selected($countryCode == "47"); ?> value="47">Norway (+47)</option>
                                            <option data-countryCode="OM" <?php selected($countryCode == "968"); ?> value="968">Oman (+968)</option>
                                            <option data-countryCode="PW" <?php selected($countryCode == "680"); ?> value="680">Palau (+680)</option>
                                            <option data-countryCode="PA" <?php selected($countryCode == "507"); ?> value="507">Panama (+507)</option>
                                            <option data-countryCode="PG" <?php selected($countryCode == "675"); ?> value="675">Papua New Guinea (+675)</option>
                                            <option data-countryCode="PY" <?php selected($countryCode == "595"); ?> value="595">Paraguay (+595)</option>
                                            <option data-countryCode="PE" <?php selected($countryCode == "51"); ?> value="51">Peru (+51)</option>
                                            <option data-countryCode="PH" <?php selected($countryCode == "63"); ?> value="63">Philippines (+63)</option>
                                            <option data-countryCode="PL" <?php selected($countryCode == "48"); ?> value="48">Poland (+48)</option>
                                            <option data-countryCode="PT" <?php selected($countryCode == "351"); ?> value="351">Portugal (+351)</option>
                                            <option data-countryCode="PR" <?php selected($countryCode == "1787"); ?> value="1787">Puerto Rico (+1787)</option>
                                            <option data-countryCode="QA" <?php selected($countryCode == "974"); ?> value="974">Qatar (+974)</option>
                                            <option data-countryCode="RE" <?php selected($countryCode == "262"); ?> value="262">Reunion (+262)</option>
                                            <option data-countryCode="RO" <?php selected($countryCode == "40"); ?> value="40">Romania (+40)</option>
                                            <option data-countryCode="RU" <?php selected($countryCode == "7"); ?> value="7">Russia (+7)</option>
                                            <option data-countryCode="RW" <?php selected($countryCode == "250"); ?> value="250">Rwanda (+250)</option>
                                            <option data-countryCode="SM" <?php selected($countryCode == "378"); ?> value="378">San Marino (+378)</option>
                                            <option data-countryCode="ST" <?php selected($countryCode == "239"); ?> value="239">Sao Tome &amp; Principe (+239)</option>
                                            <option data-countryCode="SA" <?php selected($countryCode == "966"); ?> value="966">Saudi Arabia (+966)</option>
                                            <option data-countryCode="SN" <?php selected($countryCode == "221"); ?> value="221">Senegal (+221)</option>
                                            <option data-countryCode="CS" <?php selected($countryCode == "381"); ?> value="381">Serbia (+381)</option>
                                            <option data-countryCode="SC" <?php selected($countryCode == "248"); ?> value="248">Seychelles (+248)</option>
                                            <option data-countryCode="SL" <?php selected($countryCode == "232"); ?> value="232">Sierra Leone (+232)</option>
                                            <option data-countryCode="SG" <?php selected($countryCode == "65"); ?> value="65">Singapore (+65)</option>
                                            <option data-countryCode="SK" <?php selected($countryCode == "421"); ?> value="421">Slovak Republic (+421)</option>
                                            <option data-countryCode="SI" <?php selected($countryCode == "386"); ?> value="386">Slovenia (+386)</option>
                                            <option data-countryCode="SB" <?php selected($countryCode == "677"); ?> value="677">Solomon Islands (+677)</option>
                                            <option data-countryCode="SO" <?php selected($countryCode == "252"); ?> value="252">Somalia (+252)</option>
                                            <option data-countryCode="ZA" <?php selected($countryCode == "27"); ?> value="27">South Africa (+27)</option>
                                            <option data-countryCode="ES" <?php selected($countryCode == "34"); ?> value="34">Spain (+34)</option>
                                            <option data-countryCode="LK" <?php selected($countryCode == "94"); ?> value="94">Sri Lanka (+94)</option>
                                            <option data-countryCode="SH" <?php selected($countryCode == "290"); ?> value="290">St. Helena (+290)</option>
                                            <option data-countryCode="KN" <?php selected($countryCode == "1869"); ?> value="1869">St. Kitts (+1869)</option>
                                            <option data-countryCode="SC" <?php selected($countryCode == "1758"); ?> value="1758">St. Lucia (+1758)</option>
                                            <option data-countryCode="SD" <?php selected($countryCode == "249"); ?> value="249">Sudan (+249)</option>
                                            <option data-countryCode="SR" <?php selected($countryCode == "597"); ?> value="597">Suriname (+597)</option>
                                            <option data-countryCode="SZ" <?php selected($countryCode == "268"); ?> value="268">Swaziland (+268)</option>
                                            <option data-countryCode="SE" <?php selected($countryCode == "46"); ?> value="46">Sweden (+46)</option>
                                            <option data-countryCode="CH" <?php selected($countryCode == "41"); ?> value="41">Switzerland (+41)</option>
                                            <option data-countryCode="SI" <?php selected($countryCode == "963"); ?> value="963">Syria (+963)</option>
                                            <option data-countryCode="TW" <?php selected($countryCode == "886"); ?> value="886">Taiwan (+886)</option>
                                            <option data-countryCode="TJ" <?php selected($countryCode == "7"); ?> value="7">Tajikstan (+7)</option>
                                            <option data-countryCode="TH" <?php selected($countryCode == "66"); ?> value="66">Thailand (+66)</option>
                                            <option data-countryCode="TG" <?php selected($countryCode == "228"); ?> value="228">Togo (+228)</option>
                                            <option data-countryCode="TO" <?php selected($countryCode == "676"); ?> value="676">Tonga (+676)</option>
                                            <option data-countryCode="TT" <?php selected($countryCode == "1868"); ?> value="1868">Trinidad &amp; Tobago (+1868)</option>
                                            <option data-countryCode="TN" <?php selected($countryCode == "216"); ?> value="216">Tunisia (+216)</option>
                                            <option data-countryCode="TR" <?php selected($countryCode == "90"); ?> value="90">Turkey (+90)</option>
                                            <option data-countryCode="TM" <?php selected($countryCode == "7"); ?> value="7">Turkmenistan (+7)</option>
                                            <option data-countryCode="TM" <?php selected($countryCode == "993"); ?> value="993">Turkmenistan (+993)</option>
                                            <option data-countryCode="TC" <?php selected($countryCode == "1649"); ?> value="1649">Turks &amp; Caicos Islands (+1649)</option>
                                            <option data-countryCode="TV" <?php selected($countryCode == "688"); ?> value="688">Tuvalu (+688)</option>
                                            <option data-countryCode="UG" <?php selected($countryCode == "256"); ?> value="256">Uganda (+256)</option>
                                            <option data-countryCode="GB" <?php selected($countryCode == "44"); ?> value="44">UK (+44)</option>
                                            <option data-countryCode="UA" <?php selected($countryCode == "380"); ?> value="380">Ukraine (+380)</option>
                                            <option data-countryCode="AE" <?php selected($countryCode == "971"); ?> value="971">United Arab Emirates (+971)</option>
                                            <option data-countryCode="UY" <?php selected($countryCode == "598"); ?> value="598">Uruguay (+598)</option>
                                            <option data-countryCode="US" <?php selected($countryCode == "1"); ?> value="1">USA (+1)</option>
                                            <option data-countryCode="UZ" <?php selected($countryCode == "7"); ?> value="7">Uzbekistan (+7)</option>
                                            <option data-countryCode="VU" <?php selected($countryCode == "678"); ?> value="678">Vanuatu (+678)</option>
                                            <option data-countryCode="VA" <?php selected($countryCode == "379"); ?> value="379">Vatican City (+379)</option>
                                            <option data-countryCode="VE" <?php selected($countryCode == "58"); ?> value="58">Venezuela (+58)</option>
                                            <option data-countryCode="VN" <?php selected($countryCode == "84"); ?> value="84">Vietnam (+84)</option>
                                            <option data-countryCode="VG" <?php selected($countryCode == "84"); ?> value="84">Virgin Islands - British (+1284)</option>
                                            <option data-countryCode="VI" <?php selected($countryCode == "84"); ?> value="84">Virgin Islands - US (+1340)</option>
                                            <option data-countryCode="WF" <?php selected($countryCode == "681"); ?> value="681">Wallis &amp; Futuna (+681)</option>
                                            <option data-countryCode="YE" <?php selected($countryCode == "969"); ?> value="969">Yemen (North)(+969)</option>
                                            <option data-countryCode="YE" <?php selected($countryCode == "967"); ?> value="967">Yemen (South)(+967)</option>
                                            <option data-countryCode="ZM" <?php selected($countryCode == "260"); ?> value="260">Zambia (+260)</option>
                                            <option data-countryCode="ZW" <?php selected($countryCode == "263"); ?> value="263">Zimbabwe (+263)</option>
                                        </select>
                                    </div>
                                    <div style="flex-basis: 50%">
                                        <input type="text" class="form-control half-input"
                                               name="<?php echo emergencyWPContacts::$postTypeSlug; ?>_mobile"
                                               value="<?php echo $mobile; ?>"
                                               id="<?php echo self::$postTypeSlug; ?>_mobile"/>
                                    </div>
                                    <div style="flex-basis: 50%"></div>
                                </div>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td></td>
                        <td class="user-actions">
                            <div class="detail">
                                <div class="col-sm-12 col-md-10 col-md-offset-2">
                                    <input style="width: 200px" id="publish"
                                           class="button-primary emergencyWP_save_button"
                                           type="submit" value="<?php echo $buttonText; ?>" accesskey="p"
                                           tabindex="5"
                                           name="publish">
                                </div>
                            </div>
                        </td>
                    </tr>
                </table>
            <?php } ?>
        </form>
    </div>
<?php
/**
 * Created by PhpStorm.
 * User: ionut
 * Date: 02/03/2019
 * Time: 10:43
 */