<?php

$table = new emergencyWPContactsTable();
$table->status = $status;
$table->prepare_items();

if (isset($_GET['status'])) {
    $status = sanitize_text_field($_GET['status']);
}
?>
<div class="wrap">
    <h1>
        <?php printf(_n('%s %s Contact found', '%s %s Contacts found', $table->total_items, 'emergencywp'), number_format_i18n($table->total_items), $status); ?>
        <?php if (emergencyWPAdmin::getContactLimit() > $table->total_items) { ?>
            <a href="admin.php?post_type=emergencywp_contacts&page=emergencywp_contacts&new"
               class="add-new-h2"><?php esc_html_e('Add New', 'emergencywp'); ?></a>
        <?php } else {
            echo '<p class="emergencywp_settings-field_description">'. __('Need more contacts?', 'emergencywp') . ' <a target="_blank" href="https://emergencywp.net/features/add-ons-overview/">'.__('Get EmergencyWP PRO', 'emergencywp') . '</a></p>';
        } ?>

        <?php if (isset($_GET['s']) && !empty($_GET['s'])) : ?>
            <span class="subtitle"><?php printf(__('Search result for %s', 'emergencywp'), '&quot;' . esc_html(stripslashes(sanitize_text_field($_GET['s']))) . '&quot;') ?></span>
        <?php endif; ?>
    </h1>
    <?php
    $table->search_box(__('Search Contacts', 'emergencywp'), 's');
    $table->views();

    $text = sprintf(__('Do you like to select all %s contacts?', 'emergencywp'), number_format_i18n($table->total_items));

    ?>
    <form method="post" action="" id="contacts-overview-form">
        <input type="hidden" name="all_contacts" id="all_contacts" data-label="<?php echo esc_attr($text) ?>"
               data-count="<?php echo esc_attr($table->total_items) ?>" value="0">
        <?php $table->display(); ?>
    </form>
</div>
